<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Spintech
 */

get_header();
$error_pg_title			= get_theme_mod('error_pg_title','4<i class="fa fa-smile-o"></i>4');
$error_pg_subtitle		= get_theme_mod('error_pg_subtitle','Oops! Page Not Found');
$error_pg_description	= get_theme_mod('error_pg_description','The page you were looking for could not be found.');
$error_pg_btn_lbl1		= get_theme_mod('error_pg_btn_lbl1','Go To Home');
$error_pg_btn_url1		= get_theme_mod('error_pg_btn_url1');
$error_pg_btn_lbl2		= get_theme_mod('error_pg_btn_lbl2','Contact Page');
$error_pg_btn_url2		= get_theme_mod('error_pg_btn_url2');
$error_pg_img			= get_theme_mod('error_pg_img');
?>
<section id="404-v2-section" class="404-section st-py-default">
	<div class="container">
		<div class="row wow fadeInUp">
			<div class="col-12 text-center">
				<div class="card-404">
					<?php if ( ! empty($error_pg_img) ) { ?>	
						<img src="<?php echo esc_url($error_pg_img); ?>">
					<?php }else{ ?>	
						<?php if ( ! empty($error_pg_title) ) : ?>		
							<h1><?php echo wp_kses_post($error_pg_title); ?></h1>    
						<?php endif; ?>
					<?php }?>			
					
					<?php if ( ! empty($error_pg_subtitle) ) : ?>		
						<h3><?php echo esc_html($error_pg_subtitle); ?></h3>    
					<?php endif; ?>	
					
					<?php if ( ! empty($error_pg_description) ) : ?>		
						<p><?php echo esc_html($error_pg_description); ?></p>    
					<?php endif; ?>
					
					<div class="card-404-btn mt-2">
						<?php if ( ! empty($error_pg_btn_lbl1) ) : ?>		
							<a href="<?php echo esc_url($error_pg_btn_url1); ?>" class="btn btn-secondary"><?php echo esc_html($error_pg_btn_lbl1); ?></a>   
						<?php endif; ?>	
						<?php if ( ! empty($error_pg_btn_lbl2) ) : ?>		
							<a href="<?php echo esc_url($error_pg_btn_url2); ?>" class="btn btn-primary"><?php echo esc_html($error_pg_btn_lbl2); ?></a>   
						<?php endif; ?>	
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
<?php get_footer(); ?>
