<?php
function spintech_error_pg_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Service  Section
	=========================================*/
	$wp_customize->add_section(
		'error_pg_setting', array(
			'title' => esc_html__( '404 Page', 'spintech-pro' ),
			'priority' => 15,
			'panel' => 'spintech_page_templates',
		)
	);

	// Service Header Section // 
	$wp_customize->add_setting(
		'error_pg_headings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 3,
		)
	);

	$wp_customize->add_control(
	'error_pg_headings',
		array(
			'type' => 'hidden',
			'label' => __('404 Page','spintech-pro'),
			'section' => 'error_pg_setting',
		)
	);
	
	// Service Title // 
	$wp_customize->add_setting(
    	'error_pg_title',
    	array(
	        'default'			=> __('4<i class="fa fa-smile-o"></i>4','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'error_pg_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'error_pg_setting',
			'type'           => 'text',
		)  
	);
	
	// Service Subtitle // 
	$wp_customize->add_setting(
    	'error_pg_subtitle',
    	array(
	        'default'			=> __('Oops! Page Not Found','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 5,
		)
	);	
	
	$wp_customize->add_control( 
		'error_pg_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'error_pg_setting',
			'type'           => 'textarea',
		)  
	);
	
	// Service Description // 
	$wp_customize->add_setting(
    	'error_pg_description',
    	array(
	        'default'			=> __('The page you were looking for could not be found.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'error_pg_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'error_pg_setting',
			'type'           => 'textarea',
		)  
	);
	
	
	// Button First  Label// 
	$wp_customize->add_setting(
    	'error_pg_btn_lbl1',
    	array(
	        'default'			=> __('Go Home Page','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 7,
		)
	);	
	
	$wp_customize->add_control( 
		'error_pg_btn_lbl1',
		array(
		    'label'   => __('Button First Label','spintech-pro'),
		    'section' => 'error_pg_setting',
			'type'           => 'text',
		)  
	);
	
	
	// Button First  URL// 
	$wp_customize->add_setting(
    	'error_pg_btn_url1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_url',
			'priority' => 8,
		)
	);	
	
	$wp_customize->add_control( 
		'error_pg_btn_url1',
		array(
		    'label'   => __('Button First URL','spintech-pro'),
		    'section' => 'error_pg_setting',
			'type'           => 'text',
		)  
	);
	
	
	// Button Second  Label// 
	$wp_customize->add_setting(
    	'error_pg_btn_lbl2',
    	array(
	        'default'			=> __('Contact Page','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 9,
		)
	);	
	
	$wp_customize->add_control( 
		'error_pg_btn_lbl2',
		array(
		    'label'   => __('Button Second Label','spintech-pro'),
		    'section' => 'error_pg_setting',
			'type'           => 'text',
		)  
	);
	
	
	// Button First  URL// 
	$wp_customize->add_setting(
    	'error_pg_btn_url2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_url',
			'priority' => 10,
		)
	);	
	
	$wp_customize->add_control( 
		'error_pg_btn_url2',
		array(
		    'label'   => __('Button Second URL','spintech-pro'),
		    'section' => 'error_pg_setting',
			'type'           => 'text',
		)  
	);
	
	
	//  Image // 
    $wp_customize->add_setting( 
    	'error_pg_img' , 
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_url',	
			'priority' => 11,
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'error_pg_img' ,
		array(
			'label'          => esc_html__( 'Image( Without Title)', 'spintech-pro'),
			'section'        => 'error_pg_setting',
		) 
	));
	
}
add_action( 'customize_register', 'spintech_error_pg_setting' );