<?php
function spintech_comming_soon_pg_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Comming Soon  Page
	=========================================*/
	$wp_customize->add_section(
		'comming_soon_setting', array(
			'title' => esc_html__( 'Comming Soon Page', 'spintech-pro' ),
			'priority' => 16,
			'panel' => 'spintech_page_templates',
		)
	);
	$wp_customize->add_setting(
		'comming_soon_settings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'comming_soon_settings',
		array(
			'type' => 'hidden',
			'label' => __('Setting','spintech-pro'),
			'section' => 'comming_soon_setting',
		)
	);
	
	// Enable Comming Soon // 
	$wp_customize->add_setting( 
		'enable_comming_soon' , 
			array(
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 1,
		) 
	);
	
	$wp_customize->add_control(
	'enable_comming_soon', 
		array(
			'label'	      => esc_html__( 'Enable Comming Soon', 'spintech-pro' ),
			'section'     => 'comming_soon_setting',
			'type'        => 'checkbox'
		) 
	);
	
	// Enable Form // 
	$wp_customize->add_setting( 
		'enable_comming_soon_form' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 1,
		) 
	);
	
	$wp_customize->add_control(
	'enable_comming_soon_form', 
		array(
			'label'	      => esc_html__( 'Enable Form', 'spintech-pro' ),
			'section'     => 'comming_soon_setting',
			'type'        => 'checkbox'
		) 
	);
	
	// Enable Social Icon // 
	$wp_customize->add_setting( 
		'enable_comming_soon_social' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 1,
		) 
	);
	
	$wp_customize->add_control(
	'enable_comming_soon_social', 
		array(
			'label'	      => esc_html__( 'Enable Social Icon', 'spintech-pro' ),
			'section'     => 'comming_soon_setting',
			'type'        => 'checkbox'
		) 
	);
	
	$wp_customize->add_setting(
		'comming_soon_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'comming_soon_head',
		array(
			'type' => 'hidden',
			'label' => __('Header','spintech-pro'),
			'section' => 'comming_soon_setting',
		)
	);
	
	//  Logo // 
    $wp_customize->add_setting( 
    	'comming_soon_logo' , 
    	array(
			'default' 			=> get_template_directory_uri() .'/assets/images/logo_2.svg',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_url',	
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'comming_soon_logo' ,
		array(
			'label'          => esc_html__( 'Logo', 'spintech-pro'),
			'section'        => 'comming_soon_setting',
		) 
	));
	
	// Title // 
	$wp_customize->add_setting(
    	'comming_soon_title',
    	array(
	        'default'			=> __('We Are Launching Our','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 3,
		)
	);	
	
	$wp_customize->add_control( 
		'comming_soon_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'comming_soon_setting',
			'type'           => 'text',
		)  
	);
	
	// Description // 
	$wp_customize->add_setting(
    	'comming_soon_desc',
    	array(
	        'default'			=> __("Working hard for something we don't care about is called stress. Working hard for smething we love is called passion.",'spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 3,
		)
	);	
	
	$wp_customize->add_control( 
		'comming_soon_desc',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'comming_soon_setting',
			'type'           => 'textarea',
		)  
	);
	
	$wp_customize->add_setting(
		'comming_soon_time_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 4,
		)
	);

	$wp_customize->add_control(
	'comming_soon_time_head',
		array(
			'type' => 'hidden',
			'label' => __('Time','spintech-pro'),
			'section' => 'comming_soon_setting',
		)
	);
	
	// Comming Soon Time // 
	$wp_customize->add_setting(
    	'comming_soon_time',
    	array(
	        'default'			=> __('2022/01/01 14:21:37','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'priority' => 5,
		)
	);	
	$wp_customize->add_control( 
		'comming_soon_time',
		array(
		    'section' => 'comming_soon_setting',
			'type'     => 'date_time',
		)  
	);
	
	$wp_customize->add_setting(
		'comming_soon_form'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 6,
		)
	);

	$wp_customize->add_control(
	'comming_soon_form',
		array(
			'type' => 'hidden',
			'label' => __('Form','spintech-pro'),
			'section' => 'comming_soon_setting',
		)
	);
	
	// Shortcode // 
	$wp_customize->add_setting(
    	'comming_soon_shortcode',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'comming_soon_shortcode',
		array(
		    'label'   => __('Shortcode','spintech-pro'),
		    'section' => 'comming_soon_setting',
			'type'           => 'textarea',
		)  
	);
	
	
	$wp_customize->add_setting(
		'comming_soon_social'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 7,
		)
	);

	$wp_customize->add_control(
	'comming_soon_social',
		array(
			'type' => 'hidden',
			'label' => __('Social Icon','spintech-pro'),
			'section' => 'comming_soon_setting',
		)
	);
	
	/**
	 * Customizer Repeater
	 */
		$wp_customize->add_setting( 'comming_soon_social_icons', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'priority' => 8,
			 'default' => spintech_get_comming_soon_social_icon_default()
		)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'comming_soon_social_icons', 
					array(
						'label'   => esc_html__('Social Icons','spintech-pro'),
						'section' => 'comming_soon_setting',
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_link_control' => true,
					) 
				) 
			);
	
		$wp_customize->add_setting(
		'comming_soon_bg'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 8,
		)
	);

	$wp_customize->add_control(
	'comming_soon_bg',
		array(
			'type' => 'hidden',
			'label' => __('Background','spintech-pro'),
			'section' => 'comming_soon_setting',
		)
	);	
	//  Background Image // 
    $wp_customize->add_setting( 
    	'comming_soon_bg_img' , 
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_url',	
			'priority' => 9,
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'comming_soon_bg_img' ,
		array(
			'label'          => esc_html__( 'Background Image', 'spintech-pro'),
			'section'        => 'comming_soon_setting',
		) 
	));		
	
}
add_action( 'customize_register', 'spintech_comming_soon_pg_setting' );