<?php
function spintech_company_pg_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Company Page
	=========================================*/
	$wp_customize->add_section(
		'company_pg_Settings', array(
			'title' => esc_html__( 'Company Page', 'spintech-pro' ),
			'priority' => 8,
			'panel' => 'spintech_page_templates',
		)
	);
	
	/*=========================================
	Company
	=========================================*/
	$wp_customize->add_setting(
		'company_pg_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'company_pg_head',
		array(
			'type' => 'hidden',
			'label' => __('Company Page','spintech-pro'),
			'section' => 'company_pg_Settings',
		)
	);	
	
	//hs_company_steps
	$wp_customize->add_setting( 
		'hs_company_steps' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_steps', 
		array(
			'label'	      => esc_html__( 'Hide/Show Steps Section', 'spintech-pro' ),
			'section'     => 'company_pg_Settings',
			'type'        => 'checkbox'
		) 
	);	
	
	//hs_company_journey
	$wp_customize->add_setting( 
		'hs_company_journey' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 3,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_journey', 
		array(
			'label'	      => esc_html__( 'Hide/Show Journey Section', 'spintech-pro' ),
			'section'     => 'company_pg_Settings',
			'type'        => 'checkbox'
		) 
	);	
	
	//hs_company_test
	$wp_customize->add_setting( 
		'hs_company_test' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 5,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_test', 
		array(
			'label'	      => esc_html__( 'Hide/Show Testimonial Section', 'spintech-pro' ),
			'section'     => 'company_pg_Settings',
			'type'        => 'checkbox'
		) 
	);	
	
	//hs_company_cta
	$wp_customize->add_setting( 
		'hs_company_cta' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 6,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_cta', 
		array(
			'label'	      => esc_html__( 'Hide/Show CTA Section', 'spintech-pro' ),
			'section'     => 'company_pg_Settings',
			'type'        => 'checkbox'
		) 
	);	
	
	
	
	/*=========================================
	Company About Page
	=========================================*/
	$wp_customize->add_section(
		'company_abt_pg_Settings', array(
			'title' => esc_html__( 'Company About Page', 'spintech-pro' ),
			'priority' => 9,
			'panel' => 'spintech_page_templates',
		)
	);
	
	/*=========================================
	Company
	=========================================*/
	$wp_customize->add_setting(
		'company_abt_pg_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'company_abt_pg_head',
		array(
			'type' => 'hidden',
			'label' => __('Company About Page','spintech-pro'),
			'section' => 'company_abt_pg_Settings',
		)
	);	
	
	//hs_company_steps
	$wp_customize->add_setting( 
		'hs_company_about' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_about', 
		array(
			'label'	      => esc_html__( 'Hide/Show About Section', 'spintech-pro' ),
			'section'     => 'company_abt_pg_Settings',
			'type'        => 'checkbox'
		) 
	);	
	
	//hs_company_abt_cta
	$wp_customize->add_setting( 
		'hs_company_abt_cta' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 3,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_abt_cta', 
		array(
			'label'	      => esc_html__( 'Hide/Show CTA Section', 'spintech-pro' ),
			'section'     => 'company_abt_pg_Settings',
			'type'        => 'checkbox'
		) 
	);	
	
	//hs_company_abt_team
	$wp_customize->add_setting( 
		'hs_company_abt_team' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 5,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_abt_team', 
		array(
			'label'	      => esc_html__( 'Hide/Show Team Section', 'spintech-pro' ),
			'section'     => 'company_abt_pg_Settings',
			'type'        => 'checkbox'
		) 
	);	
	
	//hs_company_abt_fun
	$wp_customize->add_setting( 
		'hs_company_abt_fun' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 6,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_abt_fun', 
		array(
			'label'	      => esc_html__( 'Hide/Show Funfact Section', 'spintech-pro' ),
			'section'     => 'company_abt_pg_Settings',
			'type'        => 'checkbox'
		) 
	);	
	
	
	//hs_company_abt_skill
	$wp_customize->add_setting( 
		'hs_company_abt_skill' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 7,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_abt_skill', 
		array(
			'label'	      => esc_html__( 'Hide/Show Skill Section', 'spintech-pro' ),
			'section'     => 'company_abt_pg_Settings',
			'type'        => 'checkbox'
		) 
	);
	
	
	
	
	/*=========================================
	Company Leadership Page
	=========================================*/
	$wp_customize->add_section(
		'company_lead_pg_Settings', array(
			'title' => esc_html__( 'Company Leadership Page', 'spintech-pro' ),
			'priority' => 10,
			'panel' => 'spintech_page_templates',
		)
	);
	
	/*=========================================
	Company
	=========================================*/
	$wp_customize->add_setting(
		'company_lead_pg_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'company_lead_pg_head',
		array(
			'type' => 'hidden',
			'label' => __('Company Leadership Page','spintech-pro'),
			'section' => 'company_lead_pg_Settings',
		)
	);	
	
	//hs_company_steps
	$wp_customize->add_setting( 
		'hs_company_lead_team' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_lead_team', 
		array(
			'label'	      => esc_html__( 'Hide/Show Team Section', 'spintech-pro' ),
			'section'     => 'company_lead_pg_Settings',
			'type'        => 'checkbox'
		) 
	);	
	
	
	
	/*=========================================
	Company Careers Page
	=========================================*/
	$wp_customize->add_section(
		'company_careers_pg_settings', array(
			'title' => esc_html__( 'Company Careers Page', 'spintech-pro' ),
			'priority' => 11,
			'panel' => 'spintech_page_templates',
		)
	);
	
	/*=========================================
	Company Our Career
	=========================================*/
	$wp_customize->add_setting(
		'company_careers_pg_our_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'company_careers_pg_our_head',
		array(
			'type' => 'hidden',
			'label' => __('Our Carrier','spintech-pro'),
			'section' => 'company_careers_pg_settings',
		)
	);	
	
	//hs_company_our_carrier
	$wp_customize->add_setting( 
		'hs_company_our_carrier' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_our_carrier', 
		array(
			'label'	      => esc_html__( 'Hide/Show Section', 'spintech-pro' ),
			'section'     => 'company_careers_pg_settings',
			'type'        => 'checkbox'
		) 
	);	
	
	// Service Title // 
	$wp_customize->add_setting(
    	'company_our_carrier_ttl',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'company_our_carrier_ttl',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'company_careers_pg_settings',
			'type'           => 'text',
		)  
	);
	
	// Service Subtitle // 
	$wp_customize->add_setting(
    	'company_our_carrier_subtitle',
    	array(
	        'default'			=> __('Nice To Meet You','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 5,
			'transport'         => $selective_refresh,
		)
	);	
	
	$wp_customize->add_control( 
		'company_our_carrier_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'company_careers_pg_settings',
			'type'           => 'textarea',
		)  
	);
	
	// Service Description // 
	$wp_customize->add_setting(
    	'company_our_carrier_desc',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'company_our_carrier_desc',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'company_careers_pg_settings',
			'type'           => 'textarea',
		)  
	);
	
	
	
	//  Image // 
    $wp_customize->add_setting( 
    	'company_our_carrier_img' , 
    	array(
			'default' 			=> get_template_directory_uri() .'/assets/images/bg/meet_section.png',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_url',	
			'priority' => 7,
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'company_our_carrier_img' ,
		array(
			'label'          => esc_html__( 'Image', 'spintech-pro'),
			'section'        => 'company_careers_pg_settings',
		) 
	));
	
	
	/*=========================================
	Company Our Current Opening
	=========================================*/
	$wp_customize->add_setting(
		'company_careers_pg_opening_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 8,
		)
	);

	$wp_customize->add_control(
	'company_careers_pg_opening_head',
		array(
			'type' => 'hidden',
			'label' => __('Current Opening','spintech-pro'),
			'section' => 'company_careers_pg_settings',
		)
	);	
	
	//hs_company_our_carrier
	$wp_customize->add_setting( 
		'hs_company_opening_carrier' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 9,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_opening_carrier', 
		array(
			'label'	      => esc_html__( 'Hide/Show Section', 'spintech-pro' ),
			'section'     => 'company_careers_pg_settings',
			'type'        => 'checkbox'
		) 
	);	
	
	// Service Title // 
	$wp_customize->add_setting(
    	'company_opening_carrier_ttl',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 10,
		)
	);	
	
	$wp_customize->add_control( 
		'company_opening_carrier_ttl',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'company_careers_pg_settings',
			'type'           => 'text',
		)  
	);
	
	// Service Subtitle // 
	$wp_customize->add_setting(
    	'company_opening_carrier_sub',
    	array(
	        'default'			=> __('Current Openings','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 11,
			'transport'         => $selective_refresh,
		)
	);	
	
	$wp_customize->add_control( 
		'company_opening_carrier_sub',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'company_careers_pg_settings',
			'type'           => 'textarea',
		)  
	);
	
	// Service Description // 
	$wp_customize->add_setting(
    	'company_opening_carrier_desc',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 12,
		)
	);	
	
	$wp_customize->add_control( 
		'company_opening_carrier_desc',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'company_careers_pg_settings',
			'type'           => 'textarea',
		)  
	);
	
	
	
	// custom content // 
	
	$page_editor_path = trailingslashit( get_template_directory() ) . 'inc/customizer/custom-controls/controls/editor/customizer-page-editor.php';
		if ( file_exists( $page_editor_path ) ) {
			require_once( $page_editor_path );
		}
	if ( class_exists( 'Spintech_Page_Editor' ) ) {
		$frontpage_id = get_option( 'page_on_front' );
		$default = '';
		if ( ! empty( $frontpage_id ) ) {
			$default = get_post_field( 'post_content', $frontpage_id );
		}
		$wp_customize->add_setting(
			'company_opening_carrier_content', array(
				'default' => '<table class="table table-borderless table-striped btn-table">
                            <caption align="center"><strong><u>We are always on the lookout for talented folk to join our team. Follow us on LinkedIn!</u></strong></caption>
                            <thead>
                                <tr>
                                    <th scope="col">Role</th>
                                    <th scope="col">Location</th>
                                    <th scope="col">Type</th>
                                    <th scope="col"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td><strong><u>Engineer: Observability Applications</u></strong></td>
                                    <td>New York</td>
                                    <td>Full Time</td>
                                    <td><a href="javascript:void(0);" class="btn btn-secondary btn-rounded">Apply Now</a></td>
                                </tr>
                                <tr>
                                    <td><strong><u>Cloud Ops Administrator</u></strong></td>
                                    <td>New York</td>
                                    <td>Full Time</td>
                                    <td><a href="javascript:void(0);" class="btn btn-primary btn-rounded">Apply Now</a></td>
                                </tr>
                                <tr>
                                    <td><strong><u>Platform Support Specialist</u></strong></td>
                                    <td>New York</td>
                                    <td>Full Time</td>
                                    <td><a href="javascript:void(0);" class="btn btn-secondary btn-rounded">Apply Now</a></td>
                                </tr>
                            </tbody>
                            </tfoot>
                        </table>',
				'sanitize_callback' => 'wp_kses_post',
				'priority' => 13,
				
			)
		);

		$wp_customize->add_control(
			new Spintech_Page_Editor(
				$wp_customize, 'company_opening_carrier_content', array(
					'label' => esc_html__( 'Content', 'spintech-pro' ),
					'section' => 'company_careers_pg_settings',
					'needsync' => true,
				)
			)
		);
	}
	$default = '';
	
	
	
	
	/*=========================================
	Company Benefit
	=========================================*/
	$wp_customize->add_setting(
		'company_careers_pg_benefit_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 14,
		)
	);

	$wp_customize->add_control(
	'company_careers_pg_benefit_head',
		array(
			'type' => 'hidden',
			'label' => __('Benefit','spintech-pro'),
			'section' => 'company_careers_pg_settings',
		)
	);	
	
	//hs_company_our_carrier
	$wp_customize->add_setting( 
		'hs_company_benefit_carrier' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 15,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_benefit_carrier', 
		array(
			'label'	      => esc_html__( 'Hide/Show Section', 'spintech-pro' ),
			'section'     => 'company_careers_pg_settings',
			'type'        => 'checkbox'
		) 
	);	
	
	// Service Title // 
	$wp_customize->add_setting(
    	'company_benefit_carrier_ttl',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 16,
		)
	);	
	
	$wp_customize->add_control( 
		'company_benefit_carrier_ttl',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'company_careers_pg_settings',
			'type'           => 'text',
		)  
	);
	
	// Service Subtitle // 
	$wp_customize->add_setting(
    	'company_benefit_carrier_sub',
    	array(
	        'default'			=> __('Benefits','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 17,
			'transport'         => $selective_refresh,
		)
	);	
	
	$wp_customize->add_control( 
		'company_benefit_carrier_sub',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'company_careers_pg_settings',
			'type'           => 'textarea',
		)  
	);
	
	// Service Description // 
	$wp_customize->add_setting(
    	'company_benefit_carrier_desc',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 18,
		)
	);	
	
	$wp_customize->add_control( 
		'company_benefit_carrier_desc',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'company_careers_pg_settings',
			'type'           => 'textarea',
		)  
	);
	
	
	/**
	 * Customizer Repeater for add Benefit
	 */
	
		$wp_customize->add_setting( 'company_benefit_contents', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'priority' => 19,
			 'default' => spintech_get_company_benefit_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'company_benefit_contents', 
					array(
						'label'   => esc_html__('Benefit','spintech-pro'),
						'section' => 'company_careers_pg_settings',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Benefit', 'spintech-pro' ),
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_image_control' => true,
						'customizer_repeater_title_control' => true,
						'customizer_repeater_text_control' => true,
						'customizer_repeater_link_control' => true,
					) 
				) 
			);
	



/*=========================================
Company FAQ
=========================================*/

	$wp_customize->add_section(
		'company_faq_pg_settings', array(
			'title' => esc_html__( 'Company FAQ Page', 'spintech-pro' ),
			'priority' => 12,
			'panel' => 'spintech_page_templates',
		)
	);
	
	$wp_customize->add_setting(
		'company_pg_faq_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 20,
		)
	);

	$wp_customize->add_control(
	'company_pg_faq_head',
		array(
			'type' => 'hidden',
			'label' => __('Company FAQ','spintech-pro'),
			'section' => 'company_faq_pg_settings',
		)
	);	
	
	//hs_company_faq
	$wp_customize->add_setting( 
		'hs_company_faq' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 15,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_faq', 
		array(
			'label'	      => esc_html__( 'Hide/Show Section', 'spintech-pro' ),
			'section'     => 'company_faq_pg_settings',
			'type'        => 'checkbox'
		) 
	);	


	/*=========================================
	Company FAQ
	=========================================*/

	$wp_customize->add_section(
		'company_loc_pg_settings', array(
			'title' => esc_html__( 'Company Loaction Page', 'spintech-pro' ),
			'priority' => 13,
			'panel' => 'spintech_page_templates',
		)
	);
	
	$wp_customize->add_setting(
		'company_pg_loc_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'company_pg_loc_head',
		array(
			'type' => 'hidden',
			'label' => __('Company Loaction','spintech-pro'),
			'section' => 'company_loc_pg_settings',
		)
	);	
	
	//hs_company_loc
	$wp_customize->add_setting( 
		'hs_company_loc' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_loc', 
		array(
			'label'	      => esc_html__( 'Hide/Show Section', 'spintech-pro' ),
			'section'     => 'company_loc_pg_settings',
			'type'        => 'checkbox'
		) 
	);	
	
	
	// Service Title // 
	$wp_customize->add_setting(
    	'company_loc_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'company_loc_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'company_loc_pg_settings',
			'type'           => 'text',
		)  
	);
	
	// Service Subtitle // 
	$wp_customize->add_setting(
    	'company_loc_subtitle',
    	array(
	        'default'			=> __('Located Around The <span class="text-primary">World</span>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 5,
		)
	);	
	
	$wp_customize->add_control( 
		'company_loc_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'company_loc_pg_settings',
			'type'           => 'textarea',
		)  
	);
	
	// Service Description // 
	$wp_customize->add_setting(
    	'company_loc_description',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'company_loc_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'company_loc_pg_settings',
			'type'           => 'textarea',
		)  
	);

	//  Image // 
    $wp_customize->add_setting( 
    	'company_loc_img' , 
    	array(
			'default' 			=> get_template_directory_uri() .'/assets/images/bg/map_bg.png',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_url',	
			'priority' => 7,
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'company_loc_img' ,
		array(
			'label'          => esc_html__( 'Image', 'spintech-pro'),
			'section'        => 'company_loc_pg_settings',
		) 
	));
	
	
	//hs_company_loc_content
	$wp_customize->add_setting( 
		'hs_company_loc_content' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 7,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_loc_content', 
		array(
			'label'	      => esc_html__( 'Hide/Show Loaction', 'spintech-pro' ),
			'section'     => 'company_loc_pg_settings',
			'type'        => 'checkbox'
		) 
	);	
	
	/**
	 * Customizer Repeater for add Location
	 */
	
	$wp_customize->add_setting( 'company_loc_contents', 
		array(
		 'sanitize_callback' => 'spintech_repeater_sanitize',
		 'transport'         => $selective_refresh,
		 'priority' => 8,
		 'default' => spintech_get_com_location_default()
		)
	);
	
	$wp_customize->add_control( 
		new Spintech_Repeater( $wp_customize, 
			'company_loc_contents', 
				array(
					'label'   => esc_html__('Location','spintech-pro'),
					'section' => 'company_loc_pg_settings',
					'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
					'item_name'                         => esc_html__( 'Location', 'spintech-pro' ),
					'customizer_repeater_icon_control' => true,
					'customizer_repeater_image_control' => true,
					'customizer_repeater_title_control' => true,
					'customizer_repeater_text_control' => true,
					'customizer_repeater_text2_control' => true,
					'customizer_repeater_link_control' => true,
				) 
			) 
		);
		
		
/*=========================================
Company Support
=========================================*/

	$wp_customize->add_section(
		'company_support_pg_settings', array(
			'title' => esc_html__( 'Company Support Page', 'spintech-pro' ),
			'priority' => 14,
			'panel' => 'spintech_page_templates',
		)
	);
	
	$wp_customize->add_setting(
		'company_pg_support_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'company_pg_support_head',
		array(
			'type' => 'hidden',
			'label' => __('Company Support','spintech-pro'),
			'section' => 'company_support_pg_settings',
		)
	);	
	
	//hs_company_support
	$wp_customize->add_setting( 
		'hs_company_support' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_support', 
		array(
			'label'	      => esc_html__( 'Hide/Show Section', 'spintech-pro' ),
			'section'     => 'company_support_pg_settings',
			'type'        => 'checkbox'
		) 
	);	
	
	
	// Service Title // 
	$wp_customize->add_setting(
    	'company_support_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'company_support_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'company_support_pg_settings',
			'type'           => 'text',
		)  
	);
	
	// Service Subtitle // 
	$wp_customize->add_setting(
    	'company_support_subtitle',
    	array(
	        'default'			=> __('Amazing Help <span class="text-primary">Services</span>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 5,
		)
	);	
	
	$wp_customize->add_control( 
		'company_support_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'company_support_pg_settings',
			'type'           => 'textarea',
		)  
	);
	
	// Service Description // 
	$wp_customize->add_setting(
    	'company_support_description',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'company_support_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'company_support_pg_settings',
			'type'           => 'textarea',
		)  
	);		
	
	/**
	 * Customizer Repeater for add service
	 */
	
		$wp_customize->add_setting( 'company_support_contents', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'transport'         => $selective_refresh,
			 'priority' => 8,
			 'default' => spintech_get_com_support_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'company_support_contents', 
					array(
						'label'   => esc_html__('Support','spintech-pro'),
						'section' => 'company_support_pg_settings',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Support', 'spintech-pro' ),
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_image_control' => true,
						'customizer_repeater_title_control' => true,
						'customizer_repeater_link_control' => true,
					) 
				) 
			);
			
			
			
/*=========================================
Company Support Cares
=========================================*/
	
	$wp_customize->add_setting(
		'company_pg_support_care_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 9,
		)
	);

	$wp_customize->add_control(
	'company_pg_support_care_head',
		array(
			'type' => 'hidden',
			'label' => __('Company Support Care','spintech-pro'),
			'section' => 'company_support_pg_settings',
		)
	);	
	
	//hs_company_support_care
	$wp_customize->add_setting( 
		'hs_company_support_care' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 9,
		) 
	);
	
	$wp_customize->add_control(
	'hs_company_support_care', 
		array(
			'label'	      => esc_html__( 'Hide/Show Section', 'spintech-pro' ),
			'section'     => 'company_support_pg_settings',
			'type'        => 'checkbox'
		) 
	);			


	/**
	 * Customizer Repeater for add service
	 */
	
		$wp_customize->add_setting( 'company_support_care_contents', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'transport'         => $selective_refresh,
			 'priority' => 10,
			 'default' => spintech_get_com_support_care_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'company_support_care_contents', 
					array(
						'label'   => esc_html__('Support Care','spintech-pro'),
						'section' => 'company_support_pg_settings',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Support Care', 'spintech-pro' ),
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_image_control' => true,
						'customizer_repeater_title_control' => true,
						'customizer_repeater_text_control' => true,
						'customizer_repeater_text2_control' => true,
						'customizer_repeater_link_control' => true,
					) 
				) 
			);	
	
}

add_action( 'customize_register', 'spintech_company_pg_setting' );


// Company selective refresh
function spintech_company_section_partials( $wp_customize ){
	
	// company_support_care_contents
	$wp_customize->selective_refresh->add_partial( 'company_support_care_contents', array(
		'selector'            => '.support-cares',
	) );
	
	// company_support_contents
	$wp_customize->selective_refresh->add_partial( 'company_support_contents', array(
		'selector'            => '.support-section .sppprts',
	) );
	
	// company_support_title
	$wp_customize->selective_refresh->add_partial( 'company_support_title', array(
		'selector'            => '.support-section .heading-default .ttl',
		'settings'            => 'company_support_title',
		'render_callback'  => 'spintech_company_support_title_render_callback',
	) );
	
	// company_support_subtitle
	$wp_customize->selective_refresh->add_partial( 'company_support_subtitle', array(
		'selector'            => '.support-section .heading-default h2',
		'settings'            => 'company_support_subtitle',
		'render_callback'  => 'spintech_company_support_subtitle_render_callback',
	) );
	
	// company_support_description
	$wp_customize->selective_refresh->add_partial( 'company_support_description', array(
		'selector'            => '.support-section .heading-default p',
		'settings'            => 'company_support_description',
		'render_callback'  => 'spintech_company_support_description_render_callback',
	) );
	

	// company_loc_title
	$wp_customize->selective_refresh->add_partial( 'company_loc_title', array(
		'selector'            => '.locations-section .heading-default .ttl',
		'settings'            => 'company_loc_title',
		'render_callback'  => 'spintech_company_loc_title_render_callback',
	) );
	
	// company_loc_subtitle
	$wp_customize->selective_refresh->add_partial( 'company_loc_subtitle', array(
		'selector'            => '.locations-section .heading-default h2',
		'settings'            => 'company_loc_subtitle',
		'render_callback'  => 'spintech_company_loc_subtitle_render_callback',
	) );
	
	// company_loc_description
	$wp_customize->selective_refresh->add_partial( 'company_loc_description', array(
		'selector'            => '.locations-section .heading-default p',
		'settings'            => 'company_loc_description',
		'render_callback'  => 'spintech_company_loc_description_render_callback',
	) );
	
	
	
// company_benefit_carrier_ttl
	$wp_customize->selective_refresh->add_partial( 'company_benefit_carrier_ttl', array(
		'selector'            => '.benefits-section .heading-default .ttl',
		'settings'            => 'company_benefit_carrier_ttl',
		'render_callback'  => 'spintech_company_benefit_carrier_ttl_render_callback',
	) );
	
	// company_benefit_carrier_sub
	$wp_customize->selective_refresh->add_partial( 'company_benefit_carrier_sub', array(
		'selector'            => '.benefits-section .heading-default h2',
		'settings'            => 'company_benefit_carrier_sub',
		'render_callback'  => 'spintech_company_benefit_carrier_sub_render_callback',
	) );
	
	// company_benefit_carrier_desc
	$wp_customize->selective_refresh->add_partial( 'company_benefit_carrier_desc', array(
		'selector'            => '.benefits-section .heading-default p',
		'settings'            => 'company_benefit_carrier_desc',
		'render_callback'  => 'spintech_company_benefit_carrier_desc_render_callback',
	) );


	
	// company_our_carrier_ttl
	$wp_customize->selective_refresh->add_partial( 'company_our_carrier_ttl', array(
		'selector'            => '.careers-section .heading-default .ttl',
		'settings'            => 'company_our_carrier_ttl',
		'render_callback'  => 'spintech_company_our_carrier_ttl_render_callback',
	) );
	
	// company_our_carrier_subtitle
	$wp_customize->selective_refresh->add_partial( 'company_our_carrier_subtitle', array(
		'selector'            => '.careers-section .heading-default h2',
		'settings'            => 'company_our_carrier_subtitle',
		'render_callback'  => 'spintech_company_our_carrier_subtitle_render_callback',
	) );
	
	// company_our_carrier_desc
	$wp_customize->selective_refresh->add_partial( 'company_our_carrier_desc', array(
		'selector'            => '.careers-section .heading-default p',
		'settings'            => 'company_our_carrier_desc',
		'render_callback'  => 'spintech_company_our_carrier_desc_render_callback',
	) );	
	
	
	// company_opening_carrier_ttl
	$wp_customize->selective_refresh->add_partial( 'company_opening_carrier_ttl', array(
		'selector'            => '.openings-section .heading-default .ttl',
		'settings'            => 'company_opening_carrier_ttl',
		'render_callback'  => 'spintech_company_opening_carrier_ttl_render_callback',
	) );
	
	// company_opening_carrier_sub
	$wp_customize->selective_refresh->add_partial( 'company_opening_carrier_sub', array(
		'selector'            => '.openings-section .heading-default h2',
		'settings'            => 'company_opening_carrier_sub',
		'render_callback'  => 'spintech_company_opening_carrier_sub_render_callback',
	) );
	
	// company_opening_carrier_desc
	$wp_customize->selective_refresh->add_partial( 'company_opening_carrier_desc', array(
		'selector'            => '.openings-section .heading-default p',
		'settings'            => 'company_opening_carrier_desc',
		'render_callback'  => 'spintech_company_opening_carrier_desc_render_callback',
	) );	
	}

add_action( 'customize_register', 'spintech_company_section_partials' );


// company_loc_title
function spintech_company_loc_title_render_callback() {
	return get_theme_mod( 'company_loc_title' );
}

// company_loc_subtitle
function spintech_company_loc_subtitle_render_callback() {
	return get_theme_mod( 'company_loc_subtitle' );
}

// company_loc_description
function spintech_company_loc_description_render_callback() {
	return get_theme_mod( 'company_loc_description' );
}



// company_benefit_carrier_ttl
function spintech_company_benefit_carrier_ttl_render_callback() {
	return get_theme_mod( 'company_benefit_carrier_ttl' );
}

// company_benefit_carrier_sub
function spintech_company_benefit_carrier_sub_render_callback() {
	return get_theme_mod( 'company_benefit_carrier_sub' );
}

// company_benefit_carrier_desc
function spintech_company_benefit_carrier_desc_render_callback() {
	return get_theme_mod( 'company_benefit_carrier_desc' );
}



// company_opening_carrier_ttl
function spintech_company_opening_carrier_ttl_render_callback() {
	return get_theme_mod( 'company_opening_carrier_ttl' );
}

// company_opening_carrier_sub
function spintech_company_opening_carrier_sub_render_callback() {
	return get_theme_mod( 'company_opening_carrier_sub' );
}

// company_opening_carrier_desc
function spintech_company_opening_carrier_desc_render_callback() {
	return get_theme_mod( 'company_opening_carrier_desc' );
}


// company_our_carrier_ttl
function spintech_company_our_carrier_ttl_render_callback() {
	return get_theme_mod( 'company_our_carrier_ttl' );
}

// company_our_carrier_subtitle
function spintech_company_our_carrier_subtitle_render_callback() {
	return get_theme_mod( 'company_our_carrier_subtitle' );
}

// company_our_carrier_desc
function spintech_company_our_carrier_desc_render_callback() {
	return get_theme_mod( 'company_our_carrier_desc' );
}


// company_support_title
function spintech_company_support_title_render_callback() {
	return get_theme_mod( 'company_support_title' );
}

// company_support_subtitle
function spintech_company_support_subtitle_render_callback() {
	return get_theme_mod( 'company_support_subtitle' );
}

// company_support_description
function spintech_company_support_description_render_callback() {
	return get_theme_mod( 'company_support_description' );
}