<?php
function spintech_contact_pg_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Contact Page
	=========================================*/
	$wp_customize->add_section(
		'contact_pg_Settings', array(
			'title' => esc_html__( 'Contact Page', 'spintech-pro' ),
			'priority' => 7,
			'panel' => 'spintech_page_templates',
		)
	);
	
	/*=========================================
	Contact Form
	=========================================*/
	$wp_customize->add_setting(
		'contact_pg_frm_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 18,
		)
	);

	$wp_customize->add_control(
	'contact_pg_frm_head',
		array(
			'type' => 'hidden',
			'label' => __('Contact Form','spintech-pro'),
			'section' => 'contact_pg_Settings',
		)
	);	
	
	$wp_customize->add_setting( 
		'hs_ct_form' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 19,
		) 
	);
	
	$wp_customize->add_control(
	'hs_ct_form', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'contact_pg_Settings',
			'type'        => 'checkbox'
		) 
	);	
	
	// Service Title // 
	$wp_customize->add_setting(
    	'ct_form_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'ct_form_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'contact_pg_Settings',
			'type'           => 'text',
		)  
	);
	
	// Service Subtitle // 
	$wp_customize->add_setting(
    	'ct_form_subtitle',
    	array(
	        'default'			=> __('Book An <span class="text-primary">Appointment','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 5,
		)
	);	
	
	$wp_customize->add_control( 
		'ct_form_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'contact_pg_Settings',
			'type'           => 'textarea',
		)  
	);
	
	// Service Description // 
	$wp_customize->add_setting(
    	'ct_form_description',
    	array(
	        'default'			=> __('Please complete the details below and then click on Submit and we’ll be in contact','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'ct_form_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'contact_pg_Settings',
			'type'           => 'textarea',
		)  
	);
	
	// ct_form_shortcode // 
	$wp_customize->add_setting(
    	'ct_form_shortcode',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 21,
		)
	);	
	
	$wp_customize->add_control( 
		'ct_form_shortcode',
		array(
		    'label'   => __('Shortcode','spintech-pro'),
		    'section' => 'contact_pg_Settings',
			'type'           => 'textarea',
		)  
	);
	
	// icon // 
	$wp_customize->add_setting(
    	'ct_frm_contct_icon',
    	array(
	        'default' => 'fa-phone',
			'sanitize_callback' => 'sanitize_text_field',
			'capability' => 'edit_theme_options',
			'priority'  => 22,
		)
	);	

	$wp_customize->add_control(new Spintech_Icon_Picker_Control($wp_customize, 
		'ct_frm_contct_icon',
		array(
		    'label'   		=> __('Phone Icon','spintech-pro'),
		    'section' 		=> 'contact_pg_Settings',
			'iconset' => 'fa',
			
		))  
	);		
	// Mobile title // 
	$wp_customize->add_setting(
    	'ct_frm_contct_ttl',
    	array(
	        'default'			=> __('Toll Free Number','spintech-pro'),
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'capability' => 'edit_theme_options',
			'priority'  => 23,
		)
	);	

	$wp_customize->add_control( 
		'ct_frm_contct_ttl',
		array(
		    'label'   		=> __('Phone Title','spintech-pro'),
		    'section' 		=> 'contact_pg_Settings',
			'type'		 =>	'text',
		)  
	);
	
	// Mobile text // 
	$wp_customize->add_setting(
    	'ct_frm_contct_txt',
    	array(
	        'default'			=> __('70 975 975 70','spintech-pro'),
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'capability' => 'edit_theme_options',
			'priority'  => 24,
		)
	);	

	$wp_customize->add_control( 
		'ct_frm_contct_txt',
		array(
		    'label'   		=> __('Phone Text','spintech-pro'),
		    'section' 		=> 'contact_pg_Settings',
			'type'		 =>	'textarea',
		)  
	);
	
	
	/*=========================================
	Contact Adress 
	=========================================*/
	$wp_customize->add_setting(
		'contact_pg_adress_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 26,
		)
	);

	$wp_customize->add_control(
	'contact_pg_adress_head',
		array(
			'type' => 'hidden',
			'label' => __('Address','spintech-pro'),
			'section' => 'contact_pg_Settings',
		)
	);	
	
	$wp_customize->add_setting( 
		'hs_ct_adress' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 27,
		) 
	);
	
	$wp_customize->add_control(
	'hs_ct_adress', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'contact_pg_Settings',
			'type'        => 'checkbox'
		) 
	);	
	
	/**
	 * Customizer Repeater for add Address
	 */
	
		$wp_customize->add_setting( 'ct_adress_contents', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'transport'         => $selective_refresh,
			 'priority' => 28,
			 'default' => spintech_get_ct_adress_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'ct_adress_contents', 
					array(
						'label'   => esc_html__('Address','spintech-pro'),
						'section' => 'contact_pg_Settings',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Address', 'spintech-pro' ),
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_image_control' => true,
						'customizer_repeater_title_control' => true,
						'customizer_repeater_text_control' => true,
						'customizer_repeater_link_control' => true,
					) 
				) 
			);
			
			
	/*=========================================
	Contact CTA 
	=========================================*/
	$wp_customize->add_setting(
		'contact_pg_cta_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 29,
		)
	);

	$wp_customize->add_control(
	'contact_pg_cta_head',
		array(
			'type' => 'hidden',
			'label' => __('Call to Action','spintech-pro'),
			'section' => 'contact_pg_Settings',
		)
	);	
	
	$wp_customize->add_setting( 
		'hs_ct_cta' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 30,
		) 
	);
	
	$wp_customize->add_control(
	'hs_ct_cta', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'contact_pg_Settings',
			'type'        => 'checkbox'
		) 
	);			
	
	
	
	/*=========================================
	Contact Info 
	=========================================*/
	$wp_customize->add_setting(
		'contact_pg_info_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 31,
		)
	);

	$wp_customize->add_control(
	'contact_pg_info_head',
		array(
			'type' => 'hidden',
			'label' => __('Contact Info','spintech-pro'),
			'section' => 'contact_pg_Settings',
		)
	);	
	
	$wp_customize->add_setting( 
		'hs_ct_info' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 32,
		) 
	);
	
	$wp_customize->add_control(
	'hs_ct_info', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'contact_pg_Settings',
			'type'        => 'checkbox'
		) 
	);			
	
	/**
	 * Customizer Repeater for add Info
	 */
	
		$wp_customize->add_setting( 'ct_info_contents', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'transport'         => $selective_refresh,
			 'priority' => 33,
			 'default' => spintech_get_ct_info_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'ct_info_contents', 
					array(
						'label'   => esc_html__('Contact Info','spintech-pro'),
						'section' => 'contact_pg_Settings',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Contact Info', 'spintech-pro' ),
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_image_control' => true,
						'customizer_repeater_title_control' => true,
						'customizer_repeater_text_control' => true,
					) 
				) 
			);
			
			
	/*=========================================
	Map
	=========================================*/
	// Settings
	$wp_customize->add_setting(
		'contact_map_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 35,
		)
	);

	$wp_customize->add_control(
	'contact_map_head',
		array(
			'type' => 'hidden',
			'label' => __('Map','spintech-pro'),
			'section' => 'contact_pg_Settings',
		)
	);
	
	// Contact Map Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'hs_pg_contact_map' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 36,
		) 
	);
	
	$wp_customize->add_control(
	'hs_pg_contact_map', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'spintech-pro' ),
			'section'     => 'contact_pg_Settings',
			'type'        => 'checkbox'
		) 
	);
	
	$wp_customize->add_setting(
    	'contact_page_map_lattitude',
    	array(
	        'default'			=> '40.6700',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 37,
		)
	);
	
	$wp_customize->add_control( 
		'contact_page_map_lattitude',
		array(
		    'label'   => __('Latitude','spintech-pro'),
		    'section' => 'contact_pg_Settings',
			'settings'=> 'contact_page_map_lattitude',
			'type' => 'text',
		)  
	);
	
	$wp_customize->add_setting(
    	'contact_page_map_longitude',
    	array(
	        'default'			=> '-73.9400',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 38,
		)
	);
	
	$wp_customize->add_control( 
		'contact_page_map_longitude',
		array(
		    'label'   => __('Longitude','spintech-pro'),
		    'section' => 'contact_pg_Settings',
			'settings'=> 'contact_page_map_longitude',
			'type' => 'text',
		)  
	);	


/*=========================================
	Opening Hour
	=========================================*/
	$wp_customize->add_setting(
		'contact_pg_op_hr_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 39,
		)
	);

	$wp_customize->add_control(
	'contact_pg_op_hr_head',
		array(
			'type' => 'hidden',
			'label' => __('Opening Hours','spintech-pro'),
			'section' => 'contact_pg_Settings',
		)
	);	
	
	$wp_customize->add_setting( 
		'hs_pg_opening_hour' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 40,
		) 
	);
	
	$wp_customize->add_control(
	'hs_pg_opening_hour', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'contact_pg_Settings',
			'type'        => 'checkbox'
		) 
	);	
	
	// opening_hour_ttl // 
	$wp_customize->add_setting(
    	'opening_hour_ttl',
    	array(
	        'default'			=> __('Opening Hours','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 41,
		)
	);	
	
	$wp_customize->add_control( 
		'opening_hour_ttl',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'contact_pg_Settings',
			'type'           => 'text',
		)  
	);
	
	if ( class_exists( 'Spintech_Page_Editor' ) ) {
		$frontpage_id = get_option( 'page_on_front' );
		$default = '';
		if ( ! empty( $frontpage_id ) ) {
			$default = get_post_field( 'post_content', $frontpage_id );
		}
		$wp_customize->add_setting(
			'pg_opening_content', array(
				'default' => __('<dl class="st-grid-dl">
                                <dt>Monday:</dt>
                                <dd>9:00 - 19:00</dd>
                                <dt>Tuesday:</dt>
                                <dd>9:00 - 19:00</dd>
                                <dt id="today">Wednesday:</dt>
                                <dd>9:00 - 19:00</dd>
                                <dt>Thursday:</dt>
                                <dd>9:00 - 19:00</dd>
                                <dt>Friday:</dt>
                                <dd>9:00 - 19:00</dd>
                                <dt>Saturday:</dt>
                                <dd>11:00 - 19:00</dd>
                                <dt>Sunday:</dt>
                                <dd id="closed">Closed</dd>
                            </dl>','spintech-pro'),
				'sanitize_callback' => 'wp_kses_post',
				'priority' => 43,
				
			)
		);

		$wp_customize->add_control(
			new Spintech_Page_Editor(
				$wp_customize, 'pg_opening_content', array(
					'label' => esc_html__( 'Content', 'spintech-pro' ),
					'section' => 'contact_pg_Settings',
					'needsync' => true,
				)
			)
		);
	}
	$default = '';	
	
	
	// icon // 
	$wp_customize->add_setting(
    	'ct_op_hr_contct_icon',
    	array(
	        'default' => 'fa-phone',
			'sanitize_callback' => 'sanitize_text_field',
			'capability' => 'edit_theme_options',
			'priority'  => 44,
		)
	);	

	$wp_customize->add_control(new Spintech_Icon_Picker_Control($wp_customize, 
		'ct_op_hr_contct_icon',
		array(
		    'label'   		=> __('Phone Icon','spintech-pro'),
		    'section' 		=> 'contact_pg_Settings',
			'iconset' => 'fa',
			
		))  
	);		
	// Mobile title // 
	$wp_customize->add_setting(
    	'ct_op_hr_contct_ttl',
    	array(
	        'default'			=> __('Toll Free Number','spintech-pro'),
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'capability' => 'edit_theme_options',
			'priority'  => 45,
		)
	);	

	$wp_customize->add_control( 
		'ct_op_hr_contct_ttl',
		array(
		    'label'   		=> __('Phone Title','spintech-pro'),
		    'section' 		=> 'contact_pg_Settings',
			'type'		 =>	'text',
		)  
	);
	
	// Mobile text // 
	$wp_customize->add_setting(
    	'ct_op_hr_contct_txt',
    	array(
	        'default'			=> __('70 975 975 70','spintech-pro'),
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'capability' => 'edit_theme_options',
			'priority'  => 46,
		)
	);	

	$wp_customize->add_control( 
		'ct_op_hr_contct_txt',
		array(
		    'label'   		=> __('Phone Text','spintech-pro'),
		    'section' 		=> 'contact_pg_Settings',
			'type'		 =>	'textarea',
		)  
	);
}

add_action( 'customize_register', 'spintech_contact_pg_setting' );

// CTA selective refresh
function spintech_ct_pg_section_partials( $wp_customize ){
	
	// ct_adress_contents
	$wp_customize->selective_refresh->add_partial( 'ct_adress_contents', array(
		'selector'            => '.contact-card .contact-address',	
	) );
	
	
	// ct_form title
	$wp_customize->selective_refresh->add_partial( 'ct_form_title', array(
		'selector'            => '.contact-card .heading-default .ttl',
		'settings'            => 'ct_form_title',
		'render_callback'  => 'spintech_ct_form_title_render_callback',
	
	) );
	
	// ct_form subtitle
	$wp_customize->selective_refresh->add_partial( 'ct_form_subtitle', array(
		'selector'            => '.contact-card .heading-default h2',
		'settings'            => 'ct_form_subtitle',
		'render_callback'  => 'spintech_ct_form_subtitle_render_callback',
	
	) );
	
	// ct_form description
	$wp_customize->selective_refresh->add_partial( 'ct_form_description', array(
		'selector'            => '.contact-card .heading-default p',
		'settings'            => 'ct_form_description',
		'render_callback'  => 'spintech_ct_form_desc_render_callback',
	
	) );
	
	// ct_frm_contct_ttl
	$wp_customize->selective_refresh->add_partial( 'ct_frm_contct_ttl', array(
		'selector'            => '.contact-card .contact-form-widget h6',
		'settings'            => 'ct_frm_contct_ttl',
		'render_callback'  => 'spintech_ct_frm_contct_ttl_render_callback',
	
	) );
	
	// ct_frm_contct_txt
	$wp_customize->selective_refresh->add_partial( 'ct_frm_contct_txt', array(
		'selector'            => '.contact-card .contact-form-widget p',
		'settings'            => 'ct_frm_contct_txt',
		'render_callback'  => 'spintech_ct_frm_contct_txt_render_callback',
	) );
	
	// opening_hour_ttl
	$wp_customize->selective_refresh->add_partial( 'opening_hour_ttl', array(
		'selector'            => '.opening-panel .opening-heading h4',
		'settings'            => 'opening_hour_ttl',
		'render_callback'  => 'spintech_opening_hour_ttl_render_callback',
	) );
	
	// pg_opening_content
	$wp_customize->selective_refresh->add_partial( 'pg_opening_content', array(
		'selector'            => '.opening-panel .opening-hours',
		'settings'            => 'pg_opening_content',
		'render_callback'  => 'spintech_pg_opening_content_render_callback',
	) );
	
	// ct_op_hr_contct_ttl
	$wp_customize->selective_refresh->add_partial( 'ct_op_hr_contct_ttl', array(
		'selector'            => '.opening-panel .contact-info h6',
		'settings'            => 'ct_op_hr_contct_ttl',
		'render_callback'  => 'spintech_pg_ct_op_hr_contct_ttl_render_callback',
	) );
	
	// ct_op_hr_contct_txt
	$wp_customize->selective_refresh->add_partial( 'ct_op_hr_contct_txt', array(
		'selector'            => '.opening-panel .contact-info p',
		'settings'            => 'ct_op_hr_contct_txt',
		'render_callback'  => 'spintech_pg_ct_op_hr_contct_txt_render_callback',
	) );
	
	}

add_action( 'customize_register', 'spintech_ct_pg_section_partials' );

// opening_hour_ttl
function spintech_opening_hour_ttl_render_callback() {
	return get_theme_mod( 'opening_hour_ttl' );
}

// pg_opening_content
function spintech_pg_opening_content_render_callback() {
	return get_theme_mod( 'pg_opening_content' );
}

// ct_op_hr_contct_ttl
function spintech_pg_ct_op_hr_contct_ttl_render_callback() {
	return get_theme_mod( 'ct_op_hr_contct_ttl' );
}

// ct_op_hr_contct_txt
function spintech_pg_ct_op_hr_contct_txt_render_callback() {
	return get_theme_mod( 'ct_op_hr_contct_txt' );
}

// ct_frm_contct_ttl
function spintech_ct_frm_contct_ttl_render_callback() {
	return get_theme_mod( 'ct_frm_contct_ttl' );
}

//ct_frm_contct_txt
function spintech_ct_frm_contct_txt_render_callback() {
	return get_theme_mod( 'ct_frm_contct_txt' );
}


// ct_form title
function spintech_ct_form_title_render_callback() {
	return get_theme_mod( 'ct_form_title' );
}

// ct_form subtitle
function spintech_ct_form_subtitle_render_callback() {
	return get_theme_mod( 'ct_form_subtitle' );
}

// ct_form description
function spintech_ct_form_desc_render_callback() {
	return get_theme_mod( 'ct_form_description' );
}