<?php
function spintech_custom_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	custom Section
	=========================================*/
	$wp_customize->add_section(
		'custom_setting', array(
			'title' => esc_html__( 'Custom Section', 'spintech-pro' ),
			'priority' => 15,
			'panel' => 'spintech_frontpage_sections',
		)
	);
	
	// custom Header Section // 
	$wp_customize->add_setting(
		'custom_headings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 3,
		)
	);

	$wp_customize->add_control(
	'custom_headings',
		array(
			'type' => 'hidden',
			'label' => __('Header','spintech-pro'),
			'section' => 'custom_setting',
		)
	);
	
	// custom Title // 
	$wp_customize->add_setting(
    	'custom_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'custom_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'custom_setting',
			'type'           => 'text',
		)  
	);
	
	// custom Subtitle // 
	$wp_customize->add_setting(
    	'custom_subtitle',
    	array(
	        'default'			=> __('Our <span class="text-primary">custom</span>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 5,
		)
	);	
	
	$wp_customize->add_control( 
		'custom_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'custom_setting',
			'type'           => 'textarea',
		)  
	);
	
	// custom Description // 
	$wp_customize->add_setting(
    	'custom_description',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'custom_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'custom_setting',
			'type'           => 'textarea',
		)  
	);

	// custom content Section // 
	
	$wp_customize->add_setting(
		'custom_content_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 7,
		)
	);

	$wp_customize->add_control(
	'custom_content_head',
		array(
			'type' => 'hidden',
			'label' => __('Content','spintech-pro'),
			'section' => 'custom_setting',
		)
	);
	
	// custom content // 
	
	$page_editor_path = trailingslashit( get_template_directory() ) . 'inc/customizer/custom-controls/controls/editor/customizer-page-editor.php';
		if ( file_exists( $page_editor_path ) ) {
			require_once( $page_editor_path );
		}
	if ( class_exists( 'Spintech_Page_Editor' ) ) {
		$frontpage_id = get_option( 'page_on_front' );
		$default = '';
		if ( ! empty( $frontpage_id ) ) {
			$default = get_post_field( 'post_content', $frontpage_id );
		}
		$wp_customize->add_setting(
			'spintech_custom_content', array(
				'default' => __('Custom Section Description','spintech-pro'),
				'sanitize_callback' => 'wp_kses_post',
				'priority' => 8,
				
			)
		);

		$wp_customize->add_control(
			new Spintech_Page_Editor(
				$wp_customize, 'spintech_custom_content', array(
					'label' => esc_html__( 'Content', 'spintech-pro' ),
					'section' => 'custom_setting',
					'needsync' => true,
				)
			)
		);
	}
	$default = '';
	
}

add_action( 'customize_register', 'spintech_custom_setting' );

// service selective refresh
function spintech_custom_section_partials( $wp_customize ){	
	// custom_title
	$wp_customize->selective_refresh->add_partial( 'custom_title', array(
		'selector'            => '.home-custom .heading-default .ttl',
		'settings'            => 'custom_title',
		'render_callback'  => 'spintech_custom_title_render_callback',
	
	) );
	
	// custom_subtitle
	$wp_customize->selective_refresh->add_partial( 'custom_subtitle', array(
		'selector'            => '.home-custom .heading-default h2',
		'settings'            => 'custom_subtitle',
		'render_callback'  => 'spintech_custom_subtitle_render_callback',
	
	) );
	
	// custom_description
	$wp_customize->selective_refresh->add_partial( 'custom_description', array(
		'selector'            => '.home-custom .heading-default p',
		'settings'            => 'custom_description',
		'render_callback'  => 'spintech_custom_description_render_callback',
	
	) );	
	}

add_action( 'customize_register', 'spintech_custom_section_partials' );

// custom_title
function spintech_custom_title_render_callback() {
	return get_theme_mod( 'custom_title' );
}

// custom_subtitle
function spintech_custom_subtitle_render_callback() {
	return get_theme_mod( 'custom_subtitle' );
}

// service description
function spintech_custom_description_render_callback() {
	return get_theme_mod( 'custom_description' );
}