<?php
function spintech_design_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Service  Section
	=========================================*/
	$wp_customize->add_section(
		'design_setting', array(
			'title' => esc_html__( 'Design & Developemt Section', 'spintech-pro' ),
			'priority' => 3,
			'panel' => 'spintech_frontpage_sections',
		)
	);

	// Design & Developemt Header Section // 
	$wp_customize->add_setting(
		'desgin_headings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 3,
		)
	);

	$wp_customize->add_control(
	'design_headings',
		array(
			'type' => 'hidden',
			'label' => __('Header','spintech-pro'),
			'section' => 'design_setting',
		)
	);
	
	// Design & Developemt Title // 
	$wp_customize->add_setting(
    	'design_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'design_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'design_setting',
			'type'           => 'text',
		)  
	);
	
	// Design & Developemt Subtitle // 
	$wp_customize->add_setting(
    	'design_subtitle',
    	array(
	        'default'			=> __('Design & Development','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 5,
		)
	);	
	
	$wp_customize->add_control( 
		'design_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'design_setting',
			'type'           => 'textarea',
		)  
	);
	
	// Design & Developemt Description // 
	$wp_customize->add_setting(
    	'design_description',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'design_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'design_setting',
			'type'           => 'textarea',
		)  
	);

	// Design & Developemt content Section // 
	
	$wp_customize->add_setting(
		'design_content_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 7,
		)
	);

	$wp_customize->add_control(
	'design_content_head',
		array(
			'type' => 'hidden',
			'label' => __('Content','spintech-pro'),
			'section' => 'design_setting',
		)
	);
	
	/**
	 * Customizer Repeater for add design
	 */
	
		$wp_customize->add_setting( 'design_contents', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'transport'         => $selective_refresh,
			 'priority' => 8,
			 'default' => spintech_get_design_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'design_contents', 
					array(
						'label'   => esc_html__('Design & Developemt','spintech-pro'),
						'section' => 'design_setting',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Design & Developemt', 'spintech-pro' ),
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_image_control' => true,
						'customizer_repeater_title_control' => true,
						'customizer_repeater_link_control' => true,
					) 
				) 
			);
			
	// Image // 
    $wp_customize->add_setting( 
    	'design_left_img' , 
    	array(
			'default' 			=> get_template_directory_uri() .'/assets/images/about/design-img.png',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_url',	
			'priority' => 10,
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'design_left_img' ,
		array(
			'label'          => esc_html__( 'Image', 'spintech-pro'),
			'section'        => 'design_setting',
		) 
	));
}

add_action( 'customize_register', 'spintech_design_setting' );

// design selective refresh
function spintech_home_design_section_partials( $wp_customize ){	
	// design title
	$wp_customize->selective_refresh->add_partial( 'design_title', array(
		'selector'            => '.design-home .heading-default .ttl',
		'settings'            => 'design_title',
		'render_callback'  => 'spintech_design_title_render_callback',
	
	) );
	
	// design subtitle
	$wp_customize->selective_refresh->add_partial( 'design_subtitle', array(
		'selector'            => '.design-home .heading-default h2',
		'settings'            => 'design_subtitle',
		'render_callback'  => 'spintech_design_subtitle_render_callback',
	
	) );
	
	// design description
	$wp_customize->selective_refresh->add_partial( 'design_description', array(
		'selector'            => '.design-home .heading-default p',
		'settings'            => 'design_description',
		'render_callback'  => 'spintech_design_desc_render_callback',
	
	) );
	// design content
	$wp_customize->selective_refresh->add_partial( 'design_contents', array(
		'selector'            => '.design-home .design-wrp'
	
	) );
	}

add_action( 'customize_register', 'spintech_home_design_section_partials' );

// design title
function spintech_design_title_render_callback() {
	return get_theme_mod( 'design_title' );
}

// design subtitle
function spintech_design_subtitle_render_callback() {
	return get_theme_mod( 'design_subtitle' );
}

// design description
function spintech_design_desc_render_callback() {
	return get_theme_mod( 'design_description' );
}