<?php
function spintech_footer( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	// Footer Panel // 
	$wp_customize->add_panel( 
		'footer_section', 
		array(
			'priority'      => 34,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Footer', 'spintech-pro'),
		) 
	);
	/*=========================================
	Footer Above
	=========================================*/	
	$wp_customize->add_section(
        'footer_above',
        array(
            'title' 		=> __('Footer Above','spintech-pro'),
			'panel'  		=> 'footer_section',
			'priority'      => 2,
		)
    );
	
	// Footer Above Head 
	$wp_customize->add_setting(
		'footer_abv_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority'  => 1,
		)
	);

	$wp_customize->add_control(
	'footer_abv_head',
		array(
			'type' => 'hidden',
			'label' => __('Social','spintech-pro'),
			'section' => 'footer_above',
		)
	);	
	
	
	// hide/show
	$wp_customize->add_setting( 
		'hs_footer_social' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'transport'         => $selective_refresh,
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'hs_footer_social', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'footer_above',
			'type'        => 'checkbox'
		) 
	);	
	//content
	$wp_customize->add_setting( 'footer_social_content', 
		array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'default' => spintech_get_footer_social_icon_default(),
			 'priority' => 2,
			)
		);
		
		$wp_customize->add_control( 
			new SPINTECH_Repeater( $wp_customize, 
				'footer_social_content', 
					array(
						'label'   => esc_html__('Social Icon','spintech-pro'),
						'section' => 'footer_above',
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_link_control' => true,
					) 
				) 
			);	
	

	// Footer contact Head 
	$wp_customize->add_setting(
		'footer_ct_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority'  => 3,
		)
	);

	$wp_customize->add_control(
	'footer_ct_head',
		array(
			'type' => 'hidden',
			'label' => __('Contact Info','spintech-pro'),
			'section' => 'footer_above',
		)
	);	
	
	
	// hide/show
	$wp_customize->add_setting( 
		'hs_footer_ct_info' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'transport'         => $selective_refresh,
			'priority' => 4,
		) 
	);
	
	$wp_customize->add_control(
	'hs_footer_ct_info', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'footer_above',
			'type'        => 'checkbox'
		) 
	);	
	//content
	$wp_customize->add_setting( 'footer_ct_info_content', 
		array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'default' => spintech_get_foot_info_default(),
			 'priority' => 2,
			)
		);
		
		$wp_customize->add_control( 
			new SPINTECH_Repeater( $wp_customize, 
				'footer_ct_info_content', 
					array(
						'label'   => esc_html__('Contact','spintech-pro'),
						'section' => 'footer_above',
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_title_control' => true,
						'customizer_repeater_subtitle_control' => true,
					) 
				) 
			);	
			
	// Footer Widget // 
	$wp_customize->add_section(
        'footer_widget',
        array(
            'title' 		=> __('Footer Widget Area','spintech-pro'),
			'panel'  		=> 'footer_section',
			'priority'      => 3,
		)
    );
	
	// Widget Layout
	$wp_customize->add_setting(
		'footer_widget_display'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'footer_widget_display',
		array(
			'type' => 'hidden',
			'label' => __('Widget Layout','spintech-pro'),
			'section' => 'footer_widget',
			'priority'  => 1,
		)
	);
	
	if ( class_exists( 'Spintech_Customize_Control_Radio_Image' ) ) {

		$wp_customize->add_setting(
			'footer_widget_layout', array(
				'sanitize_callback' => 'spintech_sanitize_text',
				'default' => '4',
			)
		);

		$wp_customize->add_control(
			new Spintech_Customize_Control_Radio_Image(
				$wp_customize, 'footer_widget_layout', array(
					'label'     => esc_html__( 'Widget Layout', 'spintech-pro' ),
					'section'   => 'footer_widget',
					'priority'  => 2,
					'choices'   => array(
						'disable' => array(
							'url' => apply_filters( 'disable', trailingslashit( get_template_directory_uri() ) . 'inc/customizer/assets/images/none.svg' ),
						),
						'1' => array(
							'url' => apply_filters( '1', trailingslashit( get_template_directory_uri() ) . 'inc/customizer/assets/images/widget-1.svg' ),
						),
						'2' => array(
							'url' => apply_filters( '2', trailingslashit( get_template_directory_uri() ) . 'inc/customizer/assets/images/widget-2.svg' ),
						),
						'3' => array(
							'url' => apply_filters( '3', trailingslashit( get_template_directory_uri() ) . 'inc/customizer/assets/images/widget-3.svg' ),
						),
						'4' => array(
							'url' => apply_filters( '4', trailingslashit( get_template_directory_uri() ) . 'inc/customizer/assets/images/widget-4.svg' ),
						),
					),
				)
			)
		);
	}
	
	// Footer Bottom // 
	$wp_customize->add_section(
        'footer_bottom',
        array(
            'title' 		=> __('Footer Bottom','spintech-pro'),
			'panel'  		=> 'footer_section',
			'priority'      => 3,
		)
    );
	
	// Footer Bottom Logo Head 
	$wp_customize->add_setting(
		'footer_btm_logo_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority'  => 1,
		)
	);

	$wp_customize->add_control(
	'footer_btm_logo_head',
		array(
			'type' => 'hidden',
			'label' => __('Logo','spintech-pro'),
			'section' => 'footer_bottom',
		)
	);
	
	//  Image // 
    $wp_customize->add_setting( 
    	'footer_btm_logo_img' , 
    	array(
			'default' 			=> get_template_directory_uri() .'/assets/images/logo_1.svg',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_url',	
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'footer_btm_logo_img' ,
		array(
			'label'          => esc_html__( 'Image', 'spintech-pro'),
			'section'        => 'footer_bottom',
		) 
	));
	
	
	
	// Footer Copyright Head
	$wp_customize->add_setting(
		'footer_btm_copy_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority'  => 3,
		)
	);

	$wp_customize->add_control(
	'footer_btm_copy_head',
		array(
			'type' => 'hidden',
			'label' => __('Copyright','spintech-pro'),
			'section' => 'footer_bottom',
		)
	);
	
	// Footer Copyright 
	$spintech_foo_copy = esc_html__('Copyright &copy; [current_year] [site_title] | Powered by [theme_author]', 'spintech-pro' );
	$wp_customize->add_setting(
    	'footer_copyright',
    	array(
			'default' => $spintech_foo_copy,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'footer_copyright',
		array(
		    'label'   		=> __('Copytight','spintech-pro'),
		    'section'		=> 'footer_bottom',
			'type' 			=> 'textarea',
			'transport'         => $selective_refresh,
		)  
	);	
	
	// Footer Menu Head
	$wp_customize->add_setting(
		'footer_btm_menu_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority'  => 5,
		)
	);

	$wp_customize->add_control(
	'footer_btm_menu_head',
		array(
			'type' => 'hidden',
			'label' => __('Menu','spintech-pro'),
			'section' => 'footer_bottom',
		)
	);
	
	// hide/show
	$wp_customize->add_setting( 
		'hs_footer_btm_menu' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'transport'         => $selective_refresh,
			'priority' => 6,
		) 
	);
	
	$wp_customize->add_control(
	'hs_footer_btm_menu', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'footer_bottom',
			'type'        => 'checkbox'
		) 
	);
}
add_action( 'customize_register', 'spintech_footer' );
// Footer selective refresh
function spintech_footer_partials( $wp_customize ){

	// hs_footer_social
	$wp_customize->selective_refresh->add_partial(
		'hs_footer_social', array(
			'selector' => '.footer-above .widget_social_widget',
			'container_inclusive' => true,
			'render_callback' => 'footer_above',
			'fallback_refresh' => true,
		)
	);
	
	// hs_footer_ct_info
	$wp_customize->selective_refresh->add_partial(
		'hs_footer_ct_info', array(
			'selector' => '.footer-above .ct-info',
			'container_inclusive' => true,
			'render_callback' => 'footer_above',
			'fallback_refresh' => true,
		)
	);
	
	// hs_footer_btm_menu
	$wp_customize->selective_refresh->add_partial(
		'hs_footer_btm_menu', array(
			'selector' => '#footer-section .widget_nav_menu',
			'container_inclusive' => true,
			'render_callback' => 'footer_bottom',
			'fallback_refresh' => true,
		)
	);
	// footer_copyright
	$wp_customize->selective_refresh->add_partial( 'footer_copyright', array(
		'selector'            => '#footer-section .footer-copyright .copyright-text',
		'settings'            => 'footer_copyright',
		'render_callback'  => 'spintech_footer_copyright_render_callback',
	
	) );
	}

add_action( 'customize_register', 'spintech_footer_partials' );

// copyright_content
function spintech_footer_copyright_render_callback() {
	return get_theme_mod( 'footer_copyright' );
}