<?php
function spintech_gallery_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Gallery  Section
	=========================================*/
	$wp_customize->add_section(
		'gallery_setting', array(
			'title' => esc_html__( 'Gallery Section', 'spintech-pro' ),
			'priority' => 10,
			'panel' => 'spintech_frontpage_sections',
		)
	);
	
	// Gallery Header Section // 
	$wp_customize->add_setting(
		'gallery_headings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 3,
		)
	);

	$wp_customize->add_control(
	'gallery_headings',
		array(
			'type' => 'hidden',
			'label' => __('Header','spintech-pro'),
			'section' => 'gallery_setting',
		)
	);
	
	// Gallery Title // 
	$wp_customize->add_setting(
    	'gallery_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'gallery_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'gallery_setting',
			'type'           => 'text',
		)  
	);
	
	// Gallery Subtitle // 
	$wp_customize->add_setting(
    	'gallery_subtitle',
    	array(
	        'default'			=> __('Our <span class="text-primary">Gallery</span>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 5,
		)
	);	
	
	$wp_customize->add_control( 
		'gallery_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'gallery_setting',
			'type'           => 'textarea',
		)  
	);
	
	// Gallery Description // 
	$wp_customize->add_setting(
    	'gallery_description',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'gallery_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'gallery_setting',
			'type'           => 'textarea',
		)  
	);

	// Gallery content Section // 
	
	$wp_customize->add_setting(
		'gallery_content_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 7,
		)
	);

	$wp_customize->add_control(
	'gallery_content_head',
		array(
			'type' => 'hidden',
			'label' => __('Content','spintech-pro'),
			'section' => 'gallery_setting',
		)
	);
	/**
	 * Customizer Repeater for add service
	 */
	
		$wp_customize->add_setting( 'gallery', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'transport'         => $selective_refresh,
			 'priority' => 8,
			 'default' => spintech_get_gallery_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'gallery', 
					array(
						'label'   => esc_html__('Gallery','spintech-pro'),
						'section' => 'gallery_setting',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Gallery', 'spintech-pro' ),
						'customizer_repeater_image_control' => true,
						'customizer_repeater_title_control' => true,
					) 
				) 
			);
			
	// Gallery column // 
	$wp_customize->add_setting(
    	'gallery_sec_column',
    	array(
	        'default'			=> '5',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_select',
			'priority' => 9,
		)
	);	

	$wp_customize->add_control(
		'gallery_sec_column',
		array(
		    'label'   		=> __('Gallery Column','spintech-pro'),
		    'section' 		=> 'gallery_setting',
			'type'			=> 'select',
			'choices'        => 
			array(
				'1' => __( '1 column', 'spintech-pro' ),
				'2' => __( '2 column', 'spintech-pro' ),
				'3' => __( '3 column', 'spintech-pro' ),
				'4' => __( '4 column', 'spintech-pro' ),
				'5' => __( '5 column', 'spintech-pro' ),
			) 
		) 
	);		
}

add_action( 'customize_register', 'spintech_gallery_setting' );

// Gallery selective refresh
function spintech_gallery_section_partials( $wp_customize ){
	
	// gallery_title
	$wp_customize->selective_refresh->add_partial( 'gallery_title', array(
		'selector'            => '.home-gallery .heading-default .ttl',
		'settings'            => 'gallery_title',
		'render_callback'  => 'spintech_gallery_title_render_callback',
	
	) );
	
	// gallery_subtitle
	$wp_customize->selective_refresh->add_partial( 'gallery_subtitle', array(
		'selector'            => '.home-gallery .heading-default h2',
		'settings'            => 'gallery_subtitle',
		'render_callback'  => 'spintech_gallery_subtitle_render_callback',
	) );
	
	// gallery_description
	$wp_customize->selective_refresh->add_partial( 'gallery_description', array(
		'selector'            => '.home-gallery .heading-default p',
		'settings'            => 'gallery_description',
		'render_callback'  => 'spintech_gallery_description_render_callback',
	) );
	
	// Gallery content
	$wp_customize->selective_refresh->add_partial( 'gallery', array(
		'selector'            => '.home-gallery .gallery-hm-wrap'
	) );
	
	}

add_action( 'customize_register', 'spintech_gallery_section_partials' );

// gallery_title
function spintech_gallery_title_render_callback() {
	return get_theme_mod( 'gallery_title' );
}

// gallery_subtitle
function spintech_gallery_subtitle_render_callback() {
	return get_theme_mod( 'gallery_subtitle' );
}

// gallery_description
function spintech_gallery_description_render_callback() {
	return get_theme_mod( 'gallery_description' );
}