<?php
function spintech_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Header Settings Panel
	=========================================*/
	$wp_customize->add_panel( 
		'header_section', 
		array(
			'priority'      => 2,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Header', 'spintech-pro'),
		) 
	);
	
	/*=========================================
	Spintech Site Identity
	=========================================*/
	$wp_customize->add_section(
        'title_tagline',
        array(
        	'priority'      => 1,
            'title' 		=> __('Site Identity','spintech-pro'),
			'panel'  		=> 'header_section',
		)
    );

	// Logo Width // 
	if ( class_exists( 'Spintech_Customizer_Range_Control' ) ) {
		$wp_customize->add_setting(
			'logo_width',
			array(
				'default'			=> '140',
				'capability'     	=> 'edit_theme_options',
				'sanitize_callback' => 'spintech_sanitize_range_value',
				'transport'         => 'postMessage',
			)
		);
		$wp_customize->add_control( 
		new Spintech_Customizer_Range_Control( $wp_customize, 'logo_width', 
			array(
				'label'      => __( 'Logo Width', 'spintech-pro' ),
				'section'  => 'title_tagline',
				 'media_query'   => true,
					'input_attr'    => array(
						'mobile'  => array(
							'min'           => 0,
							'max'           => 500,
							'step'          => 1,
							'default_value' => 140,
						),
						'tablet'  => array(
							'min'           => 0,
							'max'           => 500,
							'step'          => 1,
							'default_value' => 140,
						),
						'desktop' => array(
							'min'           => 0,
							'max'           => 500,
							'step'          => 1,
							'default_value' => 140,
						),
					),
			) ) 
		);
	}
	
	// Typography
	$wp_customize->add_setting(
		'logo_typography'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'logo_typography',
		array(
			'type' => 'hidden',
			'label' => __('Typography','spintech-pro'),
			'section' => 'title_tagline',
			'priority' => 100,
		)
	);
	
	// Site Title Font Size// 
	if ( class_exists( 'Spintech_Customizer_Range_Control' ) ) {
		$wp_customize->add_setting(
			'site_ttl_size',
			array(
				'capability'     	=> 'edit_theme_options',
				'sanitize_callback' => 'spintech_sanitize_range_value',
				'transport'         => 'postMessage'
			)
		);
		$wp_customize->add_control( 
		new Spintech_Customizer_Range_Control( $wp_customize, 'site_ttl_size', 
			array(
				'label'      => __( 'Site Title Font Size', 'spintech-pro' ),
				'section'  => 'title_tagline',
				'priority' => 101,
				 'media_query'   => true,
                'input_attr'    => array(
                    'mobile'  => array(
                        'min'           => 0,
                        'max'           => 100,
                        'step'          => 1,
                        'default_value' => 30,
                    ),
                    'tablet'  => array(
                        'min'           => 0,
                        'max'           => 100,
                        'step'          => 1,
                        'default_value' => 30,
                    ),
                    'desktop' => array(
                        'min'           => 0,
                        'max'           => 100,
                        'step'          => 1,
                        'default_value' => 30,
                    ),
                ),
			) ) 
		);

	// Site Description Font Size// 	
		$wp_customize->add_setting(
			'site_desc_size',
			array(
				'capability'     	=> 'edit_theme_options',
				'sanitize_callback' => 'spintech_sanitize_range_value',
				'transport'         => 'postMessage'
			)
		);
		$wp_customize->add_control( 
		new Spintech_Customizer_Range_Control( $wp_customize, 'site_desc_size', 
			array(
				'label'      => __( 'Site Description Font Size', 'spintech-pro' ),
				'section'  => 'title_tagline',
				'priority' => 102,
				 'media_query'   => true,
                'input_attr'    => array(
                    'mobile'  => array(
                        'min'           => 0,
                        'max'           => 100,
                        'step'          => 1,
                        'default_value' => 12,
                    ),
                    'tablet'  => array(
                        'min'           => 0,
                        'max'           => 100,
                        'step'          => 1,
                        'default_value' => 12,
                    ),
                    'desktop' => array(
                        'min'           => 0,
                        'max'           => 100,
                        'step'          => 1,
                        'default_value' => 12,
                    ),
                ),
			) ) 
		);
	}
	
	/*=========================================
	Spintech Header Style
	=========================================*/
	$wp_customize->add_section(
        'header_style',
        array(
        	'priority'      => 1,
            'title' 		=> __('Header Style','spintech-pro'),
			'panel'  		=> 'header_section',
		)
    );
	
	$wp_customize->add_setting( 
		'spintech_header_type' , 
			array(
			'default' => __('header-default header-nav-white', 'spintech-pro' ),
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
		) 
	);

	$wp_customize->add_control(
	'spintech_header_type' , 
		array(
			'label'          => __( 'Header Type', 'spintech-pro' ),
			'section'        => 'header_style',
			'type'           => 'select',
			'choices'        => 
			array(
				'header-default header-nav-white'      					=> __( 'Header 1', 'spintech-pro' ),
				'header-default above-header-bg' 						=> __( 'Header 2', 'spintech-pro' ),
				'header-default' 										=> __( 'Header 3', 'spintech-pro' ),
				'header-transparent'   									=> __( 'Header 4', 'spintech-pro' ),
				'above-header-bg header-transparent'   					=> __( 'Header 5', 'spintech-pro' ),
			)
		) 
	);
	
	/*=========================================
	Above Header Section
	=========================================*/	
	$wp_customize->add_section(
        'above_header',
        array(
        	'priority'      => 2,
            'title' 		=> __('Above Header','spintech-pro'),
			'panel'  		=> 'header_section',
		)
    );

	// Header Hiring Section
	$wp_customize->add_setting(
		'abv_hdr_hiring_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'abv_hdr_hiring_head',
		array(
			'type' => 'hidden',
			'label' => __('Hiring','spintech-pro'),
			'section' => 'above_header',
			'priority'  => 2,
		)
	);	
	
	// hide/show
	$wp_customize->add_setting( 
		'hs_above_hiring' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'transport'         => $selective_refresh,
		) 
	);
	
	$wp_customize->add_control(
	'hs_above_hiring', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'above_header',
			'type'        => 'checkbox',
			'priority' => 2,
		) 
	);	
	
	// above header hiring title // 
	$wp_customize->add_setting(
    	'abv_hdr_hiring_ttl',
    	array(
			'default' => __('Now Hiring:','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
		)
	);	

	$wp_customize->add_control( 
		'abv_hdr_hiring_ttl',
		array(
		    'label'   		=> __('Title','spintech-pro'),
		    'section'		=> 'above_header',
			'type' 			=> 'text',
			'priority'      => 3,
		)  
	);	
	
	// above header hiring title // 
	$wp_customize->add_setting(
    	'abv_hdr_hiring_content',
    	array(
			'default' => __('"Are you a driven 1st Line IT Support?","Are you a driven 1st Line IT Support?","Are you a driven 1st Line IT Support?"','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
		)
	);	

	$wp_customize->add_control( 
		'abv_hdr_hiring_content',
		array(
		    'label'   		=> __('Content','spintech-pro'),
		    'section'		=> 'above_header',
			'type' 			=> 'textarea',
			'priority'      => 3,
		)  
	);
	
	// Header Contact Info 
	$wp_customize->add_setting(
		'abv_hdr_ct_info_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'abv_hdr_ct_info_head',
		array(
			'type' => 'hidden',
			'label' => __('Contact Info','spintech-pro'),
			'section' => 'above_header',
			'priority'  => 5,
		)
	);	
	
	$wp_customize->add_setting( 
		'hide_show_cntct_info' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'transport'         => $selective_refresh,
		) 
	);
	
	$wp_customize->add_control(
	'hide_show_cntct_info', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'above_header',
			'type'        => 'checkbox',
			'priority'  => 6,
		) 
	);	
	
	// icon // 
	$wp_customize->add_setting(
    	'th_contct_icon',
    	array(
	        'default' => 'fa-clock-o',
			'sanitize_callback' => 'sanitize_text_field',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control(new Spintech_Icon_Picker_Control($wp_customize, 
		'th_contct_icon',
		array(
		    'label'   		=> __('Icon','spintech-pro'),
		    'section' 		=> 'above_header',
			'iconset' => 'fa',
			'priority'  => 7,
			
		))  
	);		
	// Mobile title // 
	$wp_customize->add_setting(
    	'th_contact_text',
    	array(
	        'default'			=> __('Office Hours 8:00AM - 6:00PM','spintech-pro'),
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control( 
		'th_contact_text',
		array(
		    'label'   		=> __('Text','spintech-pro'),
		    'section' 		=> 'above_header',
			'type'		 =>	'textarea',
			'priority' => 8,
		)  
	);
	
	// Header Social
	$wp_customize->add_setting(
		'abv_hdr_social_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'abv_hdr_social_head',
		array(
			'type' => 'hidden',
			'label' => __('Social Icon','spintech-pro'),
			'section' => 'above_header',
			'priority'  => 9,
		)
	);

	$wp_customize->add_setting( 
		'hide_show_social_icon' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'transport'         => $selective_refresh,
		) 
	);
	
	$wp_customize->add_control(
	'hide_show_social_icon', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'above_header',
			'type'        => 'checkbox',
			'priority' => 10,
		) 
	);
	
	/**
	 * Customizer Repeater
	 */
		$wp_customize->add_setting( 'social_icons', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'default' => spintech_get_social_icon_default()
		)
		);
		
		$wp_customize->add_control( 
			new SPINTECH_Repeater( $wp_customize, 
				'social_icons', 
					array(
						'label'   => esc_html__('Social Icons','spintech-pro'),
						'priority' => 11,
						'section' => 'above_header',
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_link_control' => true,
					) 
				) 
			);	
			
			
			
	/*=========================================
	Header Navigation
	=========================================*/	
	$wp_customize->add_section(
        'hdr_navigation',
        array(
        	'priority'      => 3,
            'title' 		=> __('Header Navigation','spintech-pro'),
			'panel'  		=> 'header_section',
		)
    );

    // Cart
	$wp_customize->add_setting(
		'hdr_nav_cart'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'hdr_nav_cart',
		array(
			'type' => 'hidden',
			'label' => __('Cart','spintech-pro'),
			'section' => 'hdr_navigation',
			'priority' => 2,
		)
	);

	// hide/show
	$wp_customize->add_setting( 
		'hide_show_cart' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
		) 
	);
	
	$wp_customize->add_control(
	'hide_show_cart', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'hdr_navigation',
			'type'        => 'checkbox',
			'priority' => 2,
		) 
	);
	
	// Header Hiring Section
	$wp_customize->add_setting(
		'hdr_nav_search_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'hdr_nav_search_head',
		array(
			'type' => 'hidden',
			'label' => __('Search','spintech-pro'),
			'section' => 'hdr_navigation',
			'priority'  => 3,
		)
	);	
	
	// hide/show
	$wp_customize->add_setting( 
		'hs_nav_search' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'transport'         => $selective_refresh,
		) 
	);
	
	$wp_customize->add_control(
	'hs_nav_search', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'hdr_navigation',
			'type'        => 'checkbox',
			'priority' => 3,
		) 
	);
	
	// Header Navigation Contact
	$wp_customize->add_setting(
		'hdr_nav_ct_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
		)
	);

	$wp_customize->add_control(
	'hdr_nav_ct_head',
		array(
			'type' => 'hidden',
			'label' => __('Contact','spintech-pro'),
			'section' => 'hdr_navigation',
			'priority'  => 3,
		)
	);	
	
	// hide/show
	$wp_customize->add_setting( 
		'hs_nav_contact' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'transport'         => $selective_refresh,
		) 
	);
	
	$wp_customize->add_control(
	'hs_nav_contact', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'hdr_navigation',
			'type'        => 'checkbox',
			'priority' => 4,
		) 
	);	
	
	
	// icon // 
	$wp_customize->add_setting(
    	'nav_contact_icon',
    	array(
	        'default' => 'fa-envelope',
			'sanitize_callback' => 'sanitize_text_field',
			'capability' => 'edit_theme_options',
		)
	);	

	$wp_customize->add_control(new Spintech_Icon_Picker_Control($wp_customize, 
		'nav_contact_icon',
		array(
		    'label'   		=> __('Icon','spintech-pro'),
		    'section' 		=> 'hdr_navigation',
			'iconset' => 'fa',
			'priority'  => 4,
			
		))  
	);		
	
	// nav_contact_ttl // 
	$wp_customize->add_setting(
    	'nav_contact_ttl',
    	array(
			'default' => __('Contact For Support','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
		)
	);	

	$wp_customize->add_control( 
		'nav_contact_ttl',
		array(
		    'label'   		=> __('Title','spintech-pro'),
		    'section'		=> 'hdr_navigation',
			'type' 			=> 'text',
			'priority'      => 5,
		)  
	);	
	
	// nav_contact_text // 
	$wp_customize->add_setting(
    	'nav_contact_text',
    	array(
			'default' => __('70 975 975 70','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
		)
	);	

	$wp_customize->add_control( 
		'nav_contact_text',
		array(
		    'label'   		=> __('Text','spintech-pro'),
		    'section'		=> 'hdr_navigation',
			'type' 			=> 'text',
			'priority'      => 6,
		)  
	);
	
	
	/*=========================================
	Sticky Header
	=========================================*/	
	$wp_customize->add_section(
        'sticky_header_set',
        array(
        	'priority'      => 4,
            'title' 		=> __('Sticky Header','spintech-pro'),
			'panel'  		=> 'header_section',
		)
    );
	
	// Heading
	$wp_customize->add_setting(
		'sticky_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'sticky_head',
		array(
			'type' => 'hidden',
			'label' => __('Sticky Header','spintech-pro'),
			'section' => 'sticky_header_set',
		)
	);
	$wp_customize->add_setting( 
		'hide_show_sticky' , 
			array(
			'default' => '1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'hide_show_sticky', 
		array(
			'label'	      => esc_html__( 'Hide/Show', 'spintech-pro' ),
			'section'     => 'sticky_header_set',
			'type'        => 'checkbox'
		) 
	);	
}
add_action( 'customize_register', 'spintech_header_settings' );


// Header selective refresh
function spintech_header_partials( $wp_customize ){

	// hs_above_hiring
	$wp_customize->selective_refresh->add_partial(
		'hs_above_hiring', array(
			'selector' => '.main-header .hiring',
			'container_inclusive' => true,
			'render_callback' => 'above_header',
			'fallback_refresh' => true,
		)
	);
	
	// hide_show_cntct_info
	$wp_customize->selective_refresh->add_partial(
		'hide_show_cntct_info', array(
			'selector' => '.above-header .widget-contact',
			'container_inclusive' => true,
			'render_callback' => 'above_header',
			'fallback_refresh' => true,
		)
	);
	
	// hide_show_social_icon
	$wp_customize->selective_refresh->add_partial(
		'hide_show_social_icon', array(
			'selector' => '.main-header .widget_social_widget',
			'container_inclusive' => true,
			'render_callback' => 'above_header',
			'fallback_refresh' => true,
		)
	);
	
	// hs_nav_search
	$wp_customize->selective_refresh->add_partial(
		'hs_nav_search', array(
			'selector' => '.main-header .search-button',
			'container_inclusive' => true,
			'render_callback' => 'above_header',
			'fallback_refresh' => true,
		)
	);
	
	// hs_nav_contact
	$wp_customize->selective_refresh->add_partial(
		'hs_nav_contact', array(
			'selector' => '.navigation-wrapper .widget-contact',
			'container_inclusive' => true,
			'render_callback' => 'hdr_navigation',
			'fallback_refresh' => true,
		)
	);
	
	// abv_hdr_hiring_ttl
	$wp_customize->selective_refresh->add_partial( 'abv_hdr_hiring_ttl', array(
		'selector'            => '.main-header .hiring .text-heading strong',
		'settings'            => 'abv_hdr_hiring_ttl',
		'render_callback'  => 'spintech_abv_hdr_hiring_ttl_render_callback',
	) );
	
	// th_contact_text
	$wp_customize->selective_refresh->add_partial( 'th_contact_text', array(
		'selector'            => '.above-header .widget-contact p',
		'settings'            => 'th_contact_text',
		'render_callback'  => 'spintech_th_contact_text_render_callback',
	) );
	
	// nav_contact_ttl
	$wp_customize->selective_refresh->add_partial( 'nav_contact_ttl', array(
		'selector'            => '.navigation-wrapper .widget-contact h6',
		'settings'            => 'nav_contact_ttl',
		'render_callback'  => 'spintech_nav_contact_ttl_render_callback',
	) );
	
	// nav_contact_text
	$wp_customize->selective_refresh->add_partial( 'nav_contact_text', array(
		'selector'            => '.navigation-wrapper .widget-contact p',
		'settings'            => 'nav_contact_text',
		'render_callback'  => 'spintech_nav_contact_text_render_callback',
	) );
	
	
	}

add_action( 'customize_register', 'spintech_header_partials' );


// abv_hdr_hiring_ttl
function spintech_abv_hdr_hiring_ttl_render_callback() {
	return get_theme_mod( 'abv_hdr_hiring_ttl' );
}

// th_contact_text
function spintech_th_contact_text_render_callback() {
	return get_theme_mod( 'th_contact_text' );
}


// nav_contact_ttl
function spintech_nav_contact_ttl_render_callback() {
	return get_theme_mod( 'nav_contact_ttl' );
}

// nav_contact_text
function spintech_nav_contact_text_render_callback() {
	return get_theme_mod( 'nav_contact_text' );
}