<?php
function spintech_info_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Info  Section
	=========================================*/
	$wp_customize->add_section(
		'info_setting', array(
			'title' => esc_html__( 'Info Section', 'spintech-pro' ),
			'priority' => 3,
			'panel' => 'spintech_frontpage_sections',
		)
	);

	// Info content Section // 
	
	$wp_customize->add_setting(
		'info_content_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 7,
		)
	);

	$wp_customize->add_control(
	'info_content_head',
		array(
			'type' => 'hidden',
			'label' => __('Content','spintech-pro'),
			'section' => 'info_setting',
		)
	);
	
	$wp_customize->add_setting( 
		'spintech_info_type' , 
			array(
			'default' => 'style-1',
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 8,
		) 
	);

	$wp_customize->add_control(
	'spintech_info_type' , 
		array(
			'label'          => __( 'Info Type', 'spintech-pro' ),
			'section'        => 'info_setting',
			'type'           => 'select',
			'choices'        => 
			array(
				'style-1'      					=> __( 'Style 1', 'spintech-pro' ),
				'style-2'      					=> __( 'Style 2', 'spintech-pro' ),
			)
		) 
	);
	
	/**
	 * Customizer Repeater for add info
	 */
	
		$wp_customize->add_setting( 'info_contents', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'transport'         => $selective_refresh,
			 'priority' => 8,
			 'default' => spintech_get_info_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'info_contents', 
					array(
						'label'   => esc_html__('Info','spintech-pro'),
						'section' => 'info_setting',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Info', 'spintech-pro' ),
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_image_control' => true,
						'customizer_repeater_title_control' => true,
						'customizer_repeater_text_control' => true,
						'customizer_repeater_link_control' => true,
					) 
				) 
			);
	// info column // 
	$wp_customize->add_setting(
    	'info_sec_column',
    	array(
	        'default'			=> '3',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_select',
			'priority' => 9,
		)
	);	

	$wp_customize->add_control(
		'info_sec_column',
		array(
		    'label'   		=> __('Info Column','spintech-pro'),
		    'section' 		=> 'info_setting',
			'settings'   	 => 'info_sec_column',
			'type'			=> 'select',
			'choices'        => 
			array(
				'12' => __( '1 column', 'spintech-pro' ),
				'6' => __( '2 column', 'spintech-pro' ),
				'4' => __( '3 column', 'spintech-pro' ),
				'3' => __( '4 column', 'spintech-pro' ),
			) 
		) 
	);
}

add_action( 'customize_register', 'spintech_info_setting' );

// info selective refresh
function spintech_home_info_section_partials( $wp_customize ){	
	// info content
	$wp_customize->selective_refresh->add_partial( 'info_contents', array(
		'selector'            => '.info-section .info-wrapper'
	
	) );
	
	}

add_action( 'customize_register', 'spintech_home_info_section_partials' );