<?php
function spintech_pages_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Spintech Page Templates
	=========================================*/
	$wp_customize->add_panel(
		'spintech_page_templates', array(
			'priority' => 33,
			'title' => esc_html__( 'Page Templates', 'spintech-pro' ),
		)
	);
	
	
	/*=========================================
	About Page
	=========================================*/
	$wp_customize->add_section(
		'about_pg_Settings', array(
			'title' => esc_html__( 'About Page', 'spintech-pro' ),
			'priority' => 1,
			'panel' => 'spintech_page_templates',
		)
	);
	
	// Settings
	$wp_customize->add_setting(
		'about_pg_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 1,
		)
	);

	$wp_customize->add_control(
	'about_pg_head',
		array(
			'type' => 'hidden',
			'label' => __('About Contents','spintech-pro'),
			'section' => 'about_pg_Settings',
		)
	);
	
	// About Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'hs_pg_about' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'transport'         => $selective_refresh,
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'hs_pg_about', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'spintech-pro' ),
			'section'     => 'about_pg_Settings',
			'type'        => 'checkbox'
		) 
	);
	// hs_pg_about
	$wp_customize->selective_refresh->add_partial(
		'hs_pg_about', array(
			'selector' => '#about-section',
			'container_inclusive' => true,
			'render_callback' => 'about_pg_Settings',
			'fallback_refresh' => true,
		)
	);

	//  Image // 
    $wp_customize->add_setting( 
    	'pg_about_img' , 
    	array(
			'default' 			=> get_template_directory_uri() .'/assets/images/about/img01.png',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_url',	
			'priority' => 3,
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'pg_about_img' ,
		array(
			'label'          => esc_html__( 'Image', 'spintech-pro'),
			'section'        => 'about_pg_Settings',
		) 
	));
	
	// About Description // 	
	$page_editor_path = trailingslashit( get_template_directory() ) . 'inc/customizer/custom-controls/controls/editor/customizer-page-editor.php';
		if ( file_exists( $page_editor_path ) ) {
			require_once( $page_editor_path );
		}
	if ( class_exists( 'Spintech_Page_Editor' ) ) {
		$frontpage_id = get_option( 'page_on_front' );
		$default = '';
		if ( ! empty( $frontpage_id ) ) {
			$default = get_post_field( 'post_content', $frontpage_id );
		}
		$wp_customize->add_setting(
			'pg_about_desc', array(
				'default' => '<div class="heading-title">
                            <h3>We Are Here To <span class="text-primary">Manage Quality Consulting Service</span> And Business Plan</h3>
                        </div>
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. enim ad minim veniam, quis nostrud exercitation.</p>
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore.</p>
                        <ul class="check-list d-flex flex-wrap align-items-center list-unstyled">
                            <li><i class="fa fa-check"></i> Startegic Vision</li>
                            <li><i class="fa fa-check"></i> Network That Span Sectors</li>
                            <li><i class="fa fa-check"></i> Interpersonal Skill</li>
                            <li><i class="fa fa-check"></i> Flexbile Delivery Model</li>
                        </ul>
                        <div class="about-widget">
                            <aside class="widget widget-contact">
                                <div class="contact-area">
                                    <div class="contact-info">
                                        <h6 class="title">Call To Ask Any Question</h6>
                                        <p class="text"><a href="javascript:void(0);">70 975 975 70</a></p>
                                    </div>
                                </div>
                            </aside>
                        </div>',
				'sanitize_callback' => 'wp_kses_post',
				'priority' => 8,
				
			)
		);

		$wp_customize->add_control(
			new Spintech_Page_Editor(
				$wp_customize, 'pg_about_desc', array(
					'label' => esc_html__( 'Content', 'spintech-pro' ),
					'section' => 'about_pg_Settings',
					'needsync' => true,
				)
			)
		);
	}
	$default = '';
	
	
	
	
	/*=========================================
	About CTA
	=========================================*/
	$wp_customize->add_setting(
		'about_pg_cta_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 9,
		)
	);

	$wp_customize->add_control(
	'about_pg_cta_head',
		array(
			'type' => 'hidden',
			'label' => __('CTA','spintech-pro'),
			'section' => 'about_pg_Settings',
		)
	);
	
	// About Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'hs_pg_about_cta' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'transport'         => $selective_refresh,
			'priority' => 10,
		) 
	);
	
	$wp_customize->add_control(
	'hs_pg_about_cta', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'spintech-pro' ),
			'section'     => 'about_pg_Settings',
			'type'        => 'checkbox'
		) 
	);
	// hs_pg_about_cta
	$wp_customize->selective_refresh->add_partial(
		'hs_pg_about_cta', array(
			'selector' => '.about-cta',
			'container_inclusive' => true,
			'render_callback' => 'about_pg_Settings',
			'fallback_refresh' => true,
		)
	);
	
	// CTA Title // 
	$wp_customize->add_setting(
    	'abt_cta_title',
    	array(
	        'default'			=> __('Want To Know More About Us? <small>Just download brochure....</small>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 11,
		)
	);	
	
	$wp_customize->add_control( 
		'abt_cta_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'about_pg_Settings',
			'type'           => 'textarea',
		)  
	);
	
	$wp_customize->add_setting(
    	'abt_cta_btn_lbl',
    	array(
	        'default'			=> __('Download','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 13,
		)
	);	
	
	$wp_customize->add_control( 
		'abt_cta_btn_lbl',
		array(
		    'label'   => __('Button Label','spintech-pro'),
		    'section' => 'about_pg_Settings',
			'type'           => 'text',
		)  
	);
	
	$wp_customize->add_setting(
    	'abt_cta_btn_link',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_url',
			'priority' => 13,
		)
	);	
	
	$wp_customize->add_control( 
		'abt_cta_btn_link',
		array(
		    'label'   => __('Link','spintech-pro'),
		    'section' => 'about_pg_Settings',
			'type'           => 'text',
		)  
	);
	
	
	
	/*=========================================
	About Steps
	=========================================*/
	$wp_customize->add_setting(
		'about_pg_steps_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 14,
		)
	);

	$wp_customize->add_control(
	'about_pg_steps_head',
		array(
			'type' => 'hidden',
			'label' => __('Steps Section','spintech-pro'),
			'section' => 'about_pg_Settings',
		)
	);
	
	// About Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'hs_pg_about_steps' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'transport'         => $selective_refresh,
			'priority' => 15,
		) 
	);
	
	$wp_customize->add_control(
	'hs_pg_about_steps', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'spintech-pro' ),
			'section'     => 'about_pg_Settings',
			'type'        => 'checkbox'
		) 
	);
	// hs_pg_about_steps
	$wp_customize->selective_refresh->add_partial(
		'hs_pg_about_steps', array(
			'selector' => '.about-steps',
			'container_inclusive' => true,
			'render_callback' => 'about_pg_Settings',
			'fallback_refresh' => true,
		)
	);
	
	
	// Steps Title // 
	$wp_customize->add_setting(
    	'abt_steps_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 16,
		)
	);	
	
	$wp_customize->add_control( 
		'abt_steps_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'about_pg_Settings',
			'type'           => 'text',
		)  
	);
	
	// Steps Subtitle // 
	$wp_customize->add_setting(
    	'abt_steps_subtitle',
    	array(
	        'default'			=> __('Our <span class="text-primary">Steps</span>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 17,
		)
	);	
	
	$wp_customize->add_control( 
		'abt_steps_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'about_pg_Settings',
			'type'           => 'textarea',
		)  
	);
	
	// Steps Description // 
	$wp_customize->add_setting(
    	'abt_steps_desc',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 18,
		)
	);	
	
	$wp_customize->add_control( 
		'abt_steps_desc',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'about_pg_Settings',
			'type'           => 'textarea',
		)  
	);
	
	/**
	 * Customizer Repeater for add service
	 */
	
		$wp_customize->add_setting( 'abt_steps_contents', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'transport'         => $selective_refresh,
			 'priority' => 19,
			 'default' => spintech_get_steps_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'abt_steps_contents', 
					array(
						'label'   => esc_html__('Steps','spintech-pro'),
						'section' => 'about_pg_Settings',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Steps', 'spintech-pro' ),
						'customizer_repeater_title_control' => true,
						'customizer_repeater_subtitle_control' => true,
						'customizer_repeater_text_control' => true,
						'customizer_repeater_link_control' => true,
					) 
				) 
			);
	
	
	/*=========================================
	About Journey
	=========================================*/
	
	$wp_customize->add_setting(
		'about_pg_journey_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 21,
		)
	);

	$wp_customize->add_control(
	'about_pg_journey_head',
		array(
			'type' => 'hidden',
			'label' => __('Journey Section','spintech-pro'),
			'section' => 'about_pg_Settings',
		)
	);
	
	// About Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'hs_pg_about_journey' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'transport'         => $selective_refresh,
			'priority' => 22,
		) 
	);
	
	$wp_customize->add_control(
	'hs_pg_about_journey', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'spintech-pro' ),
			'section'     => 'about_pg_Settings',
			'type'        => 'checkbox'
		) 
	);
	// hs_pg_about_journey
	$wp_customize->selective_refresh->add_partial(
		'hs_pg_about_journey', array(
			'selector' => '.about-journey',
			'container_inclusive' => true,
			'render_callback' => 'about_pg_Settings',
			'fallback_refresh' => true,
		)
	);
	
	
	// Journey Title // 
	$wp_customize->add_setting(
    	'abt_journey_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 22,
		)
	);	
	
	$wp_customize->add_control( 
		'abt_journey_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'about_pg_Settings',
			'type'           => 'text',
		)  
	);
	
	// Journey Subtitle // 
	$wp_customize->add_setting(
    	'abt_journey_subtitle',
    	array(
	        'default'			=> __('Our <span class="text-white">Journey</span>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 23,
		)
	);	
	
	$wp_customize->add_control( 
		'abt_journey_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'about_pg_Settings',
			'type'           => 'textarea',
		)  
	);
	
	// Journey Description // 
	$wp_customize->add_setting(
    	'abt_journey_desc',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 24,
		)
	);	
	
	$wp_customize->add_control( 
		'abt_journey_desc',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'about_pg_Settings',
			'type'           => 'textarea',
		)  
	);
	
	/**
	 * Customizer Repeater for add Journey
	 */
	
		$wp_customize->add_setting( 'abt_journey_contents', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'transport'         => $selective_refresh,
			 'priority' => 25,
			 'default' => spintech_get_journey_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'abt_journey_contents', 
					array(
						'label'   => esc_html__('Journey','spintech-pro'),
						'section' => 'about_pg_Settings',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Journey', 'spintech-pro' ),
						'customizer_repeater_title_control' => true,
						'customizer_repeater_subtitle_control' => true,
						'customizer_repeater_text_control' => true,
						'customizer_repeater_link_control' => true,
					) 
				) 
			);
		
	// Background Image // 
    $wp_customize->add_setting( 
    	'abt_journey_bg' , 
    	array(
			'default' 			=> get_template_directory_uri() .'/assets/images/bg/timeline_bg.jpg',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_url',	
			'priority' => 25,
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'abt_journey_bg' ,
		array(
			'label'          => esc_html__( 'Background Image', 'spintech-pro'),
			'section'        => 'about_pg_Settings',
		) 
	));
	
			
	/*=========================================
	About Team
	=========================================*/
	
	$wp_customize->add_setting(
		'about_pg_team_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 26,
		)
	);

	$wp_customize->add_control(
	'about_pg_team_head',
		array(
			'type' => 'hidden',
			'label' => __('Team Section','spintech-pro'),
			'section' => 'about_pg_Settings',
		)
	);
	
	// About Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'hs_pg_about_team' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 27,
		) 
	);
	
	$wp_customize->add_control(
	'hs_pg_about_team', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'spintech-pro' ),
			'section'     => 'about_pg_Settings',
			'type'        => 'checkbox'
		) 
	);	
	
	
	
	/*=========================================
	About Testimonial
	=========================================*/
	
	$wp_customize->add_setting(
		'about_pg_testimonial_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 27,
		)
	);

	$wp_customize->add_control(
	'about_pg_testimonial_head',
		array(
			'type' => 'hidden',
			'label' => __('Testimonial Section','spintech-pro'),
			'section' => 'about_pg_Settings',
		)
	);
	
	// About Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'hs_pg_about_testimonial' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 28,
		) 
	);
	
	$wp_customize->add_control(
	'hs_pg_about_testimonial', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'spintech-pro' ),
			'section'     => 'about_pg_Settings',
			'type'        => 'checkbox'
		) 
	);


	/*=========================================
	About Funfact
	=========================================*/
	
	$wp_customize->add_setting(
		'about_pg_fun_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 29,
		)
	);

	$wp_customize->add_control(
	'about_pg_fun_head',
		array(
			'type' => 'hidden',
			'label' => __('Funfact Section','spintech-pro'),
			'section' => 'about_pg_Settings',
		)
	);
	
	// About Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'hs_pg_about_fun' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 29,
		) 
	);
	
	$wp_customize->add_control(
	'hs_pg_about_fun', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'spintech-pro' ),
			'section'     => 'about_pg_Settings',
			'type'        => 'checkbox'
		) 
	);		
	
	
	
	/*=========================================
	About Skills
	=========================================*/
	
	$wp_customize->add_setting(
		'about_pg_skills_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 31,
		)
	);

	$wp_customize->add_control(
	'about_pg_skills_head',
		array(
			'type' => 'hidden',
			'label' => __('Skill Section','spintech-pro'),
			'section' => 'about_pg_Settings',
		)
	);
	
	// About Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'hs_pg_about_skills' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'transport'         => $selective_refresh,
			'priority' => 32,
		) 
	);
	
	$wp_customize->add_control(
	'hs_pg_about_skills', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'spintech-pro' ),
			'section'     => 'about_pg_Settings',
			'type'        => 'checkbox'
		) 
	);
	// hs_pg_about_skills
	$wp_customize->selective_refresh->add_partial(
		'hs_pg_about_skills', array(
			'selector' => '.about-skills',
			'container_inclusive' => true,
			'render_callback' => 'about_pg_Settings',
			'fallback_refresh' => true,
		)
	);
	
	
	// Journey Title // 
	$wp_customize->add_setting(
    	'abt_skills_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 33,
		)
	);	
	
	$wp_customize->add_control( 
		'abt_skills_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'about_pg_Settings',
			'type'           => 'text',
		)  
	);
	
	// Journey Subtitle // 
	$wp_customize->add_setting(
    	'abt_skills_subtitle',
    	array(
	        'default'			=> __('Our <span class="text-primary">Skills</span>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 34,
		)
	);	
	
	$wp_customize->add_control( 
		'abt_skills_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'about_pg_Settings',
			'type'           => 'textarea',
		)  
	);
	
	// Journey Description // 
	$wp_customize->add_setting(
    	'abt_skills_desc',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 35,
		)
	);	
	
	$wp_customize->add_control( 
		'abt_skills_desc',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'about_pg_Settings',
			'type'           => 'textarea',
		)  
	);
	
	
	// Image // 
    $wp_customize->add_setting( 
    	'abt_skill_img' , 
    	array(
			'default' 			=> get_template_directory_uri() .'/assets/images/skills/img01.png',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_url',	
			'priority' => 36,
		) 
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize , 'abt_skill_img' ,
		array(
			'label'          => esc_html__( 'Image', 'spintech-pro'),
			'section'        => 'about_pg_Settings',
		) 
	));
	
	
	// Skill Content // 	
	$page_editor_path = trailingslashit( get_template_directory() ) . 'inc/customizer/custom-controls/controls/editor/customizer-page-editor.php';
		if ( file_exists( $page_editor_path ) ) {
			require_once( $page_editor_path );
		}
	if ( class_exists( 'Spintech_Page_Editor' ) ) {
		$frontpage_id = get_option( 'page_on_front' );
		$default = '';
		if ( ! empty( $frontpage_id ) ) {
			$default = get_post_field( 'post_content', $frontpage_id );
		}
		$wp_customize->add_setting(
			'pg_about_skill_content', array(
				'default' => '<div class="heading-title">
						<h3>Reason for<br>people go with Spintech</h3>
					</div>
					<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. enim ad minim veniam, quis nostrud exercitation.</p>
					<div class="skills-wrapper">
						<div class="skill-panel">
							<div class="skill-title"><strong>Corporate Business</strong></div>
							<div class="skillbar" data-percent="75%">
								<div class="skillbar-bar">
									<div class="skill-bar-percent count-bar">75</div>
								</div>
							</div>
						</div>
						<div class="skill-panel">
							<div class="skill-title"><strong>Customer Marketing</strong></div>
							<div class="skillbar" data-percent="86%">
								<div class="skillbar-bar">
									<div class="skill-bar-percent count-bar">86</div>
								</div>
							</div>
						</div>
						<div class="skill-panel">
							<div class="skill-title"><strong>Information Techonology</strong></div>
							<div class="skillbar" data-percent="56%">
								<div class="skillbar-bar">
									<div class="skill-bar-percent count-bar">56</div>
								</div>
							</div>
						</div>
					</div>',
				'sanitize_callback' => 'wp_kses_post',
				'priority' => 37,
				
			)
		);

		$wp_customize->add_control(
			new Spintech_Page_Editor(
				$wp_customize, 'pg_about_skill_content', array(
					'label' => esc_html__( 'Content', 'spintech-pro' ),
					'section' => 'about_pg_Settings',
					'needsync' => true,
				)
			)
		);
	}
	$default = '';
	
	
	
	/*=========================================
	Service Page
	=========================================*/
	$wp_customize->add_section(
		'service_pg_setting', array(
			'title' => esc_html__( 'Service Page', 'spintech-pro' ),
			'priority' => 2,
			'panel' => 'spintech_page_templates',
		)
	);
	
	
	// Service Header Section // 
	$wp_customize->add_setting(
		'service_pg_headings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 3,
		)
	);

	$wp_customize->add_control(
	'service_pg_headings',
		array(
			'type' => 'hidden',
			'label' => __('Header','spintech-pro'),
			'section' => 'service_pg_setting',
		)
	);
	
	// Service Title // 
	$wp_customize->add_setting(
    	'service_pg_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'service_pg_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'service_pg_setting',
			'type'           => 'text',
		)  
	);
	
	// Service Subtitle // 
	$wp_customize->add_setting(
    	'service_pg_subtitle',
    	array(
	        'default'			=> __('Our <span class="text-primary">Services</span>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 5,
		)
	);	
	
	$wp_customize->add_control( 
		'service_pg_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'service_pg_setting',
			'type'           => 'textarea',
		)  
	);
	
	// Service Description // 
	$wp_customize->add_setting(
    	'service_pg_description',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'service_pg_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'service_pg_setting',
			'type'           => 'textarea',
		)  
	);

	// Service content Section // 
	
	$wp_customize->add_setting(
		'service_pg_content_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 7,
		)
	);

	$wp_customize->add_control(
	'service_pg_content_head',
		array(
			'type' => 'hidden',
			'label' => __('Content','spintech-pro'),
			'section' => 'service_pg_setting',
		)
	);
	
	/**
	 * Customizer Repeater for add service_pg
	 */
	
		$wp_customize->add_setting( 'service_pg_contents', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'transport'         => $selective_refresh,
			 'priority' => 8,
			 'default' => spintech_get_pg_service_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'service_pg_contents', 
					array(
						'label'   => esc_html__('Service','spintech-pro'),
						'section' => 'service_pg_setting',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Service', 'spintech-pro' ),
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_image_control' => true,
						'customizer_repeater_title_control' => true,
						'customizer_repeater_text_control' => true,
						'customizer_repeater_text2_control' => true,
						'customizer_repeater_link_control' => true,
					) 
				) 
			);
			
	// Service Load More // 
	$wp_customize->add_setting(
    	'service_pg_load_more',
    	array(
	        'default'			=> __('Load More','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 9,
		)
	);	
	
	$wp_customize->add_control( 
		'service_pg_load_more',
		array(
		    'label'   => __('Load More Label','spintech-pro'),
		    'section' => 'service_pg_setting',
			'type'           => 'text',
		)  
	);
	
	
	/*=========================================
	Project Page
	=========================================*/
	$wp_customize->add_section(
		'project_pg_setting', array(
			'title' => esc_html__( 'Project Page', 'spintech-pro' ),
			'priority' => 3,
			'panel' => 'spintech_page_templates',
		)
	);
	
	// Project Header Section // 
	$wp_customize->add_setting(
		'project_pg_headings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 3,
		)
	);

	$wp_customize->add_control(
	'project_pg_headings',
		array(
			'type' => 'hidden',
			'label' => __('Header','spintech-pro'),
			'section' => 'project_pg_setting',
		)
	);
	
	// Project Title // 
	$wp_customize->add_setting(
    	'project_pg_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'project_pg_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'project_pg_setting',
			'type'           => 'text',
		)  
	);
	
	// Project Subtitle // 
	$wp_customize->add_setting(
    	'project_pg_subtitle',
    	array(
	        'default'			=> __('Our <span class="text-primary">Projects</span>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 5,
		)
	);	
	
	$wp_customize->add_control( 
		'project_pg_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'project_pg_setting',
			'type'           => 'textarea',
		)  
	);
	
	// Project Description // 
	$wp_customize->add_setting(
    	'project_pg_description',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'project_pg_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'project_pg_setting',
			'type'           => 'textarea',
		)  
	);

	// Project content Section // 
	
	$wp_customize->add_setting(
		'project_pg_content_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 7,
		)
	);

	$wp_customize->add_control(
	'project_pg_content_head',
		array(
			'type' => 'hidden',
			'label' => __('Content','spintech-pro'),
			'section' => 'project_pg_setting',
		)
	);
			
	// Project Load More // 
	$wp_customize->add_setting(
    	'project_pg_load_more',
    	array(
	        'default'			=> __('Load More','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 9,
		)
	);	
	
	$wp_customize->add_control( 
		'project_pg_load_more',
		array(
		    'label'   => __('Load More Label','spintech-pro'),
		    'section' => 'project_pg_setting',
			'type'           => 'text',
		)  
	);
	
	/*=========================================
	Pricing Page
	=========================================*/
	$wp_customize->add_section(
		'pricing_pg_setting', array(
			'title' => esc_html__( 'Pricing Page', 'spintech-pro' ),
			'priority' => 4,
			'panel' => 'spintech_page_templates',
		)
	);
	
	
	// Pricing Title // 
	$wp_customize->add_setting(
    	'pricing_pg_title',
    	array(
	        'default'			=> __('FAQ','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'pricing_pg_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'pricing_pg_setting',
			'type'           => 'text',
		)  
	);
	
	// Service Subtitle // 
	$wp_customize->add_setting(
    	'pricing_pg_subtitle',
    	array(
	        'default'			=> __('Frequently Askesd Question About <span class="text-primary">Pricing</span>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 5,
		)
	);	
	
	$wp_customize->add_control( 
		'pricing_pg_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'pricing_pg_setting',
			'type'           => 'textarea',
		)  
	);
	
	// PricingDescription // 
	$wp_customize->add_setting(
    	'pricing_pg_description',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'pricing_pg_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'pricing_pg_setting',
			'type'           => 'textarea',
		)  
	);

	
	if ( class_exists( 'Spintech_Customizer_Range_Control' ) ) {
		$wp_customize->add_setting(
			'pricing_pg_display_num',
			array(
				'default' => '3',
				'capability'     	=> 'edit_theme_options',
				'sanitize_callback' => 'spintech_sanitize_range_value',
				'priority' => 8,
			)
		);
		$wp_customize->add_control( 
		new Spintech_Customizer_Range_Control( $wp_customize, 'pricing_pg_display_num', 
			array(
				'label'      => __( 'No. of Pricing Display', 'spintech-pro' ),
				'section'  => 'pricing_pg_setting',
				 'media_query'   => false,
					'input_attr'    => array(
						'desktop' => array(
							'min'           => 1,
							'max'           => 100,
							'step'          => 1,
							'default_value' => 3,
						),
					),
			) ) 
		);
	}
	
	// Pricing column // 
	$wp_customize->add_setting(
    	'price_pg_sec_column',
    	array(
	        'default'			=> '3',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_select',
			'priority' => 9,
		)
	);	

	$wp_customize->add_control(
		'price_pg_sec_column',
		array(
		    'label'   		=> __('Pricing Column','spintech-pro'),
		    'section' 		=> 'pricing_pg_setting',
			'type'			=> 'select',
			'choices'        => 
			array(
				'1' => __( '1 column', 'spintech-pro' ),
				'2' => __( '2 column', 'spintech-pro' ),
				'3' => __( '3 column', 'spintech-pro' ),
				'4' => __( '4 column', 'spintech-pro' ),
			) 
		) 
	);
	
	
	
	
	/*=========================================
	Pricing Page FAQ
	=========================================*/
	
	// Pricing Header Section // 
	$wp_customize->add_setting(
		'pricing_pg_faq_headings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 10,
		)
	);

	$wp_customize->add_control(
	'pricing_pg_faq_headings',
		array(
			'type' => 'hidden',
			'label' => __('FAQ','spintech-pro'),
			'section' => 'pricing_pg_setting',
		)
	);
	
	// FAQ Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'hs_pricing_pg_faq' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'spintech_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'transport'         => $selective_refresh,
			'priority' => 11,
		) 
	);
	
	$wp_customize->add_control(
	'hs_pricing_pg_faq', 
		array(
			'label'	      => esc_html__( 'Hide / Show Section', 'spintech-pro' ),
			'section'     => 'pricing_pg_setting',
			'type'        => 'checkbox'
		) 
	);
	// hs_pricing_pg_faq
	$wp_customize->selective_refresh->add_partial(
		'hs_pricing_pg_faq', array(
			'selector' => '.price-faqs',
			'container_inclusive' => true,
			'render_callback' => 'pricing_pg_setting',
			'fallback_refresh' => true,
		)
	);
	
	// Pricing Title // 
	$wp_customize->add_setting(
    	'pricing_pg_faq_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 11,
		)
	);	
	
	$wp_customize->add_control( 
		'pricing_pg_faq_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'pricing_pg_setting',
			'type'           => 'text',
		)  
	);
	
	// Service Subtitle // 
	$wp_customize->add_setting(
    	'pricing_pg_faq_subtitle',
    	array(
	        'default'			=> __('Frequently Askesd Question About <span class="text-primary">Pricing','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 12,
		)
	);	
	
	$wp_customize->add_control( 
		'pricing_pg_faq_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'pricing_pg_setting',
			'type'           => 'textarea',
		)  
	);
	
	// PricingDescription // 
	$wp_customize->add_setting(
    	'pricing_pg_faq_description',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 13,
		)
	);	
	
	$wp_customize->add_control( 
		'pricing_pg_faq_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'pricing_pg_setting',
			'type'           => 'textarea',
		)  
	);
	
	/**
	 * Customizer Repeater for add faq
	 */
	
		$wp_customize->add_setting( 'pricing_pg_faq', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'transport'         => $selective_refresh,
			 'priority' => 14,
			 'default' => spintech_get_pg_faq_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'pricing_pg_faq', 
					array(
						'label'   => esc_html__('FAQ','spintech-pro'),
						'section' => 'pricing_pg_setting',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'FAQ', 'spintech-pro' ),
						'customizer_repeater_title_control' => true,
						'customizer_repeater_text_control' => true,
					) 
				) 
			);
			
	
	/*=========================================
	Gallery Page
	=========================================*/
	$wp_customize->add_section(
		'gallery_pg_setting', array(
			'title' => esc_html__( 'Gallery Page', 'spintech-pro' ),
			'priority' => 5,
			'panel' => 'spintech_page_templates',
		)
	);
	
	// Gallery Header Section // 
	$wp_customize->add_setting(
		'gallery_pg_headings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 3,
		)
	);

	$wp_customize->add_control(
	'gallery_pg_headings',
		array(
			'type' => 'hidden',
			'label' => __('Header','spintech-pro'),
			'section' => 'gallery_pg_setting',
		)
	);
	
	// Gallery Title // 
	$wp_customize->add_setting(
    	'gallery_pg_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'gallery_pg_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'gallery_pg_setting',
			'type'           => 'text',
		)  
	);
	
	// Gallery Subtitle // 
	$wp_customize->add_setting(
    	'gallery_pg_subtitle',
    	array(
	        'default'			=> __('Our <span class="text-primary">Gallery</span>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 5,
		)
	);	
	
	$wp_customize->add_control( 
		'gallery_pg_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'gallery_pg_setting',
			'type'           => 'textarea',
		)  
	);
	
	// Gallery Description // 
	$wp_customize->add_setting(
    	'gallery_pg_description',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'gallery_pg_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'gallery_pg_setting',
			'type'           => 'textarea',
		)  
	);

	// Gallery content Section // 
	
	$wp_customize->add_setting(
		'gallery_pg_content_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 7,
		)
	);

	$wp_customize->add_control(
	'gallery_pg_content_head',
		array(
			'type' => 'hidden',
			'label' => __('Content','spintech-pro'),
			'section' => 'gallery_pg_setting',
		)
	);
	/**
	 * Customizer Repeater for add service
	 */
	
		$wp_customize->add_setting( 'gallery_pg', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'transport'         => $selective_refresh,
			 'priority' => 8,
			 'default' => spintech_get_gallery_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'gallery_pg', 
					array(
						'label'   => esc_html__('Gallery','spintech-pro'),
						'section' => 'gallery_pg_setting',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Gallery', 'spintech-pro' ),
						'customizer_repeater_image_control' => true,
						'customizer_repeater_title_control' => true,
					) 
				) 
			);
			
	// Gallery column // 
	$wp_customize->add_setting(
    	'gallery_pg_sec_column',
    	array(
	        'default'			=> '5',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_select',
			'priority' => 9,
		)
	);	

	$wp_customize->add_control(
		'gallery_pg_sec_column',
		array(
		    'label'   		=> __('Gallery Column','spintech-pro'),
		    'section' 		=> 'gallery_pg_setting',
			'type'			=> 'select',
			'choices'        => 
			array(
				'1' => __( '1 column', 'spintech-pro' ),
				'2' => __( '2 column', 'spintech-pro' ),
				'3' => __( '3 column', 'spintech-pro' ),
				'4' => __( '4 column', 'spintech-pro' ),
				'5' => __( '5 column', 'spintech-pro' ),
			) 
		) 
	);		
}

add_action( 'customize_register', 'spintech_pages_setting' );

// selective refresh
function spintech_pages_partials( $wp_customize ){
	
	// pricing_pg_faq_title
	$wp_customize->selective_refresh->add_partial( 'pricing_pg_faq_title', array(
		'selector'            => '.price-faqs .heading-default .ttl',
		'settings'            => 'pricing_pg_faq_title',
		'render_callback'  => 'spintech_pricing_pg_faq_title_render_callback',
	
	) );
	
	// pricing_pg_faq_subtitle
	$wp_customize->selective_refresh->add_partial( 'pricing_pg_faq_subtitle', array(
		'selector'            => '.price-faqs .heading-default h2',
		'settings'            => 'pricing_pg_faq_subtitle',
		'render_callback'  => 'spintech_pricing_pg_faq_subtitle_render_callback',
	
	) );
	
	// pricing_pg_faq_description
	$wp_customize->selective_refresh->add_partial( 'pricing_pg_faq_description', array(
		'selector'            => '.price-faqs .heading-default p',
		'settings'            => 'pricing_pg_faq_description',
		'render_callback'  => 'spintech_pricing_pg_faq_description_render_callback',
	
	) );
	
	
	
	
	// pricing_pg_title
	$wp_customize->selective_refresh->add_partial( 'pricing_pg_title', array(
		'selector'            => '.home-pricing_pg .heading-default .ttl',
		'settings'            => 'pricing_pg_title',
		'render_callback'  => 'spintech_pricing_pg_title_render_callback',
	
	) );
	
	// pricing_pg_subtitle
	$wp_customize->selective_refresh->add_partial( 'pricing_pg_subtitle', array(
		'selector'            => '.home-pricing_pg .heading-default h2',
		'settings'            => 'pricing_pg_subtitle',
		'render_callback'  => 'spintech_pricing_pg_subtitle_render_callback',
	
	) );
	
	// pricing_pg_description
	$wp_customize->selective_refresh->add_partial( 'pricing_pg_description', array(
		'selector'            => '.home-pricing_pg .heading-default p',
		'settings'            => 'pricing_pg_description',
		'render_callback'  => 'spintech_pricing_pg_description_render_callback',
	
	) );
	
	// pg_about_desc
	$wp_customize->selective_refresh->add_partial( 'pg_about_desc', array(
		'selector'            => '.pg-about  .about-panel',
		'settings'            => 'pg_about_desc',
		'render_callback'  => 'spintech_pg_about_desc_render_callback',
	) );
	
	// abt_cta_title
	$wp_customize->selective_refresh->add_partial( 'abt_cta_title', array(
		'selector'            => '.about-cta  h5',
		'settings'            => 'abt_cta_title',
		'render_callback'  => 'spintech_abt_cta_title_render_callback',
	) );
	
	
	// abt_cta_btn_lbl
	$wp_customize->selective_refresh->add_partial( 'abt_cta_btn_lbl', array(
		'selector'            => '.about-cta  a',
		'settings'            => 'abt_cta_btn_lbl',
		'render_callback'  => 'spintech_abt_cta_btn_lbl_render_callback',
	) );
	
	// abt_steps_title
	$wp_customize->selective_refresh->add_partial( 'abt_steps_title', array(
		'selector'            => '.about-steps .heading-default .ttl',
		'settings'            => 'abt_steps_title',
		'render_callback'  => 'spintech_abt_steps_title_render_callback',
	
	) );
	
	// abt_steps_subtitle
	$wp_customize->selective_refresh->add_partial( 'abt_steps_subtitle', array(
		'selector'            => '.about-steps .heading-default h2',
		'settings'            => 'abt_steps_subtitle',
		'render_callback'  => 'spintech_abt_steps_subtitle_render_callback',
	
	) );
	
	// abt_steps_desc
	$wp_customize->selective_refresh->add_partial( 'abt_steps_desc', array(
		'selector'            => '.about-steps .heading-default p',
		'settings'            => 'abt_steps_desc',
		'render_callback'  => 'spintech_abt_steps_desc_render_callback',
	
	) );
	
	// abt_steps_contents
	$wp_customize->selective_refresh->add_partial( 'abt_steps_contents', array(
		'selector'            => '.about-steps .steps-wrap',
	) );
	
	
	
	
	// abt_journey_title
	$wp_customize->selective_refresh->add_partial( 'abt_journey_title', array(
		'selector'            => '.about-journey .heading-default .ttl',
		'settings'            => 'abt_journey_title',
		'render_callback'  => 'spintech_abt_journey_title_render_callback',
	
	) );
	
	// abt_journey_subtitle
	$wp_customize->selective_refresh->add_partial( 'abt_journey_subtitle', array(
		'selector'            => '.about-journey .heading-default h2',
		'settings'            => 'abt_journey_subtitle',
		'render_callback'  => 'spintech_abt_journey_subtitle_render_callback',
	
	) );
	
	// abt_journey_desc
	$wp_customize->selective_refresh->add_partial( 'abt_journey_desc', array(
		'selector'            => '.about-journey .heading-default p',
		'settings'            => 'abt_journey_desc',
		'render_callback'  => 'spintech_abt_journey_desc_render_callback',
	
	) );
	
	// abt_journey_contents
	$wp_customize->selective_refresh->add_partial( 'abt_journey_contents', array(
		'selector'            => '.about-journey .timeline',
	) );
	
	
	
	
	// abt_skills_title
	$wp_customize->selective_refresh->add_partial( 'abt_skills_title', array(
		'selector'            => '.about-skills .heading-default .ttl',
		'settings'            => 'abt_skills_title',
		'render_callback'  => 'spintech_abt_skills_title_render_callback',
	
	) );
	
	// abt_skills_subtitle
	$wp_customize->selective_refresh->add_partial( 'abt_skills_subtitle', array(
		'selector'            => '.about-skills .heading-default h2',
		'settings'            => 'abt_skills_subtitle',
		'render_callback'  => 'spintech_abt_skills_subtitle_render_callback',
	
	) );
	
	// abt_skills_desc
	$wp_customize->selective_refresh->add_partial( 'abt_skills_desc', array(
		'selector'            => '.about-skills .heading-default p',
		'settings'            => 'abt_skills_desc',
		'render_callback'  => 'spintech_abt_skills_desc_render_callback',
	) );
	
	// pg_about_skill_content
	$wp_customize->selective_refresh->add_partial( 'pg_about_skill_content', array(
		'selector'            => '.about-skills .about-panel',
		'settings'            => 'pg_about_skill_content',
		'render_callback'  => 'spintech_pg_about_skill_content_render_callback',
	) );
	
	
	// service_pg title
	$wp_customize->selective_refresh->add_partial( 'service_pg_title', array(
		'selector'            => '.service_pg-home .heading-default .ttl',
		'settings'            => 'service_pg_title',
		'render_callback'  => 'spintech_service_pg_title_render_callback',
	
	) );
	
	// service_pg subtitle
	$wp_customize->selective_refresh->add_partial( 'service_pg_subtitle', array(
		'selector'            => '.service_pg-home .heading-default h2',
		'settings'            => 'service_pg_subtitle',
		'render_callback'  => 'spintech_service_pg_subtitle_render_callback',
	
	) );
	
	// service_pg description
	$wp_customize->selective_refresh->add_partial( 'service_pg_description', array(
		'selector'            => '.service_pg-home .heading-default p',
		'settings'            => 'service_pg_description',
		'render_callback'  => 'spintech_service_pg_desc_render_callback',
	
	) );
	// service_pg content
	$wp_customize->selective_refresh->add_partial( 'service_pg_contents', array(
		'selector'            => '.service_pg-home .hm-serv-content'
	
	) );
	
	// service_pg_load_more
	$wp_customize->selective_refresh->add_partial( 'service_pg_load_more', array(
		'selector'            => '.service_pg-home .st-load-btn',
		'settings'            => 'service_pg_load_more',
		'render_callback'  => 'spintech_service_pg_load_more_render_callback',
	
	) );
	
	
	// project_pg title
	$wp_customize->selective_refresh->add_partial( 'project_pg_title', array(
		'selector'            => '.project_pg-home .heading-default .ttl',
		'settings'            => 'project_pg_title',
		'render_callback'  => 'spintech_project_pg_title_render_callback',
	
	) );
	
	// project_pg subtitle
	$wp_customize->selective_refresh->add_partial( 'project_pg_subtitle', array(
		'selector'            => '.project_pg-home .heading-default h2',
		'settings'            => 'project_pg_subtitle',
		'render_callback'  => 'spintech_project_pg_subtitle_render_callback',
	
	) );
	
	// project_pg description
	$wp_customize->selective_refresh->add_partial( 'project_pg_description', array(
		'selector'            => '.project_pg-home .heading-default p',
		'settings'            => 'project_pg_description',
		'render_callback'  => 'spintech_project_pg_desc_render_callback',
	
	) );
	
	// project_pg_load_more
	$wp_customize->selective_refresh->add_partial( 'project_pg_load_more', array(
		'selector'            => '.project_pg-home .st-load-btn',
		'settings'            => 'project_pg_load_more',
		'render_callback'  => 'spintech_project_pg_load_more_render_callback',
	
	) );
	
	
	// gallery_pg_title
	$wp_customize->selective_refresh->add_partial( 'gallery_pg_title', array(
		'selector'            => '.home-gallery_pg .heading-default .ttl',
		'settings'            => 'gallery_pg_title',
		'render_callback'  => 'spintech_gallery_pg_title_render_callback',
	
	) );
	
	// gallery_pg_subtitle
	$wp_customize->selective_refresh->add_partial( 'gallery_pg_subtitle', array(
		'selector'            => '.home-gallery_pg .heading-default h2',
		'settings'            => 'gallery_pg_subtitle',
		'render_callback'  => 'spintech_gallery_pg_subtitle_render_callback',
	) );
	
	// gallery_pg_description
	$wp_customize->selective_refresh->add_partial( 'gallery_pg_description', array(
		'selector'            => '.home-gallery_pg .heading-default p',
		'settings'            => 'gallery_pg_description',
		'render_callback'  => 'spintech_gallery_pg_description_render_callback',
	) );
	
	// Gallery content
	$wp_customize->selective_refresh->add_partial( 'gallery_pg', array(
		'selector'            => '.home-gallery_pg .gallery-hm-wrap'
	) );
	
	
	// pricing_pg_faq
	$wp_customize->selective_refresh->add_partial( 'pricing_pg_faq', array(
		'selector'            => '.faq-section .our-faq'
	) );
	}

add_action( 'customize_register', 'spintech_pages_partials' );


// project_pg title
function spintech_project_pg_title_render_callback() {
	return get_theme_mod( 'project_pg_title' );
}

// project_pg subtitle
function spintech_project_pg_subtitle_render_callback() {
	return get_theme_mod( 'project_pg_subtitle' );
}

// project_pg description
function spintech_project_pg_desc_render_callback() {
	return get_theme_mod( 'project_pg_description' );
}

// project_pg_load_more
function spintech_project_pg_load_more_render_callback() {
	return get_theme_mod( 'project_pg_load_more' );
}

// pg_about_desc
function spintech_pg_about_desc_render_callback() {
	return get_theme_mod( 'pg_about_desc' );
}


// abt_cta_title
function spintech_abt_cta_title_render_callback() {
	return get_theme_mod( 'abt_cta_title' );
}

// abt_cta_btn_lbl
function spintech_abt_cta_btn_lbl_render_callback() {
	return get_theme_mod( 'abt_cta_btn_lbl' );
}



// abt_steps_title
function spintech_abt_steps_title_render_callback() {
	return get_theme_mod( 'abt_steps_title' );
}

// abt_steps_subtitle
function spintech_abt_steps_subtitle_render_callback() {
	return get_theme_mod( 'abt_steps_subtitle' );
}

// abt_steps_desc
function spintech_abt_steps_desc_render_callback() {
	return get_theme_mod( 'abt_steps_desc' );
}





// abt_journey_title
function spintech_abt_journey_title_render_callback() {
	return get_theme_mod( 'abt_journey_title' );
}

// abt_journey_subtitle
function spintech_abt_journey_subtitle_render_callback() {
	return get_theme_mod( 'abt_journey_subtitle' );
}

// abt_journey_desc
function spintech_abt_journey_desc_render_callback() {
	return get_theme_mod( 'abt_journey_desc' );
}


// abt_skills_title
function spintech_abt_skills_title_render_callback() {
	return get_theme_mod( 'abt_skills_title' );
}

// abt_skills_subtitle
function spintech_abt_skills_subtitle_render_callback() {
	return get_theme_mod( 'abt_skills_subtitle' );
}

// abt_skills_desc
function spintech_abt_skills_desc_render_callback() {
	return get_theme_mod( 'abt_skills_desc' );
}

// pg_about_skill_content
function spintech_pg_about_skill_content_render_callback() {
	return get_theme_mod( 'pg_about_skill_content' );
}


// service_pg title
function spintech_service_pg_title_render_callback() {
	return get_theme_mod( 'service_pg_title' );
}

// service_pg subtitle
function spintech_service_pg_subtitle_render_callback() {
	return get_theme_mod( 'service_pg_subtitle' );
}

// service_pg description
function spintech_service_pg_desc_render_callback() {
	return get_theme_mod( 'service_pg_description' );
}

// service_pg_load_more
function spintech_service_pg_load_more_render_callback() {
	return get_theme_mod( 'service_pg_load_more' );
}


// pricing_pg_title
function spintech_pricing_pg_title_render_callback() {
	return get_theme_mod( 'pricing_pg_title' );
}

// pricing_pg_subtitle
function spintech_pricing_pg_subtitle_render_callback() {
	return get_theme_mod( 'pricing_pg_subtitle' );
}

// service description
function spintech_pricing_pg_description_render_callback() {
	return get_theme_mod( 'pricing_pg_description' );
}


// pricing_pg_faq_title
function spintech_pricing_pg_faq_title_render_callback() {
	return get_theme_mod( 'pricing_pg_faq_title' );
}

// pricing_pg_faq_subtitle
function spintech_pricing_pg_faq_subtitle_render_callback() {
	return get_theme_mod( 'pricing_pg_faq_subtitle' );
}

// service description
function spintech_pricing_pg_faq_description_render_callback() {
	return get_theme_mod( 'pricing_pg_faq_description' );
}


// gallery_pg_title
function spintech_gallery_pg_title_render_callback() {
	return get_theme_mod( 'gallery_pg_title' );
}

// gallery_pg_subtitle
function spintech_gallery_pg_subtitle_render_callback() {
	return get_theme_mod( 'gallery_pg_subtitle' );
}

// gallery_pg_description
function spintech_gallery_pg_description_render_callback() {
	return get_theme_mod( 'gallery_pg_description' );
}