<?php
function spintech_project_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Project  Section
	=========================================*/
	$wp_customize->add_section(
		'project_setting', array(
			'title' => esc_html__( 'Project Section', 'spintech-pro' ),
			'priority' => 5,
			'panel' => 'spintech_frontpage_sections',
		)
	);

	// Project Header Section // 
	$wp_customize->add_setting(
		'project_headings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 3,
		)
	);

	$wp_customize->add_control(
	'project_headings',
		array(
			'type' => 'hidden',
			'label' => __('Header','spintech-pro'),
			'section' => 'project_setting',
		)
	);
	
	// Project Title // 
	$wp_customize->add_setting(
    	'project_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'project_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'project_setting',
			'type'           => 'text',
		)  
	);
	
	// Project Subtitle // 
	$wp_customize->add_setting(
    	'project_subtitle',
    	array(
	        'default'			=> __('Our <span class="text-primary">Projects</span>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 5,
		)
	);	
	
	$wp_customize->add_control( 
		'project_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'project_setting',
			'type'           => 'textarea',
		)  
	);
	
	// Project Description // 
	$wp_customize->add_setting(
    	'project_description',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'project_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'project_setting',
			'type'           => 'textarea',
		)  
	);

	// Project content Section // 
	
	$wp_customize->add_setting(
		'project_content_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 7,
		)
	);

	$wp_customize->add_control(
	'project_content_head',
		array(
			'type' => 'hidden',
			'label' => __('Content','spintech-pro'),
			'section' => 'project_setting',
		)
	);
			
	// Project Load More // 
	$wp_customize->add_setting(
    	'project_load_more',
    	array(
	        'default'			=> __('Load More','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 9,
		)
	);	
	
	$wp_customize->add_control( 
		'project_load_more',
		array(
		    'label'   => __('Load More Label','spintech-pro'),
		    'section' => 'project_setting',
			'type'           => 'text',
		)  
	);
}

add_action( 'customize_register', 'spintech_project_setting' );

// project selective refresh
function spintech_home_project_section_partials( $wp_customize ){	
	// project title
	$wp_customize->selective_refresh->add_partial( 'project_title', array(
		'selector'            => '.project-home .heading-default .ttl',
		'settings'            => 'project_title',
		'render_callback'  => 'spintech_project_title_render_callback',
	
	) );
	
	// project subtitle
	$wp_customize->selective_refresh->add_partial( 'project_subtitle', array(
		'selector'            => '.project-home .heading-default h2',
		'settings'            => 'project_subtitle',
		'render_callback'  => 'spintech_project_subtitle_render_callback',
	
	) );
	
	// project description
	$wp_customize->selective_refresh->add_partial( 'project_description', array(
		'selector'            => '.project-home .heading-default p',
		'settings'            => 'project_description',
		'render_callback'  => 'spintech_project_desc_render_callback',
	
	) );
	
	// project_load_more
	$wp_customize->selective_refresh->add_partial( 'project_load_more', array(
		'selector'            => '.project-home .st-load-btn',
		'settings'            => 'project_load_more',
		'render_callback'  => 'spintech_project_load_more_render_callback',
	
	) );
	
	}

add_action( 'customize_register', 'spintech_home_project_section_partials' );

// project title
function spintech_project_title_render_callback() {
	return get_theme_mod( 'project_title' );
}

// project subtitle
function spintech_project_subtitle_render_callback() {
	return get_theme_mod( 'project_subtitle' );
}

// project description
function spintech_project_desc_render_callback() {
	return get_theme_mod( 'project_description' );
}

// project_load_more
function spintech_project_load_more_render_callback() {
	return get_theme_mod( 'project_load_more' );
}