<?php
function spintech_service_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Service  Section
	=========================================*/
	$wp_customize->add_section(
		'service_setting', array(
			'title' => esc_html__( 'Service Section', 'spintech-pro' ),
			'priority' => 3,
			'panel' => 'spintech_frontpage_sections',
		)
	);

	// Service Header Section // 
	$wp_customize->add_setting(
		'service_headings'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 3,
		)
	);

	$wp_customize->add_control(
	'service_headings',
		array(
			'type' => 'hidden',
			'label' => __('Header','spintech-pro'),
			'section' => 'service_setting',
		)
	);
	
	// Service Title // 
	$wp_customize->add_setting(
    	'service_title',
    	array(
	        'default'			=> __('Explore','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 4,
		)
	);	
	
	$wp_customize->add_control( 
		'service_title',
		array(
		    'label'   => __('Title','spintech-pro'),
		    'section' => 'service_setting',
			'type'           => 'text',
		)  
	);
	
	// Service Subtitle // 
	$wp_customize->add_setting(
    	'service_subtitle',
    	array(
	        'default'			=> __('Our <span class="text-primary">Services</span>','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'priority' => 5,
		)
	);	
	
	$wp_customize->add_control( 
		'service_subtitle',
		array(
		    'label'   => __('Subtitle','spintech-pro'),
		    'section' => 'service_setting',
			'type'           => 'textarea',
		)  
	);
	
	// Service Description // 
	$wp_customize->add_setting(
    	'service_description',
    	array(
	        'default'			=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'transport'         => $selective_refresh,
			'priority' => 6,
		)
	);	
	
	$wp_customize->add_control( 
		'service_description',
		array(
		    'label'   => __('Description','spintech-pro'),
		    'section' => 'service_setting',
			'type'           => 'textarea',
		)  
	);

	// Service content Section // 
	
	$wp_customize->add_setting(
		'service_content_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 7,
		)
	);

	$wp_customize->add_control(
	'service_content_head',
		array(
			'type' => 'hidden',
			'label' => __('Content','spintech-pro'),
			'section' => 'service_setting',
		)
	);
	
	/**
	 * Customizer Repeater for add service
	 */
	
		$wp_customize->add_setting( 'service_contents', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'transport'         => $selective_refresh,
			 'priority' => 8,
			 'default' => spintech_get_service_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'service_contents', 
					array(
						'label'   => esc_html__('Service','spintech-pro'),
						'section' => 'service_setting',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Service', 'spintech-pro' ),
						'customizer_repeater_icon_control' => true,
						'customizer_repeater_image_control' => true,
						'customizer_repeater_title_control' => true,
						'customizer_repeater_text_control' => true,
						'customizer_repeater_text2_control' => true,
						'customizer_repeater_link_control' => true,
					) 
				) 
			);
	
	// Service column // 
	$wp_customize->add_setting(
    	'service_sec_column',
    	array(
	        'default'			=> '3',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_select',
			'priority' => 9,
		)
	);	

	$wp_customize->add_control(
		'service_sec_column',
		array(
		    'label'   		=> __('Service Column','spintech-pro'),
		    'section' 		=> 'service_setting',
			'settings'   	 => 'service_sec_column',
			'type'			=> 'select',
			'choices'        => 
			array(
				'1' => __( '1 column', 'spintech-pro' ),
				'2' => __( '2 column', 'spintech-pro' ),
				'3' => __( '3 column', 'spintech-pro' ),
				'4' => __( '4 column', 'spintech-pro' ),
			) 
		) 
	);
	
	// Service Display
	if ( class_exists( 'Spintech_Customizer_Range_Control' ) ) {
		$wp_customize->add_setting(
			'service_display_default',
			array(
				'default' => '3',
				'capability'     	=> 'edit_theme_options',
				'sanitize_callback' => 'spintech_sanitize_range_value',
				'priority' => 11,
			)
		);
		$wp_customize->add_control( 
		new Spintech_Customizer_Range_Control( $wp_customize, 'service_display_default', 
			array(
				'label'      => __( 'No. of Service Display (Default)', 'spintech-pro' ),
				'section'  => 'service_setting',
				 'media_query'   => false,
					'input_attr'    => array(
						'desktop' => array(
							'min'           => 1,
							'max'           => 20,
							'step'          => 1,
							'default_value' => 3,
						),
					),
			) ) 
		);
	}
	
	// Service Load More // 
	$wp_customize->add_setting(
    	'service_load_more',
    	array(
	        'default'			=> __('Load More','spintech-pro'),
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_html',
			'transport'         => $selective_refresh,
			'priority' => 12,
		)
	);	
	
	$wp_customize->add_control( 
		'service_load_more',
		array(
		    'label'   => __('Load More Label','spintech-pro'),
		    'section' => 'service_setting',
			'type'           => 'text',
		)  
	);
}

add_action( 'customize_register', 'spintech_service_setting' );

// service selective refresh
function spintech_home_service_section_partials( $wp_customize ){	
	// service title
	$wp_customize->selective_refresh->add_partial( 'service_title', array(
		'selector'            => '.service-home .heading-default .ttl',
		'settings'            => 'service_title',
		'render_callback'  => 'spintech_service_title_render_callback',
	
	) );
	
	// service subtitle
	$wp_customize->selective_refresh->add_partial( 'service_subtitle', array(
		'selector'            => '.service-home .heading-default h2',
		'settings'            => 'service_subtitle',
		'render_callback'  => 'spintech_service_subtitle_render_callback',
	
	) );
	
	// service description
	$wp_customize->selective_refresh->add_partial( 'service_description', array(
		'selector'            => '.service-home .heading-default p',
		'settings'            => 'service_description',
		'render_callback'  => 'spintech_service_desc_render_callback',
	
	) );
	// service content
	$wp_customize->selective_refresh->add_partial( 'service_contents', array(
		'selector'            => '.service-home .hm-serv-content'
	
	) );
	
	// service_load_more
	$wp_customize->selective_refresh->add_partial( 'service_load_more', array(
		'selector'            => '.service-home .st-load-btn',
		'settings'            => 'service_load_more',
		'render_callback'  => 'spintech_service_load_more_render_callback',
	
	) );
	
	}

add_action( 'customize_register', 'spintech_home_service_section_partials' );

// service title
function spintech_service_title_render_callback() {
	return get_theme_mod( 'service_title' );
}

// service subtitle
function spintech_service_subtitle_render_callback() {
	return get_theme_mod( 'service_subtitle' );
}

// service description
function spintech_service_desc_render_callback() {
	return get_theme_mod( 'service_description' );
}

// service_load_more
function spintech_service_load_more_render_callback() {
	return get_theme_mod( 'service_load_more' );
}