<?php
function spintech_slider_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	/*=========================================
	Slider Section Panel
	=========================================*/
	$wp_customize->add_panel(
		'spintech_frontpage_sections', array(
			'priority' => 32,
			'title' => esc_html__( 'Frontpage Sections', 'spintech-pro' ),
		)
	);
	
	$wp_customize->add_section(
		'slider_setting', array(
			'title' => esc_html__( 'Slider Section', 'spintech-pro' ),
			'panel' => 'spintech_frontpage_sections',
			'priority' => 1,
		)
	);
	
	// slider Contents
	$wp_customize->add_setting(
		'slider_content_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'spintech_sanitize_text',
			'priority' => 4,
		)
	);

	$wp_customize->add_control(
	'slider_content_head',
		array(
			'type' => 'hidden',
			'label' => __('Contents','spintech-pro'),
			'section' => 'slider_setting',
		)
	);
	
	/**
	 * Customizer Repeater for add slides
	 */
	
		$wp_customize->add_setting( 'slider', 
			array(
			 'sanitize_callback' => 'spintech_repeater_sanitize',
			 'priority' => 5,
			  'default' => spintech_get_slider_default()
			)
		);
		
		$wp_customize->add_control( 
			new Spintech_Repeater( $wp_customize, 
				'slider', 
					array(
						'label'   => esc_html__('Slide','spintech-pro'),
						'section' => 'slider_setting',
						'add_field_label'                   => esc_html__( 'Add New', 'spintech-pro' ),
						'item_name'                         => esc_html__( 'Slide', 'spintech-pro' ),
						
						
						'customizer_repeater_icon_control' => false,
						'customizer_repeater_title_control' => true,
						'customizer_repeater_subtitle_control' => true,
						'customizer_repeater_text_control' => true,
						'customizer_repeater_text2_control'=> true,
						'customizer_repeater_link_control' => true,
						'customizer_repeater_link2_control' => true,
						'customizer_repeater_button2_control' => true,
						'customizer_repeater_btn3_control' => true,
						'customizer_repeater_link3_control' => true,
						'customizer_repeater_slide_align' => true,
						'customizer_repeater_checkbox_control' => true,
						'customizer_repeater_image_control' => true,	
					) 
				) 
			);
	
	$wp_customize->add_setting( 
		'slider_animation_in' , 
			array(
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'sanitize_text_field',
			'priority' => 9,
		) 
	);	
		$wp_customize->add_control('slider_animation_in', array(
		'label' => __('Animation In', 'spintech-pro'),
		'section' => 'slider_setting',
		'settings' => 'slider_animation_in',
		'type'			=> 'select',
		'choices'        => 
			array(
				''		=>__('Amimation 1', 'spintech-pro'),
				'pulse'		=>__('Amimation 2', 'spintech-pro'),
				'fadeIn'=>__('Amimation 3', 'spintech-pro'),
				'lightSpeedIn'=>__('Amimation 4', 'spintech-pro'),
				'rollIn'=>__('Amimation 5', 'spintech-pro'),
				'flipInX'=>__('Amimation 6', 'spintech-pro'), 	
				'bounceIn'=>__('Amimation 7', 'spintech-pro'),
			) 
	));
	$wp_customize->add_setting( 
		'slider_animation_out' , 
			array(
			'capability'     => 'edit_theme_options',
			'sanitize_callback' => 'sanitize_text_field',
			'priority' => 10,
		) 
	);
	$wp_customize->add_control('slider_animation_out', array(
    'label' => __('Animation Out', 'spintech-pro'),
    'section' => 'slider_setting',
	'type'			=> 'select',
	'settings' => 'slider_animation_out',
	'choices'        => 
			array(
				''		=>__('Animation 1', 'spintech-pro'),
				'fadeOut'=>__('Animation 2', 'spintech-pro'),
				'fadeOut'=>__('Animation 3', 'spintech-pro'),
				'lightSpeedOut'=>__('Animation 4', 'spintech-pro'),
				'rollOut'=>__('Animation 5', 'spintech-pro'),
				'flipInY'=>__('Animation 6', 'spintech-pro'),
				'bounceOut'=>__('Animation 7', 'spintech-pro'),
			) 
	));
	
	// slider opacity
	if ( class_exists( 'Spintech_Customizer_Range_Control' ) ) {
		$wp_customize->add_setting(
			'slider_animation_speed',
			array(
				'default' => '10000',
				'capability'     	=> 'edit_theme_options',
				'sanitize_callback' => 'spintech_sanitize_range_value',
				'priority' => 11,
			)
		);
		$wp_customize->add_control( 
		new Spintech_Customizer_Range_Control( $wp_customize, 'slider_animation_speed', 
			array(
				'label'      => __( 'Slider Speed', 'spintech-pro' ),
				'section'  => 'slider_setting',
				 'media_query'   => false,
					'input_attr'    => array(
						'desktop' => array(
							'min'           => 500,
							'max'           => 10000,
							'step'          => 500,
							'default_value' => 10000,
						),
					),
			) ) 
		);
	}
}

add_action( 'customize_register', 'spintech_slider_setting' );