<?php
function spintech_import_files() {
    return array(
        array(
            'import_file_name'             => 'Spintech',
            'categories'                   => array( 'Spintech' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . '/inc/demo-import/file/spintech-site.xml',
			
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . '/inc/demo-import/file/spintech-widget.json',
			
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . '/inc/demo-import/file/spintech-settings.dat',
			
			'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . '/assets/images/demo/spintech.jpg',
			
            'import_notice'                => __( 'Demo Importing process will take some time. Kindly be patience.', 'spintech-pro' ),
        ),
		array(
            'import_file_name'             => 'ITpress',
            'categories'                   => array( 'ITpress' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . '/inc/demo-import/file/itpress-site.xml',
			
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . '/inc/demo-import/file/itpress-widget.json',
			
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . '/inc/demo-import/file/itpress-settings.dat',
			
			'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ) . '/assets/images/demo/itpress.jpg',

            'import_notice'                => __( 'Demo Importing process will take some time. Kindly be patience.', 'spintech-pro' ),
        )
    );
}
add_filter( 'pt-ocdi/import_files', 'spintech_import_files' );


function spintech_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary Menu', 'nav_menu' );
	$footer_menu = get_term_by( 'name', 'Footer Menu', 'nav_menu' );
	$company_menu = get_term_by( 'name', 'Company Menu', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array(
            'primary_menu' => $main_menu->term_id,
        )
    );
	
	set_theme_mod( 'nav_menu_locations', array(
            'footer_menu' => $footer_menu->term_id,
        )
    );
	
	set_theme_mod( 'nav_menu_locations', array(
            'company_menu' => $company_menu->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'spintech_after_import_setup' );


function spintech_plugin_intro_text( $default_text ) {
    $default_text .= '<div class="ocdi__intro-text"><h4>Do you want to import Premade Demos? Just click on Import button<h4></div>';

    return $default_text;
}
add_filter( 'pt-ocdi/plugin_intro_text', 'spintech_plugin_intro_text' );


function spintech_plugin_page_setup( $default_settings ) {
    $default_settings['parent_slug'] = 'themes.php';
    $default_settings['page_title']  = esc_html__( 'One Click Demo Import' , 'spintech-pro' );
    $default_settings['menu_title']  = esc_html__( 'Premade Demos' , 'spintech-pro' );
    $default_settings['capability']  = 'import';
    $default_settings['menu_slug']   = 'pt-one-click-demo-import';

    return $default_settings;
}
add_filter( 'pt-ocdi/plugin_page_setup', 'spintech_plugin_page_setup' );