<?php
get_template_part( 'inc/customizer/control-function/functions-style' );
get_template_part( 'inc/customizer/control-function/typography-functions' );
if( ! function_exists( 'spintech_dynamic_style' ) ):
    function spintech_dynamic_style() {

		$output_css = '';
		
			
		 /**
		 *  Breadcrumb Style
		 */
		 
		$output_css   .= spintech_customizer_value( 'breadcrumb_min_height', '.breadcrumb-area', array( 'min-height' ), array( 236, 236, 236 ), 'px' );
		
		$breadcrumb_min_height			= get_theme_mod('breadcrumb_min_height','236');	
		
		$breadcrumb_bg_img			= get_theme_mod('breadcrumb_bg_img',get_template_directory_uri() .'/assets/images/bg/breadcrumbg.jpg'); 
		$breadcrumb_back_attach		= get_theme_mod('breadcrumb_back_attach','scroll'); 
		$breadcrumb_bg_img_opacity	= get_theme_mod('breadcrumb_bg_img_opacity','0.75');
		$breadcrumb_overlay_color	= get_theme_mod('breadcrumb_overlay_color','#000000');

		if($breadcrumb_bg_img !== '') { 
			$output_css .=".breadcrumb-area {
					background-image: url(" .esc_url($breadcrumb_bg_img). ");
					background-attachment: " .esc_attr($breadcrumb_back_attach). ";
				}\n";
		}
		
		if($breadcrumb_bg_img !== '') { 
			$output_css .=".breadcrumb-area:after {
					background-color: " .esc_attr($breadcrumb_overlay_color). ";
					opacity: " .esc_attr($breadcrumb_bg_img_opacity). ";
				}\n";
		}
		
		/**
		 * Logo Width 
		 */
		$output_css   .= spintech_customizer_value( 'logo_width', '.logo img, .mobile-logo img', array( 'max-width' ), array( 140, 140, 140 ), 'px !important' );
		$output_css   .= spintech_customizer_value( 'site_ttl_size', '.site-title', array( 'font-size' ), array( 30, 30, 30 ), 'px !important' );
		$output_css   .= spintech_customizer_value( 'site_desc_size', '.site-description', array( 'font-size' ), array( 16, 16, 16 ), 'px !important' );
		
		
		$theme_color_enable	= get_theme_mod('theme_color_enable');
			$theme_color 	= get_theme_mod('theme_color','#007bff');
			if($theme_color_enable !== '1') {
			$output_css .=":root {
							--bs-black:#000000;
							--bs-blue:#0d6efd;
							--bs-indigo:#6610f2;
							--bs-purple:#6f42c1;
							--bs-pink:#d63384;
							--bs-red:#dc221c;
							--bs-orange:#fd7e14;
							--bs-orange-dark:#ee4a34;
							--bs-orange-dark-light:#fae4df;
							--bs-yellow:#ffc107;
							--bs-green:#28a745;
							--bs-teal:#20c997;
							--bs-cyan:#17a2b8;
							--bs-white:#ffffff;
							--bs-gray:#dedede;
							--bs-gray-light: #f7f7f7;
							--bs-gray-dark:#343a40;
							--bs-primary:" .esc_attr($theme_color). ";
							--bs-primary-dark:#025ce2;
							--bs-primary-light: #f3f8fe;
							--bs-primary-shadow:rgb(0 123 255 / 0.5);
							--bs-secondary:#01012f;
							--bs-secondary-dark: #393939;
							--bs-gray-500: #f2f2f2;
							--bs-gray-500-thumb: #c2c2c2;
							--bs-success:#28a745;
							--bs-info:#17a2b8;
							--bs-warning:#ffc107;
							--bs-danger:#dc3545;
							--bs-light:#f8f9fa;
							--bs-dark:#343a40;
							--bs-gradient:linear-gradient(180deg,rgba(255,255,255,0.15),rgba(255,255,255,0));
							--bs-gradient-image:linear-gradient(180deg,rgba(255,255,255,0.15),rgba(255,255,255,0));
							--bs-shadow: 2px 5px 20px rgba(0, 0, 0, .2);
							--bs-radius: 0.1875rem;
							--bs-transition: all .35s cubic-bezier(.645,.045,.355,1);
							--bs-transition-slow: all .55s cubic-bezier(.645,.045,.355,1);
							--bs-transition-very-slow: all .75s cubic-bezier(.645,.045,.355,1);
						}\n";
			
			}	
			
			$primary_color 		= get_theme_mod('primary_color','#007bff');
			$secondary_color 	= get_theme_mod('secondary_color','#01012f');
			 
			if($theme_color_enable == '1') { 
				$output_css .=":root {
								--bs-black:#000000;
								--bs-blue:#0d6efd;
								--bs-indigo:#6610f2;
								--bs-purple:#6f42c1;
								--bs-pink:#d63384;
								--bs-red:#dc221c;
								--bs-orange:#fd7e14;
								--bs-orange-dark:#ee4a34;
								--bs-orange-dark-light:#fae4df;
								--bs-yellow:#ffc107;
								--bs-green:#28a745;
								--bs-teal:#20c997;
								--bs-cyan:#17a2b8;
								--bs-white:#ffffff;
								--bs-gray:#dedede;
								--bs-gray-light: #f7f7f7;
								--bs-gray-dark:#343a40;
								--bs-primary:" .esc_attr($primary_color). ";
								--bs-primary-dark:#025ce2;
								--bs-primary-light: #f3f8fe;
								--bs-primary-shadow:rgb(0 123 255 / 0.5);
								--bs-secondary:" .esc_attr($secondary_color). ";
								--bs-secondary-dark: #393939;
								--bs-gray-500: #f2f2f2;
								--bs-gray-500-thumb: #c2c2c2;
								--bs-success:#28a745;
								--bs-info:#17a2b8;
								--bs-warning:#ffc107;
								--bs-danger:#dc3545;
								--bs-light:#f8f9fa;
								--bs-dark:#343a40;
								--bs-gradient:linear-gradient(180deg,rgba(255,255,255,0.15),rgba(255,255,255,0));
								--bs-gradient-image:linear-gradient(180deg,rgba(255,255,255,0.15),rgba(255,255,255,0));
								--bs-shadow: 2px 5px 20px rgba(0, 0, 0, .2);
								--bs-radius: 0.1875rem;
								--bs-transition: all .35s cubic-bezier(.645,.045,.355,1);
								--bs-transition-slow: all .55s cubic-bezier(.645,.045,.355,1);
								--bs-transition-very-slow: all .75s cubic-bezier(.645,.045,.355,1);
							}\n";
						}
			
			
		
		/**
		 *  Typography Body
		 */
		 $spintech_body_font_family		 = get_theme_mod('spintech_body_font_family','');
		 $spintech_body_font_weight	 	 = get_theme_mod('spintech_body_font_weight','inherit');
		 $spintech_body_text_transform	 = get_theme_mod('spintech_body_text_transform','inherit');
		 $spintech_body_font_style	 	 = get_theme_mod('spintech_body_font_style','inherit');
		 $spintech_body_txt_decoration	 = get_theme_mod('spintech_body_txt_decoration','none');
		
		 $output_css   .= spintech_customizer_value( 'spintech_body_font_size', 'body', array( 'font-size' ), array( 16, 16, 16 ), 'px' );
		 $output_css   .= spintech_customizer_value( 'spintech_body_line_height', 'body', array( 'line-height' ), array( 1.6, 1.6, 1.6 ) );
		 $output_css   .= spintech_customizer_value( 'spintech_body_ltr_space', 'body', array( 'letter-spacing' ), array( 0, 0, 0 ), 'px' );
		 if($spintech_body_font_family !== '') { 
			if ( $spintech_body_font_family && ( strpos( $spintech_body_font_family, ',' ) != true ) ) {
				spintech_enqueue_google_font($spintech_body_font_family);
			}	
			 $output_css .=" body{ font-family: " .esc_attr($spintech_body_font_family). ";	}\n";
		 }
		 $output_css .=" body{ 
			font-weight: " .esc_attr($spintech_body_font_weight). ";
			text-transform: " .esc_attr($spintech_body_text_transform). ";
			font-style: " .esc_attr($spintech_body_font_style). ";
			text-decoration: " .esc_attr($spintech_body_txt_decoration). ";
		} a {text-decoration: " .esc_attr($spintech_body_txt_decoration). ";
		}\n";		 
		
		/**
		 *  Typography Heading
		 */
		 for ( $i = 1; $i <= 6; $i++ ) {
			 $spintech_heading_font_family	    = get_theme_mod('spintech_h' . $i . '_font_family','');	
			 $spintech_heading_font_weight	 	= get_theme_mod('spintech_h' . $i . '_font_weight','700');
			 $spintech_heading_text_transform 	= get_theme_mod('spintech_h' . $i . '_text_transform','inherit');
			 $spintech_heading_font_style	 	= get_theme_mod('spintech_h' . $i . '_font_style','inherit');
			 $spintech_heading_txt_decoration	= get_theme_mod('spintech_h' . $i . '_text_decoration','inherit');
			 
			 $output_css   .= spintech_customizer_value( 'spintech_h' . $i . '_font_size', 'h' . $i .'', array( 'font-size' ), array( 36, 36, 36 ), 'px' );
			 $output_css   .= spintech_customizer_value( 'spintech_h' . $i . '_line_height', 'h' . $i . '', array( 'line-height' ), array( 1.2, 1.2, 1.2 ) );
			 $output_css   .= spintech_customizer_value( 'spintech_h' . $i . '_ltr_spacing', 'h' . $i . '', array( 'letter-spacing' ), array( 0, 0, 0 ), 'px' );
			  if($spintech_heading_font_family !== '') {
				  if ( $spintech_heading_font_family && ( strpos( $spintech_heading_font_family, ',' ) != true ) ) {
					spintech_enqueue_google_font($spintech_heading_font_family);
				  }
			  }	
			 $output_css .=" h" . $i . "{ 
				font-family: " .esc_attr($spintech_heading_font_family). ";
				font-weight: " .esc_attr($spintech_heading_font_weight). ";
				text-transform: " .esc_attr($spintech_heading_text_transform). ";
				font-style: " .esc_attr($spintech_heading_font_style). ";
				text-decoration: " .esc_attr($spintech_heading_txt_decoration). ";
			}\n";
		 }
		
        wp_add_inline_style( 'spintech-style', $output_css );
    }
endif;
add_action( 'wp_enqueue_scripts', 'spintech_dynamic_style' );