<?php	
/**
 * The sidebar containing the main widget area.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package spintech
 */

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */

function spintech_widgets_init() {
	
	register_sidebar( array(
		'name' => __( 'Sidebar Widget Area', 'spintech-pro' ),
		'id' => 'spintech-sidebar-primary',
		'description' => __( 'The Primary Widget Area', 'spintech-pro' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h5 class="widget-title">',
		'after_title' => '</h5>',
	) );
	
	$footer_widget_layout = get_theme_mod('footer_widget_layout','4');
	for ($i=1; $i<=$footer_widget_layout; $i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'spintech-pro' )  . $i,
			'id' => 'footer-' . $i,
			'description' => __( 'The Footer Widget Area', 'spintech-pro' )  . $i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<h5 class="widget-title">',
			'after_title' => '</h5>',
		) );
	}

	register_sidebar( array(
		'name' => __( 'WooCommerce Widget Area', 'spintech-pro' ),
		'id' => 'spintech-woocommerce-sidebar',
		'description' => __( 'This Widget area for WooCommerce Widget', 'spintech-pro' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h5 class="widget-title">',
		'after_title' => '</h5>',
	) );
}
add_action( 'widgets_init', 'spintech_widgets_init' );
?>