<?php 
wp_enqueue_script( 'jquery' );

wp_enqueue_script('spintech-style-picker-js', get_template_directory_uri() .'/inc/style-configurator/style_bundle/picker.js');

wp_enqueue_script('alertify-js', get_template_directory_uri() .'/inc/style-configurator/style_bundle/alertify.min.js');
wp_enqueue_style('alertify-css', get_template_directory_uri() .'/inc/style-configurator/style_bundle/alertify.min.css');
wp_enqueue_style('default-css', get_template_directory_uri() .'/inc/style-configurator/style_bundle/default.min.css');

wp_enqueue_style('spintech-style-configurator-css', get_template_directory_uri() .'/inc/style-configurator/style_bundle/style-configurator.css');

wp_enqueue_script('spintech-style-configurator-js', get_template_directory_uri() .'/inc/style-configurator/style_bundle/style-configurator.js');

$theme_color 	= get_theme_mod('theme_color','rgb(0 123 255)');

$settingsColors = array('defaultColor'=>$theme_color);
	
wp_register_script('spintech-front-pallate',get_template_directory_uri().'/inc/style-configurator/front-pallate.min.js',array('jquery'));
wp_localize_script('spintech-front-pallate','colors_settings',$settingsColors);
wp_enqueue_script('spintech-front-pallate');	
?>
<style id="spintechCustomCss"></style>
<!--======================================
    Style Configurator
========================================-->
<section id="style-configurator" class="front-pallate">
	<button type="button" class="front-switcher-collapsed" aria-label='Style Switcher Collapsed'>
		<i class="fa fa-cog fa-spin"></i>
	</button>
	<div class="style-content">
		<div class="front-pallate-heading">
			<h4>Style Switcher</h4>
			<button type="button" class="clr_localStorage bbtn">All Reset</button>
		</div>
		<div class="style-overflow">
			<h5>Header Style</h5>
			<div class="style-header-type">
				<div class="header-layout-styles">
					<label><input type="radio" id="header_type1" name="header_style" data-myval="header-default header-nav-white" class="header_type" checked="checked"><span class="header_option">Auto</span></label>
					<label><input type="radio" id="header_type2" name="header_style" data-myval="header-default above-header-bg" class="header_type"><span class="header_option">2</span></label>
					<label><input type="radio" id="header_type3" name="header_style" data-myval="header-default" class="header_type"><span class="header_option">3</span></label>
					<label><input type="radio" id="header_type4" name="header_style" data-myval="header-transparent" class="header_type"><span class="header_option">4</span></label>
					<label><input type="radio" id="header_type5" name="header_style" data-myval="above-header-bg header-transparent" class="header_type"><span class="header_option">5</span></label>
				</div>
			</div>
			<h5>Pre Define Colors</h5>
			<ul class="style-palette">
				<li><a href="javascript:void(0)" class="color-changer active" data-myval="#007bff" id="default"><span class="color-default"></span></a></li>
				<li><a href="javascript:void(0)" class="color-changer" data-myval="#1abac8" id="color-one"><span class="color-one"></span></a></li>
				<li><a href="javascript:void(0)" class="color-changer" data-myval="#db2723" id="color-two"><span class="color-two"></span></a></li>
				<li><a href="javascript:void(0)" class="color-changer" data-myval="#ffba00" id="color-three"><span class="color-three"></span></a></li>
			</ul>
			<p class="error_msg"></p>
			<h5>Custom Colors</h5>
			<div class="jscolors-bg">
				<input class="jscolor" id="pickColor" data-jscolor="{value:'<?php echo esc_attr($theme_color); ?>', alpha:1.0}">
				<button type="button" id="resetColor">Reset</button>
			</div>			
			<h5>Layout</h5>
			<ul class="style-palette-bx">
				<li><a id="wide" class="web-btn active">Wide</a></li>
				<li> <a id="boxed" class="web-btn">Boxed</a></li>
			</ul>
			<p class="error_bg"></p>
			<div id="bg" class="bg" style="display: none;">
				<h5>Patterns</h5>
				<ul class="style-palette-bg ">
					<li><a href="#" class="pattern-changer"><span class="pattern-1"></span></a></li>
					<li><a href="#" class="pattern-changer"><span class="pattern-2"></span></a></li>
					<li><a href="#" class="pattern-changer"><span class="pattern-3"></span></a></li>
					<li><a href="#" class="pattern-changer"><span class="pattern-4"></span></a></li>
					<li><a href="#" class="pattern-changer"><span class="pattern-5"></span></a></li>
					<li><a href="#" class="pattern-changer"><span class="pattern-6"></span></a></li>
					<li><a href="#" class="pattern-changer"><span class="pattern-7"></span></a></li>
					<li><a href="#" class="pattern-changer"><span class="pattern-8"></span></a></li>
				</ul>
			</div>
		</div>
	</div>
</section>