<?php 
	$abt_steps_title			= get_theme_mod('abt_steps_title','Explore');
	$abt_steps_subtitle			= get_theme_mod('abt_steps_subtitle','Our <span class="text-primary">Steps</span>');
	$abt_steps_desc				= get_theme_mod('abt_steps_desc','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$abt_steps_contents			= get_theme_mod('abt_steps_contents',spintech_get_steps_default());
?>	

<section id="steps-section" class="steps-section st-py-default about-steps">
	<div class="container">
		<div class="row">
			<div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
				<div class="heading-default wow fadeInUp">
				   <?php if ( ! empty( $abt_steps_title ) ) : ?>
						 <span class="badge bg-primary ttl"><?php echo wp_kses_post($abt_steps_title); ?></span>
					<?php endif; ?>
					<?php if ( ! empty( $abt_steps_subtitle ) ) : ?>		
						<h2><?php echo wp_kses_post($abt_steps_subtitle); ?></h2>   							
					<?php endif; ?>	
					<?php if ( ! empty( $abt_steps_desc ) ) : ?>		
						<p><?php echo wp_kses_post($abt_steps_desc); ?></p>    
					<?php endif; ?>	
				</div>
			</div>
		</div>
		<div class="row row-cols-1 row-cols-lg-3 row-cols-md-2 steps-wrapper g-5 wow fadeInUp steps-wrap">
			<?php
				if ( ! empty( $abt_steps_contents ) ) {
				$abt_steps_contents = json_decode( $abt_steps_contents );
				foreach ( $abt_steps_contents as $steps_item ) {
					$spintech_steps_title = ! empty( $steps_item->title ) ? apply_filters( 'spintech_translate_single_string', $steps_item->title, 'steps section' ) : '';
					$subtitle = ! empty( $steps_item->subtitle ) ? apply_filters( 'spintech_translate_single_string', $steps_item->subtitle, 'steps section' ) : '';
					$text = ! empty( $steps_item->text ) ? apply_filters( 'spintech_translate_single_string', $steps_item->text, 'steps section' ) : '';
					$spintech_steps_link = ! empty( $steps_item->link ) ? apply_filters( 'spintech_translate_single_string', $steps_item->link, 'steps section' ) : '';
					
			?>
				<div class="col">
					<figure class="steps-item">
						<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/steps/img01.jpg" alt="" class="image">
						<figcaption class="steps-caption">
							<div class="steps-content">
								<?php if ( ! empty( $spintech_steps_title ) ) : ?>		
									<span><?php echo esc_html($spintech_steps_title); ?></span>						
								<?php endif; ?>
								<?php if ( ! empty( $subtitle ) ) : ?>		
									<strong><a href="<?php echo esc_url($spintech_steps_link); ?>"><?php echo esc_html($subtitle); ?></a></strong>			
								<?php endif; ?>
								<?php if ( ! empty( $text ) ) : ?>		
									<p><?php echo esc_html($text); ?></p>			
								<?php endif; ?>
							</div>
						</figcaption>                                 
					</figure>
				</div>
			<?php }} ?>
		</div>
	</div>
	<div class="shape-plane-bg">
		<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/plan_bg.png">
	</div>
</section>