<!--===// Start: Breadcrumb
    =================================-->
<?php 
	$hs_breadcrumb					= get_theme_mod('hs_breadcrumb','1');
	$breadcrumb_title_enable		= get_theme_mod('breadcrumb_title_enable','1');
	$breadcrumb_path_enable			= get_theme_mod('breadcrumb_path_enable','1');
?>	
<section id="breadcrumb-section" class="breadcrumb-area breadcrumb-center">
	<div class="container">
		<div class="row">
			<div class="col-12">
				<div class="breadcrumb-content">
					<div class="breadcrumb-heading">
						<?php if($breadcrumb_title_enable == '1') { ?>
							<h2>
								<?php 
									if ( is_day() ) : 
									
										printf( __( 'Daily Archives: %s', 'spintech-pro' ), get_the_date() );
									
									elseif ( is_month() ) :
									
										printf( __( 'Monthly Archives: %s', 'spintech-pro' ), (get_the_date( 'F Y' ) ));
										
									elseif ( is_year() ) :
									
										printf( __( 'Yearly Archives: %s', 'spintech-pro' ), (get_the_date( 'Y' ) ) );
										
									elseif ( is_category() ) :
									
										printf( __( 'Category Archives: %s', 'spintech-pro' ), (single_cat_title( '', false ) ));

									elseif ( is_tag() ) :
									
										printf( __( 'Tag Archives: %s', 'spintech-pro' ), (single_tag_title( '', false ) ));
										
									elseif ( is_404() ) :

										printf( __( 'Error 404', 'spintech-pro' ));
										
									elseif ( is_author() ) :
									
										printf( __( 'Author: %s', 'spintech-pro' ), (get_the_author( '', false ) ));		
									
									elseif ( is_tax( 'portfolio_categories' ) ) :

										printf( __( 'Portfolio Categories: %s', 'spintech-pro' ), (single_term_title( '', false ) ));	
										
									elseif ( is_tax( 'pricing_categories' ) ) :

										printf( __( 'Pricing Categories: %s', 'spintech-pro' ), (single_term_title( '', false ) ));	
										
									elseif ( class_exists( 'spintech-pro' ) ) : 
										
										if ( is_shop() ) {
											woocommerce_page_title();
										}
										
										elseif ( is_cart() ) {
											the_title();
										}
										
										elseif ( is_checkout() ) {
											the_title();
										}
										
										else {
											the_title();
										}
									else :
											the_title();
											
									endif;
									
								?>
							</h2>
						<?php } ?>	
					</div>
					<?php if($breadcrumb_path_enable == '1') { ?>
						<ol class="breadcrumb-list">
							<?php if (function_exists('spintech_breadcrumbs')) spintech_breadcrumbs();?>
						</ol>
					<?php } ?>	
				</div>                  
			</div>
		</div>
	</div>
	<div class="breadcrumb-navbar">
		<div class="breadcrumb-nav breadcrumb-sticky-on">
			<div class="breadcrumb-navbar-mobile d-lg-none d-block">
				<div class="breadcrumb-button">
					<button type="button" class="breadcrumb-collapsed">
						<i class="fa fa-chevron-down"></i>
					</button>
				</div>
				<div id="breadcrumb-mobile-menu" class="main-mobile-menu breadcrumb-mobile-menu"></div>
			</div>
			<div class="main-navbar breadcrumb-menu d-none d-lg-block">
				<?php 
					wp_nav_menu( 
						array(  
							'theme_location' => 'company_menu',
							'container'  => '',
							'menu_id' => 'breadcrumb-menu',
							'menu_class' => 'main-menu',
							'fallback_cb' => 'WP_Bootstrap_Navwalker::fallback',
							'walker' => new WP_Bootstrap_Navwalker()
							 ) 
						);
				?>   
			</div>
		</div>
	</div>
</section>
<!-- End: Breadcrumb
  =================================-->