<?php 
	$info_contents			= get_theme_mod('info_contents',spintech_get_info_default());
	$info_sec_column		= get_theme_mod('info_sec_column','3');
	$spintech_info_type		= get_theme_mod('spintech_info_type','style-1');
	if($spintech_info_type == 'style-2') { 
?>	
	 <section id="info-section" class="info-section">
        <div class="container">
            <div class="row">
                <div class="col-12 wow fadeInUp">
                    <div class="row mx-md-0 info-wrapper layout-2">
						<?php
							if ( ! empty( $info_contents ) ) {
							$info_contents = json_decode( $info_contents );
							foreach ( $info_contents as $info_item ) {
								$spintech_info_title = ! empty( $info_item->title ) ? apply_filters( 'spintech_translate_single_string', $info_item->title, 'info section' ) : '';
								$text = ! empty( $info_item->text ) ? apply_filters( 'spintech_translate_single_string', $info_item->text, 'info section' ) : '';
								$icon = ! empty( $info_item->icon_value) ? apply_filters( 'spintech_translate_single_string', $info_item->icon_value,'info section' ) : '';
								$spintech_info_link = ! empty( $info_item->link ) ? apply_filters( 'spintech_translate_single_string', $info_item->link, 'info section' ) : '';
								$image = ! empty( $info_item->image_url ) ? apply_filters( 'spintech_translate_single_string', $info_item->image_url, 'info section' ) : '';
						?>
							<div class="col-lg-<?php echo esc_attr($info_sec_column); ?> col-md-6 col-12 mb-lg-2 mb-4">
								<?php if ( ! empty( $image ) ) {?>
								<aside class="widget widget-contact bg-primary-lights">
								<?php } else { ?>
								<aside class="widget widget-contact bg-primary-lights-not">
								<?php } ?>
									<?php if ( ! empty( $image ) ) {?>
									<div class="item--overlay bg-image" style="background-image: url(<?php echo esc_url( $image ); ?>);"></div>
									<?php } ?>
									<div class="contact-area">
										<div class="contact-icon">
										   <div class="contact-corn">
										   <?php if ( ! empty( $icon ) ) {?>
												<i class="fa <?php echo esc_html( $icon ); ?> "></i>
											<?php } ?>
										   </div>
										</div>
										<div class="contact-info">
											<?php if ( ! empty( $spintech_info_title ) ) : ?>
												<h6 class="title"><a href="<?php echo esc_url( $spintech_info_link ); ?>"><?php echo esc_html( $spintech_info_title ); ?></a></h6>
											<?php endif; ?>
											<?php if ( ! empty( $text ) ) : ?>
												<p class="text"><?php echo esc_html( $text ); ?></p>
											<?php endif; ?>
										</div>
									</div>
								</aside>
							</div>
						<?php }}?>
                    </div>
                </div>
            </div>
        </div>
    </section>
	<?php }else{ ?>	
	 <section id="info-section" class="info-section">
        <div class="container">
            <div class="row">
                <div class="col-12 wow fadeInUp">
                    <div class="row mx-md-0 info-wrapper layout-1">
						<?php
							if ( ! empty( $info_contents ) ) {
							$info_contents = json_decode( $info_contents );
							foreach ( $info_contents as $info_item ) {
								$spintech_info_title = ! empty( $info_item->title ) ? apply_filters( 'spintech_translate_single_string', $info_item->title, 'info section' ) : '';
								$text = ! empty( $info_item->text ) ? apply_filters( 'spintech_translate_single_string', $info_item->text, 'info section' ) : '';
								$icon = ! empty( $info_item->icon_value) ? apply_filters( 'spintech_translate_single_string', $info_item->icon_value,'info section' ) : '';
								$spintech_info_link = ! empty( $info_item->link ) ? apply_filters( 'spintech_translate_single_string', $info_item->link, 'info section' ) : '';
								$image = ! empty( $info_item->image_url ) ? apply_filters( 'spintech_translate_single_string', $info_item->image_url, 'info section' ) : '';
						?>
							<div class="col-lg-<?php echo esc_attr($info_sec_column); ?> col-md-6 col-12 p-lg-0 mb-lg-0 mb-4">
								<aside class="widget widget-contact">
									<div class="contact-area">
										<div class="contact-icon">
										   <div class="contact-corn">
										   <?php if ( ! empty( $image )  &&  ! empty( $icon )){ ?>
												<img class="services_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_service_title ) ) : ?> alt="<?php echo esc_attr( $spintech_service_title ); ?>" title="<?php echo esc_attr( $spintech_service_title ); ?>" <?php endif; ?> />
											<?php }elseif ( ! empty( $image ) ) { ?>
												<img class="services_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_service_title ) ) : ?> alt="<?php echo esc_attr( $spintech_service_title ); ?>" title="<?php echo esc_attr( $spintech_service_title ); ?>" <?php endif; ?> />
											<?php }elseif ( ! empty( $icon ) ) {?>
												<i class="fa <?php echo esc_html( $icon ); ?> txt-pink"></i>
											<?php } ?>
										   </div>
										</div>
										<div class="contact-info">
											<?php if ( ! empty( $spintech_info_title ) ) : ?>
												<h6 class="title"><a href="<?php echo esc_url( $spintech_info_link ); ?>"><?php echo esc_html( $spintech_info_title ); ?></a></h6>
											<?php endif; ?>
											<?php if ( ! empty( $text ) ) : ?>
												<p class="text"><?php echo esc_html( $text ); ?></p>
											<?php endif; ?>
										</div>
									</div>
								</aside>
							</div>
						<?php }}?>
                    </div>
                </div>
            </div>
        </div>
    </section>
	<?php } ?>	