<?php 
	$abt_journey_title				= get_theme_mod('abt_journey_title','Explore');
	$abt_journey_subtitle			= get_theme_mod('abt_journey_subtitle','Our <span class="text-white">Journey</span>');
	$abt_journey_desc				= get_theme_mod('abt_journey_desc','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$abt_journey_contents			= get_theme_mod('abt_journey_contents',spintech_get_journey_default());
	$abt_journey_bg					= get_theme_mod('abt_journey_bg',get_template_directory_uri() .'/assets/images/bg/timeline_bg.jpg'); 
?>	

<section id="journey-section" class="journey-section st-py-default about-journey" style="background-image: url(<?php echo esc_url($abt_journey_bg);?>);">
	<div class="container">
		<div class="row">
			<div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
				<div class="heading-default text-white wow fadeInUp">
					<?php if ( ! empty( $abt_journey_title ) ) : ?>
						 <span class="badge bg-primary ttl"><?php echo wp_kses_post($abt_journey_title); ?></span>
					<?php endif; ?>
					<?php if ( ! empty( $abt_journey_subtitle ) ) : ?>		
						<h2><?php echo wp_kses_post($abt_journey_subtitle); ?></h2>   							
					<?php endif; ?>	
					<?php if ( ! empty( $abt_journey_desc ) ) : ?>		
						<p><?php echo wp_kses_post($abt_journey_desc); ?></p>    
					<?php endif; ?>	
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-12 timeline">
				<?php
					if ( ! empty( $abt_journey_contents ) ) {
					$abt_journey_contents = json_decode( $abt_journey_contents );
					foreach ( $abt_journey_contents as $journey_item ) {
						$spintech_steps_title = ! empty( $journey_item->title ) ? apply_filters( 'spintech_translate_single_string', $journey_item->title, 'Journey section' ) : '';
						$subtitle = ! empty( $journey_item->subtitle ) ? apply_filters( 'spintech_translate_single_string', $journey_item->subtitle, 'Journey section' ) : '';
						$text = ! empty( $journey_item->text ) ? apply_filters( 'spintech_translate_single_string', $journey_item->text, 'Journey section' ) : '';
						$spintech_steps_link = ! empty( $journey_item->link ) ? apply_filters( 'spintech_translate_single_string', $journey_item->link, 'Journey section' ) : '';
						
				?>
				<div class="row gx-0 justify-content-end justify-content-md-around align-items-start timeline-item">
					<div class="col-10 col-md-5 order-3 order-md-1 timeline-content wow fadeInLeft">
						<?php if ( ! empty( $subtitle ) ) : ?>		
							<strong><a href="<?php echo esc_url($spintech_steps_link); ?>"><?php echo esc_html($subtitle); ?></a></strong>			
						<?php endif; ?>
						<?php if ( ! empty( $text ) ) : ?>		
							<p><?php echo esc_html($text); ?></p>			
						<?php endif; ?>
					</div>
					<div class="col-2 col-sm-1 px-md-3 order-2 timeline-circle text-md-center"></div>
					<div class="col-10 col-md-5 order-1 order-md-3 pb-3 timeline-date">
						<?php if ( ! empty( $spintech_steps_title ) ) : ?>		
							<time><?php echo esc_html($spintech_steps_title); ?></time>						
						<?php endif; ?>
					</div>
				</div>
				<?php }} ?>
			</div>
		</div>
	</div>
</section>