<?php 
	$pricing_title				= get_theme_mod('pricing_title','Explore');
	$pricing_subtitle			= get_theme_mod('pricing_subtitle','Our <span class="text-primary">Price</span>');
	$pricing_description		= get_theme_mod('pricing_description','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$pricing_display_num 		= get_theme_mod('pricing_display_num','3');
	$price_sec_column 			= get_theme_mod('price_sec_column','3');
?>	
	<section id="price-section" class="price-section st-py-default bg-primary-light home-pricing">
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
                    <div class="heading-default wow fadeInUp">
						<?php if ( ! empty( $pricing_title ) ) : ?>
							 <span class="badge bg-primary ttl"><?php echo wp_kses_post($pricing_title); ?></span>
						<?php endif; ?>
						<?php if ( ! empty( $pricing_subtitle ) ) : ?>		
							<h2><?php echo wp_kses_post($pricing_subtitle); ?></h2>   							
						<?php endif; ?>	
						<?php if ( ! empty( $pricing_description ) ) : ?>		
							<p><?php echo wp_kses_post($pricing_description); ?></p>    
						<?php endif; ?>	
                    </div>
                </div>
            </div>
            <div class="row row-cols-1 row-cols-lg-<?php echo esc_attr($price_sec_column); ?> row-cols-md-2 g-4 wow fadeInUp">
			
				<?php 
					$args = array( 'post_type' => 'spintechs_pricing','posts_per_page' => $pricing_display_num);  	
					$plans = new WP_Query( $args ); 
					if( $plans->have_posts() )
					{
						while ( $plans->have_posts() ) : $plans->the_post();
				?>
				<?php
					$plans_icon 			= sanitize_text_field( get_post_meta( get_the_ID(),'plans_icon', true ));
					$plans_currency 		= sanitize_text_field( get_post_meta( get_the_ID(),'plans_currency', true ));
					$plans_price 			= sanitize_text_field( get_post_meta( get_the_ID(),'plans_price', true ));
					$plans_duration 		= sanitize_text_field( get_post_meta( get_the_ID(),'plans_duration', true ));
					$price_recomended 		= sanitize_text_field( get_post_meta( get_the_ID(),'price_recomended', true ));
					$plans_features_1 		= sanitize_text_field( get_post_meta( get_the_ID(),'plans_features_1', true ));
					
					$plans_features_2 		= sanitize_text_field( get_post_meta( get_the_ID(),'plans_features_2', true ));
					$plans_features_3 		= sanitize_text_field( get_post_meta( get_the_ID(),'plans_features_3', true ));
					$plans_features_4 		= sanitize_text_field( get_post_meta( get_the_ID(),'plans_features_4', true ));
					$plans_features_5 		= sanitize_text_field( get_post_meta( get_the_ID(),'plans_features_5', true ));
					
					$plans_features_6 		= sanitize_text_field( get_post_meta( get_the_ID(),'plans_features_6', true ));
					$plans_features_7 		= sanitize_text_field( get_post_meta( get_the_ID(),'plans_features_7', true ));
					$plans_features_8 		= sanitize_text_field( get_post_meta( get_the_ID(),'plans_features_8', true ));
					$plans_features_9 		= sanitize_text_field( get_post_meta( get_the_ID(),'plans_features_9', true ));
					
					$plans_features_10 		= sanitize_text_field( get_post_meta( get_the_ID(),'plans_features_10', true ));
					$plans_button_label 	= sanitize_text_field( get_post_meta( get_the_ID(),'plans_button_label', true ));
					$plans_button_link 		= sanitize_text_field( get_post_meta( get_the_ID(),'plans_button_link', true ));
					$plans_button_link_target 	= sanitize_text_field( get_post_meta( get_the_ID(),'plans_button_link_target', true ));
					
				?>
                <div class="col">
					<div class="pricing-item <?=($price_recomended)?' recommended':''?>">
						<?php if($price_recomended) { ?>
							<span class="recommended-badge"><?php echo esc_html($price_recomended); ?></span>
						<?php } ?>	
						 <h3><?php echo the_title(); ?></h3>
						 <?php if($plans_icon) { ?>
							<span class="pricing-icon"><i class="fa <?php echo esc_attr($plans_icon); ?>"></i></span>
						<?php } ?>	
						<div class="pricing-inner">
							<?php if($plans_price) { ?>
								<div class="pricing-rate">
									<span class="pricing"><sup><?php echo esc_html($plans_currency); ?></sup> <?php echo esc_html($plans_price); ?></span>
									<p><?php if($plans_duration) { echo esc_html($plans_duration); }?></p>
								</div>	
							<?php } ?>	
													
							<ul>
								<?php if($plans_features_1) { ?>
									<li><?php echo esc_html($plans_features_1); ?></li>
								<?php } ?>
								
								 <?php if($plans_features_2) { ?>
									<li><?php echo esc_html($plans_features_2); ?></li>
								<?php } ?>
								
								 <?php if($plans_features_3) { ?>
									<li><?php echo esc_html($plans_features_3); ?></li>
								<?php } ?>
								
								 <?php if($plans_features_4) { ?>
									<li><?php echo esc_html($plans_features_4); ?></li>
								<?php } ?>
								
								 <?php if($plans_features_5) { ?>
									<li><?php echo esc_html($plans_features_5); ?></li>
								<?php } ?>
								
								 <?php if($plans_features_6) { ?>
									<li><?php echo esc_html($plans_features_6); ?></li>
								<?php } ?>
								
								 <?php if($plans_features_7) { ?>
									<li><?php echo esc_html($plans_features_7); ?></li>
								<?php } ?>
								
								 <?php if($plans_features_8) { ?>
									<li><?php echo esc_html($plans_features_8); ?></li>
								<?php } ?>
								
								 <?php if($plans_features_9) { ?>
									<li><?php echo esc_html($plans_features_9); ?></li>
								<?php } ?>
								
								 <?php if($plans_features_10) { ?>
									<li><?php echo esc_html($plans_features_10); ?></li>
								<?php } ?>
							</ul>
							<?php if($plans_button_label || $plans_button_link) { ?>
								<a href="<?php echo esc_url($plans_button_link); ?>" <?php  if($plans_button_link_target) { echo "target='_blank'"; } ?> class="btn btn-secondary"><i class="fa fa-shopping-cart"></i>     <?php echo esc_html($plans_button_label); ?></a>
							<?php } ?>	
						</div>
					</div>
                </div>
				<?php 
					endwhile;
					} 
				?>
            </div>
        </div>
        <div class="shape14"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape14.png" alt="image"></div>
        <div class="shape15"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape15.png" alt="image"></div>
        <div class="shape16"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape16.png" alt="image"></div>
        <div class="shape17"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape17.png" alt="image"></div>
        <div class="shape18"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape18.png" alt="image"></div>
        <div class="shape13"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape13.png" alt="image"></div>
    </section>