<?php 
	$team_title					= get_theme_mod('team_title','Explore');
	$team_subtitle				= get_theme_mod('team_subtitle','Our <span class="text-primary">Team</span>');
	$team_description			= get_theme_mod('team_description','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$team_contents				= get_theme_mod('team_contents',spintech_get_team_default());
	$team_sec_column			= get_theme_mod('team_sec_column','4');	
?>
	 <section id="team-section" class="team-section st-py-default bg-primary-light team-home">
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
                    <div class="heading-default wow fadeInUp">
                       <?php if ( ! empty( $team_title ) ) : ?>
							 <span class="badge bg-primary ttl"><?php echo wp_kses_post($team_title); ?></span>
						<?php endif; ?>
						<?php if ( ! empty( $team_subtitle ) ) : ?>		
							<h2><?php echo wp_kses_post($team_subtitle); ?></h2>   							
						<?php endif; ?>	
						<?php if ( ! empty( $team_description ) ) : ?>		
							<p><?php echo wp_kses_post($team_description); ?></p>    
						<?php endif; ?>	
                    </div>
                </div>
            </div>
            <div class="row row-cols-1 row-cols-lg-<?php echo esc_attr($team_sec_column); ?> row-cols-md-2 g-4 wow fadeInUp team-data">
				<?php
					$team_contents = json_decode($team_contents);
					if( $team_contents!='' )
					{
					foreach($team_contents as $team_item){
					$image    = ! empty( $team_item->image_url ) ? apply_filters( 'spintech_translate_single_string', $team_item->image_url, 'Team section' ) : '';
					$spintech_team_title    = ! empty( $team_item->title ) ? apply_filters( 'spintech_translate_single_string', $team_item->title, 'Team section' ) : '';
					$subtitle = ! empty( $team_item->subtitle ) ? apply_filters( 'spintech_translate_single_string', $team_item->subtitle, 'Team section' ) : '';					
				?>
                <div class="col">
                    <div class="our-team">
                        <div class="team-img">
                            <?php if ( ! empty( $image ) ): ?>
								<img src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_team_title ) ) : ?> alt="<?php echo esc_attr( $spintech_team_title ); ?>" title="<?php echo esc_attr( $spintech_team_title ); ?>" <?php endif; ?> />
							<?php endif; ?>	
                        </div>
                        <div class="team-info">
                            <aside class="widget widget_social_widget">
                                <ul>
                                    <?php if ( ! empty( $team_item->social_repeater ) ) :
											$icons         = html_entity_decode( $team_item->social_repeater );
											$icons_decoded = json_decode( $icons, true );
											if ( ! empty( $icons_decoded ) ) : ?>
											<?php
												foreach ( $icons_decoded as $value ) {
													$social_icon = ! empty( $value['icon'] ) ? apply_filters( 'spintech_translate_single_string', $value['icon'], 'Team section' ) : '';
													$social_link = ! empty( $value['link'] ) ? apply_filters( 'spintech_translate_single_string', $value['link'], 'Team section' ) : '';
													if ( ! empty( $social_icon ) ) {
											?>	
												<li><a href="<?php echo esc_url( $social_link ); ?>"><i class="fa <?php echo esc_attr( $social_icon ); ?>"></i></a></li>
										<?php
												}
											}
										endif;
									endif;
									?>	
                                </ul>
                            </aside>
                            <div class="team-heading">
								<?php if ( ! empty( $spintech_team_title ) ) : ?>
									<strong><a href="javascript:void(0);"><?php echo esc_html( $spintech_team_title ); ?></a></strong>
								<?php endif; ?>
								<?php if ( ! empty( $subtitle ) ) : ?>
									<p><?php echo esc_html( $subtitle ); ?></p>
								<?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
				<?php }} ?>
            </div>
        </div>
        <div class="shape10"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape10.png" alt="image"></div>
        <div class="shape11"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape11.png" alt="image"></div>
        <div class="shape8"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape8.png" alt="image"></div>
        <div class="shape12"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape12.png" alt="image"></div>
        <div class="shape13"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape13.png" alt="image"></div>
    </section>