<?php 
/**
Template Name: Company Location Page
*/

get_header();
$hs_company_loc				= get_theme_mod('hs_company_loc','1');
$company_loc_title			= get_theme_mod('company_loc_title','Explore');
$company_loc_subtitle		= get_theme_mod('company_loc_subtitle','Located Around The <span class="text-primary">World</span>');
$company_loc_description	= get_theme_mod('company_loc_description','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
$company_loc_img			= get_theme_mod('company_loc_img',get_template_directory_uri() .'/assets/images/bg/map_bg.png'); 
$company_loc_contents		= get_theme_mod('company_loc_contents',spintech_get_com_location_default());
$hs_company_loc_content		= get_theme_mod('hs_company_loc_content','1');
?>
 <!--===// Start: Locations Page
    =================================-->
    <section id="locations-section" class="locations-section st-py-default">
        <div class="container">
			<?php if($hs_company_loc == '1') { ?>
				<div class="row">
					<div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
						<div class="heading-default wow fadeInUp">
							<?php if ( ! empty( $company_loc_title ) ) : ?>
								 <span class="badge bg-primary ttl"><?php echo wp_kses_post($company_loc_title); ?></span>
							<?php endif; ?>
							<?php if ( ! empty( $company_loc_subtitle ) ) : ?>		
								<h2><?php echo wp_kses_post($company_loc_subtitle); ?></h2>   							
							<?php endif; ?>	
							<?php if ( ! empty( $company_loc_description ) ) : ?>		
								<p><?php echo wp_kses_post($company_loc_description); ?></p>    
							<?php endif; ?>	
						</div>
					</div>
				</div>
				<?php if ( ! empty( $company_loc_img ) ) : ?>
					<div class="row">
						<div class="col-12">
							<div class="map-bg">
								<img src="<?php echo esc_url($company_loc_img); ?>" alt="">
							</div>
						</div>
					</div>
				<?php endif;?>	
			<?php } ?>
		<?php if($hs_company_loc_content == '1') { ?>
            <div class="row row-cols-1 row-cols-md-3 row-cols-lg-3 g-5 minus-mt-6 wow fadeInUp">
				<?php
					if ( ! empty( $company_loc_contents ) ) {
					$company_loc_contents = json_decode( $company_loc_contents );
					foreach ( $company_loc_contents as $company_loc_item ) {
						$spintech_company_loc_title = ! empty( $company_loc_item->title ) ? apply_filters( 'spintech_translate_single_string', $company_loc_item->title, 'company_loc section' ) : '';
						$text = ! empty( $company_loc_item->text ) ? apply_filters( 'spintech_translate_single_string', $company_loc_item->text, 'company_loc section' ) : '';
						$icon = ! empty( $company_loc_item->icon_value) ? apply_filters( 'spintech_translate_single_string', $company_loc_item->icon_value,'company_loc section' ) : '';
						$button = ! empty( $company_loc_item->text2) ? apply_filters( 'spintech_translate_single_string', $company_loc_item->text2,'company_loc section' ) : '';
						$spintech_serv_link = ! empty( $company_loc_item->link ) ? apply_filters( 'spintech_translate_single_string', $company_loc_item->link, 'company_loc section' ) : '';
						$image = ! empty( $company_loc_item->image_url ) ? apply_filters( 'spintech_translate_single_string', $company_loc_item->image_url, 'company_loc section' ) : '';
				?>
                <div class="col">
                    <aside class="widget widget-contact">
                        <div class="contact-area">
                            <div class="contact-icon">
                               <div class="contact-corn">
								<?php if ( ! empty( $image )  &&  ! empty( $icon )){ ?>
									<img class="services_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_company_loc_title ) ) : ?> alt="<?php echo esc_attr( $spintech_company_loc_title ); ?>" title="<?php echo esc_attr( $spintech_company_loc_title ); ?>" <?php endif; ?> />
								<?php }elseif ( ! empty( $image ) ) { ?>
									<img class="services_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_company_loc_title ) ) : ?> alt="<?php echo esc_attr( $spintech_company_loc_title ); ?>" title="<?php echo esc_attr( $spintech_company_loc_title ); ?>" <?php endif; ?> />
								<?php }elseif ( ! empty( $icon ) ) {?>
									<i class="fa <?php echo esc_html( $icon ); ?> txt-pink"></i>
								<?php } ?>
							   </div>
                            </div>
                            <div class="contact-info">
                                <?php if ( ! empty( $spintech_company_loc_title ) ) : ?>
									<h6 class="title"><a href="<?php echo esc_url( $spintech_serv_link ); ?>"><?php echo esc_html( $spintech_company_loc_title ); ?></a></h6>
								<?php endif; ?>
								<?php if ( ! empty( $text ) ) : ?>
									<p><?php echo esc_html( $text ); ?></p>
								<?php endif; ?>
								<?php if ( ! empty( $button ) ) : ?>	
									<a href="<?php echo esc_url( $spintech_serv_link ); ?>" class="btn btn-link"><?php echo esc_html( $button ); ?></a>
								<?php endif; ?>
                            </div>
                        </div>
                    </aside>
                </div>
				<?php }} ?>
            </div>
		<?php } ?>
        </div>
    </section>
    <!-- End: Locations Page
    =================================-->
	
<?php get_footer(); ?>