<?php 
/**
Template Name: Contact Page
*/

get_header();

$hs_ct_form				= get_theme_mod('hs_ct_form','1'); 
$ct_form_title			= get_theme_mod('ct_form_title','Explore');
$ct_form_subtitle		= get_theme_mod('ct_form_subtitle','Book An <span class="text-primary">Appointment');
$ct_form_description	= get_theme_mod('ct_form_description','Please complete the details below and then click on Submit and we’ll be in contact');
$ct_form_shortcode		= get_theme_mod('ct_form_shortcode');
$ct_frm_contct_icon		= get_theme_mod('ct_frm_contct_icon','fa-phone'); 
$ct_frm_contct_ttl		= get_theme_mod('ct_frm_contct_ttl','Toll Free Number');
$ct_frm_contct_txt		= get_theme_mod('ct_frm_contct_txt','70 975 975 70'); 
?>
  <section id="contact-card" class="contact-card shapes-section st-py-default">
        <div class="container">
            <div class="row wow fadeInUp">
                <div class="col-12">
					<?php if($hs_ct_form == '1') {  ?>
						<div class="contact-form">
							<div class="form-card">
								<div class="heading-default text-center">
									<?php if ( ! empty( $ct_form_title ) ) : ?>
										<span class="badge bg-primary ttl"><?php echo wp_kses_post($ct_form_title); ?></span>
									<?php endif; ?>
									<?php if ( ! empty( $ct_form_subtitle ) ) : ?>		
										<h2><?php echo wp_kses_post($ct_form_subtitle); ?></h2>   							
									<?php endif; ?>	
									<?php if ( ! empty( $ct_form_description ) ) : ?>		
										<p><?php echo wp_kses_post($ct_form_description); ?></p>    
									<?php endif; ?>	
								</div>                            
								<div class="send-your-enquiry">
									<?php if($ct_form_shortcode != '') {
										echo do_shortcode( $ct_form_shortcode );
									}else{?>
									<div role="form" class="wpcf7">
										<form action="#" method="post">
											<p><input type="text" name="text-1" value="" size="40" class="form-control" aria-required="true" aria-invalid="false" placeholder="Name*"></p>
											<p><input type="text" name="text-2" value="" size="40" class="form-control" aria-required="true" aria-invalid="false" placeholder="Email*"></p>
											<p><input type="text" name="text-3" value="" size="40" class="form-control" aria-required="true" aria-invalid="false" placeholder="Subject*"></p>
											<p><textarea name="textarea-4" cols="40" rows="10" class="form-control" aria-invalid="false" placeholder="Message*" spellcheck="false"></textarea></p>
											<p><button type="submit" id="submit" class="btn btn-primary">Send Message</button></p>
										</form>
									</div>
									<?php } ?>
								</div>
							</div>
							<?php if ( ! empty( $ct_frm_contct_ttl ) ||  ! empty( $ct_frm_contct_txt )) : ?>	
								<div class="contact-form-widget">
									<aside class="widget widget-contact">
										<div class="contact-area">
											<div class="contact-icon">
												<div class="contact-corn"><i class="fa <?php echo esc_attr($ct_frm_contct_icon); ?>"></i></div>
											</div>
											<div class="contact-info">
												<h6 class="title"><?php echo esc_html($ct_frm_contct_ttl); ?></h6>
												<p class="text"><a href="javascript:void(0);"><?php echo esc_html($ct_frm_contct_txt); ?></a></p>
											</div>
										</div>
									</aside>
									<div class="call-icon"><i class="fas fa-phone"></i></div>
								</div>
							<?php endif; ?>	
						</div>
					<?php } ?>	
                </div>
            </div>
			<?php
			$hs_ct_adress				= get_theme_mod('hs_ct_adress','1'); 
			$ct_adress_contents			= get_theme_mod('ct_adress_contents',spintech_get_ct_adress_default());
			if($hs_ct_adress == '1') {  
			?>			
            <div class="row row-cols-1 row-cols-md-2 row-cols-lg-3 contact-address g-lg-0 gy-4 mt-5 wow fadeInUp">
				<?php
					if ( ! empty( $ct_adress_contents ) ) {
					$ct_adress_contents = json_decode( $ct_adress_contents );
					foreach ( $ct_adress_contents as $ct_adress_item ) {
						$spintech_ct_adress_title = ! empty( $ct_adress_item->title ) ? apply_filters( 'spintech_translate_single_string', $ct_adress_item->title, 'ct_adress section' ) : '';
						$text = ! empty( $ct_adress_item->text ) ? apply_filters( 'spintech_translate_single_string', $ct_adress_item->text, 'ct_adress section' ) : '';
						$icon = ! empty( $ct_adress_item->icon_value) ? apply_filters( 'spintech_translate_single_string', $ct_adress_item->icon_value,'ct_adress section' ) : '';
						$spintech_serv_link = ! empty( $ct_adress_item->link ) ? apply_filters( 'spintech_translate_single_string', $ct_adress_item->link, 'ct_adress section' ) : '';
						$image = ! empty( $ct_adress_item->image_url ) ? apply_filters( 'spintech_translate_single_string', $ct_adress_item->image_url, 'ct_adress section' ) : '';
				?>
					<div class="col">
						<div class="widget widget-contact">
							<div class="contact-area">
								<div class="contact-icon">
									<div class="contact-corn">
										<?php if ( ! empty( $image )  &&  ! empty( $icon )){ ?>
											<img class="ct_adresss_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_ct_adress_title ) ) : ?> alt="<?php echo esc_attr( $spintech_ct_adress_title ); ?>" title="<?php echo esc_attr( $spintech_ct_adress_title ); ?>" <?php endif; ?> />
										<?php }elseif ( ! empty( $image ) ) { ?>
											<img class="ct_adresss_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_ct_adress_title ) ) : ?> alt="<?php echo esc_attr( $spintech_ct_adress_title ); ?>" title="<?php echo esc_attr( $spintech_ct_adress_title ); ?>" <?php endif; ?> />
										<?php }elseif ( ! empty( $icon ) ) {?>
											<i class="fa <?php echo esc_html( $icon ); ?> txt-pink"></i>
										<?php } ?>
									</div>
								</div>
								<div class="contact-info">
									<?php if ( ! empty( $spintech_ct_adress_title ) ) : ?>
										<h6 class="title"><a href="<?php echo esc_url( $spintech_serv_link ); ?>"><?php echo esc_html( $spintech_ct_adress_title ); ?></a></h6>
									<?php endif; ?>
									<?php if ( ! empty( $text ) ) : ?>
										<p><?php echo esc_html( $text ); ?></p>
									<?php endif; ?>
								</div>
							</div>
						</div>
					</div>
				<?php } } ?>
            </div>
		<?php } ?>
        </div>
        <div class="shapes-dots">
            <span data-parallax='{"x": 150, "y": -20, "rotateZ":500}'>
                <b class="green"></b>
            </span>
            <span data-parallax='{"x": 250, "y": 150, "rotateZ":500}'>
                <b class="yellow x4"></b>
            </span>
            <span data-parallax='{"x": -180, "y": 80, "rotateY":2000}'>
                <b class="blue x1"></b>
            </span>
            <span data-parallax='{"x": -20, "y": 180}'>
                <b class="pink x3"></b>
            </span>
            <span data-parallax='{"x": -40, "y": 70}'>
                <b class="theme x2"></b>
            </span>
            <span data-parallax='{"x": 250, "y": 180, "rotateZ":1500}'>
                <b class="green"></b>
            </span>
            <span data-parallax='{"x": 180, "y": 10, "rotateZ":2000}'>
                <b class="yellow x4"></b>
            </span>
            <span data-parallax='{"x": 60, "y": -100}'>
                <b class="pink x3"></b>
            </span>
            <span data-parallax='{"x": -30, "y": 150, "rotateZ":1500}'>
                <b class="theme x2"></b>
            </span>
            <span data-parallax='{"x": -15, "y": 100, "rotateZ":1000}'>
                <b class="theme"></b>
            </span>
            <span data-parallax='{"x": 70, "y": 170, "rotateZ":500}'>
                <b class="theme x3"></b>
            </span>
        </div>
    </section>
    <!-- End: Contact Page
    =================================-->

    <!--===// Start: CTA
    =================================-->
    <?php
		$hs_ct_cta	= get_theme_mod('hs_ct_cta','1'); 
			if($hs_ct_cta == '1') { 
				get_template_part('template-parts/sections/section','cta');
			} 
	 ?>
    <!-- End: CTA
    =================================-->

    <!--===// Start: Services Contact
    =================================-->
<?php
	$hs_ct_info				= get_theme_mod('hs_ct_info','1'); 
	$ct_info_contents		= get_theme_mod('ct_info_contents',spintech_get_ct_info_default());
	if($hs_ct_info == '1') {  
?>		
    <section id="service-section" class="service-section theme-card-circle st-py-default">
        <div class="container">
            <div class="row">
                <div class="col-lg-12 col-12 mx-lg-auto">
                    <div class="row row-cols-1 row-cols-md-2 row-cols-lg-3 g-5 wow fadeInUp">
						<?php
							if ( ! empty( $ct_info_contents ) ) {
							$ct_info_contents = json_decode( $ct_info_contents );
							foreach ( $ct_info_contents as $ct_info_item ) {
								$spintech_ct_adress_title = ! empty( $ct_info_item->title ) ? apply_filters( 'spintech_translate_single_string', $ct_info_item->title, 'contact info section' ) : '';
								$text = ! empty( $ct_info_item->text ) ? apply_filters( 'spintech_translate_single_string', $ct_info_item->text, 'contact info section' ) : '';
								$icon = ! empty( $ct_info_item->icon_value) ? apply_filters( 'spintech_translate_single_string', $ct_info_item->icon_value,'contact info section' ) : '';
								$image = ! empty( $ct_info_item->image_url ) ? apply_filters( 'spintech_translate_single_string', $ct_info_item->image_url, 'contact info section' ) : '';
						?>
                        <div class="col">
                            <div class="theme-item">
                                <div class="theme-icon">
                                    <span class="theme-circle"></span>
                                    <div class="theme-corn">
                                       <?php if ( ! empty( $image )  &&  ! empty( $icon )){ ?>
											<img class="ct_adresss_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_ct_adress_title ) ) : ?> alt="<?php echo esc_attr( $spintech_ct_adress_title ); ?>" title="<?php echo esc_attr( $spintech_ct_adress_title ); ?>" <?php endif; ?> />
										<?php }elseif ( ! empty( $image ) ) { ?>
											<img class="ct_adresss_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_ct_adress_title ) ) : ?> alt="<?php echo esc_attr( $spintech_ct_adress_title ); ?>" title="<?php echo esc_attr( $spintech_ct_adress_title ); ?>" <?php endif; ?> />
										<?php }elseif ( ! empty( $icon ) ) {?>
											<i class="fa <?php echo esc_html( $icon ); ?> txt-pink"></i>
										<?php } ?>
                                        <div class="circles-spin">
                                            <div class="circle-one"></div>
                                            <div class="circle-two"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="theme-content">
									<?php if ( ! empty( $spintech_ct_adress_title ) ) : ?>
										<h5 class="theme-title"><a href="javascript:void(0);"><?php echo esc_html( $spintech_ct_adress_title ); ?></a></h5>
									<?php endif; ?>
									<?php if ( ! empty( $text ) ) : ?>
										<p><?php echo esc_html( $text ); ?></p>
									<?php endif; ?>
                                </div>
                                <div class="circles-spin">
                                    <div class="circle-one"></div>
                                    <div class="circle-two"></div>
                                </div>
                            </div>
                        </div>
					<?php } } ?>	
                    </div>
                </div>
            </div>
        </div>
        <div class="shape2"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape2.png" alt="image"></div>
        <div class="shape3"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape3.png" alt="image"></div>
        <div class="shape4"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape4.png" alt="image"></div>
        <div class="shape5"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape5.png" alt="image"></div>
    </section>
<?php } ?>	
    <!-- End: Services Contact
    =================================-->

    <!--===// Start: Map Section
    =================================-->
<?php
	$hs_pg_contact_map			= get_theme_mod('hs_pg_contact_map','1');  
	$contact_page_map_lattitude	= get_theme_mod('contact_page_map_lattitude','40.6700'); 
	$contact_page_map_longitude	= get_theme_mod('contact_page_map_longitude','-73.9400'); 
	$settings=array('lattitude'=>$contact_page_map_lattitude,'longitude'=>$contact_page_map_longitude);
	wp_register_script('spintech-contact-map',get_template_directory_uri().'/assets/js/map-script.js',array('jquery'));
	wp_localize_script('spintech-contact-map','contact_map_settings',$settings);
	wp_enqueue_script('spintech-contact-map');
?>	
    <section id="map-section" class="map-section st-pb-default">
        <div class="container">
            <div class="row gy-lg-0 gy-4 gx-5 wow fadeInUp">
                <div class="col-lg-7 col-md-6">
					<?php if($hs_pg_contact_map == '1') {  ?>
						<div class="map-area">
							<div id="map"></div>
						</div>
					<?php } ?>	
                </div>
				<?php
					$hs_pg_opening_hour = get_theme_mod('hs_pg_opening_hour','1');  
					$opening_hour_ttl = get_theme_mod('opening_hour_ttl','Opening Hours');  
					$pg_opening_content	= get_theme_mod('pg_opening_content','<dl class="st-grid-dl">
                                <dt>Monday:</dt>
                                <dd>9:00 - 19:00</dd>
                                <dt>Tuesday:</dt>
                                <dd>9:00 - 19:00</dd>
                                <dt id="today">Wednesday:</dt>
                                <dd>9:00 - 19:00</dd>
                                <dt>Thursday:</dt>
                                <dd>9:00 - 19:00</dd>
                                <dt>Friday:</dt>
                                <dd>9:00 - 19:00</dd>
                                <dt>Saturday:</dt>
                                <dd>11:00 - 19:00</dd>
                                <dt>Sunday:</dt>
                                <dd id="closed">Closed</dd>
                            </dl>'); 
				$ct_op_hr_contct_icon	= get_theme_mod('ct_op_hr_contct_icon','fa-phone');
				$ct_op_hr_contct_ttl	= get_theme_mod('ct_op_hr_contct_ttl','Toll Free Number');
				$ct_op_hr_contct_txt	= get_theme_mod('ct_op_hr_contct_txt','70 975 975 70');
				?>	
				<?php if($hs_pg_opening_hour == '1') {  ?>
                <div class="col-lg-5 col-md-6">
                    <div class="opening-panel opening-classic">
                        <div class="opening-heading">
                             <?php if ( ! empty( $opening_hour_ttl ) ) : ?>		
								<h4><?php echo wp_kses_post($opening_hour_ttl); ?></h4> 
							<?php endif; ?>
                        </div>
                        <div class="opening-hours">
                           <?php if ( ! empty( $pg_opening_content ) ) : ?>		
								<?php echo wp_kses_post($pg_opening_content); ?>   
							<?php endif; ?>
                        </div>
                        <div class="contact-form-widget">
                            <aside class="widget widget-contact">
                                <div class="contact-area">
                                    <div class="contact-icon">
									<?php if ( ! empty( $ct_op_hr_contct_icon ) ) : ?>	
                                        <div class="contact-corn"><i class="fa <?php echo esc_attr($ct_op_hr_contct_icon); ?>"></i></div>
									<?php endif; ?>
                                    </div>
                                    <div class="contact-info">
									<?php if ( ! empty( $ct_op_hr_contct_ttl ) ) : ?>
										<h6 class="title"><?php echo wp_kses_post($ct_op_hr_contct_ttl); ?></h6>
									<?php endif; ?>
										<?php if ( ! empty( $ct_op_hr_contct_txt ) ) : ?>
										<p class="text"><a href="javascript:void(0);"><?php echo wp_kses_post($ct_op_hr_contct_txt); ?></a></p>
									<?php endif; ?>
                                    </div>
                                </div>
                            </aside>
                            <div class="call-icon"><i class="fas fa-phone"></i></div>
                        </div>
                    </div>
                </div>
				<?php } ?>
            </div>
        </div>
    </section>
    <!-- End: Map Section
    =================================-->
	
<?php get_footer(); ?>