<?php 
/**
Template Name: Gallery Page
*/

get_header();

	$gallery_pg_title				= get_theme_mod('gallery_pg_title','Explore');
	$gallery_pg_subtitle			= get_theme_mod('gallery_pg_subtitle','Our <span class="text-primary">Gallery</span>');
	$gallery_pg_description		= get_theme_mod('gallery_pg_description','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$gallery_pg 					= get_theme_mod('gallery_pg',spintech_get_gallery_default());
	$gallery_pg_sec_column			= get_theme_mod('gallery_pg_sec_column','5');	
?>
	<section id="gallery-section" class="gallery-section st-pt-default home-gallery_pg">
        <div class="container">
            <div class="row">
                <div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
                    <div class="heading-default wow fadeInUp">
						<?php if ( ! empty( $gallery_pg_title ) ) : ?>
							 <span class="badge bg-primary ttl"><?php echo wp_kses_post($gallery_pg_title); ?></span>
						<?php endif; ?>
						<?php if ( ! empty( $gallery_pg_subtitle ) ) : ?>		
							<h2><?php echo wp_kses_post($gallery_pg_subtitle); ?></h2>   							
						<?php endif; ?>	
						<?php if ( ! empty( $gallery_pg_description ) ) : ?>		
							<p><?php echo wp_kses_post($gallery_pg_description); ?></p>    
						<?php endif; ?>	
                    </div>
                </div>
            </div>
        </div>
        <div class="container-fluid p-0">
            <div class="row row-cols-1 row-cols-lg-<?php echo esc_html($gallery_pg_sec_column);?> row-cols-md-2 g-0 wow fadeInUp gallery-hm-wrap">
				<?php
					if ( ! empty( $gallery_pg ) ) {
					$gallery_pg = json_decode( $gallery_pg );
					foreach ( $gallery_pg as $gallery_pg_item ) {
						$image = ! empty( $gallery_pg_item->image_url ) ? apply_filters( 'spintech_translate_single_string', $gallery_pg_item->image_url, 'Gallery section' ) : '';
						$title = ! empty( $gallery_pg_item->title ) ? apply_filters( 'spintech_translate_single_string', $gallery_pg_item->title, 'Gallery section' ) : '';
				?>
                <div class="col">
                    <figure class="gallery-item mgf-popup">
                        <div class="gallery-icon landscape">
							<?php if ( ! empty( $image ) ): ?>
								<a href="<?php echo esc_url( $image ); ?>" class="image" title="<?php echo esc_html($title); ?>">
									<img src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $title ) ) : ?> alt="<?php echo esc_attr( $title ); ?>" title="<?php echo esc_attr( $title ); ?>" <?php endif; ?> class="attachment-thumbnail size-thumbnail" /> 
								</a>
							<?php endif; ?>	
                        </div>
						<?php if ( ! empty( $title ) ): ?>
							<figcaption class="wp-caption-text gallery-caption">
								<?php echo esc_html($title); ?>
							</figcaption>
						<?php endif; ?>		
                    </figure>
                </div>
				<?php } } ?>
            </div>
        </div>
    </section>
<?php get_footer(); ?>