<?php 
/**
Template Name: Project Page One
*/

get_header();
	$project_pg_title				= get_theme_mod('project_pg_title','Explore');
	$project_pg_subtitle			= get_theme_mod('project_pg_subtitle','Our <span class="text-primary">Project</span>');
	$project_pg_description		= get_theme_mod('project_pg_description','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$project_pg_load_more 			= get_theme_mod('project_pg_load_more','Load More');
	$post_type = 'spintech_project';
	$tax = 'project_categories'; 
	$tax_terms = get_terms($tax);
?>
<section id="projects-section" class="projects-section st-py-default project_pg-home">
	<div class="container">
		<div class="row">
			<div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
				<div class="heading-default wow fadeInUp">
					<?php if ( ! empty( $project_pg_title ) ) : ?>
						 <span class="badge bg-primary ttl"><?php echo wp_kses_post($project_pg_title); ?></span>
					<?php endif; ?>
					<?php if ( ! empty( $project_pg_subtitle ) ) : ?>		
						<h2><?php echo wp_kses_post($project_pg_subtitle); ?></h2>   							
					<?php endif; ?>	
					<?php if ( ! empty( $project_pg_description ) ) : ?>		
						<p><?php echo wp_kses_post($project_pg_description); ?></p>    
					<?php endif; ?>
				</div>
			</div>
		</div>
		<div class="row row-cols-1 row-cols-md-3 g-4 wow fadeInUp">
			<?php 
				$args = array( 'post_type' => 'spintech_project','posts_per_page' => 100);  
				$project = new WP_Query( $args ); 
				if( $project->have_posts() )
				{
					while ( $project->have_posts() ) : $project->the_post();
			?>
			<?php
				
				$project_desc	 		= sanitize_text_field( get_post_meta( get_the_ID(),'project_description', true ));
				$project_button_label 		= sanitize_text_field( get_post_meta( get_the_ID(),'project_button_label', true ));
				$project_link 			= sanitize_text_field( get_post_meta( get_the_ID(),'project_button_link', true ));
				$project_button_link_target 	= sanitize_text_field( get_post_meta( get_the_ID(),'project_button_link_target', true ));
			
			?>
			<?php 	
				if($project_link) { 
					$project_link; 
				}	
				else { 
					$project_link = get_post_permalink(); 
				} 
			?>
			<?php
				$terms = get_the_terms( $post->ID, 'project_categories' );
									
				if ( $terms && ! is_wp_error( $terms ) ) : 
					$links = array();

					foreach ( $terms as $term ) 
					{
						$links[] = $term->slug;
					}
					
					$tax = join( ' ', $links );		
				else :	
					$tax = '';	
				endif;
			?>
			<div class="col st-load-item">
				<figure class="projects-item">
					<a href="<?php echo get_the_post_thumbnail_url(); ?>" class="image" title="This is a projects">
						<?php 
							if ( has_post_thumbnail() ) {
								the_post_thumbnail();
							}
						?>	
					</a>
					<figcaption class="projects-caption">
						<div class="projects-heading">
							<p><?php echo the_title(); ?></p>
							<?php if ( ! empty( $project_desc ) ) : ?>		
								 <strong><?php echo esc_html($project_desc); ?></strong>    
							<?php endif; ?>	
						</div>
						<div class="projects-link">
							<?php if ( ! empty( $project_button_label ) ) : ?>		   
								 <a href="<?php echo esc_url($project_link); ?>" <?php  if($project_button_link_target) { echo "target='_blank'"; } ?> class="read-link"><?php echo esc_html($project_button_label); ?></a>
							<?php endif; ?>	
						</div>                                
					</figcaption>                                 
				</figure>
			</div>
			<?php 	
				endwhile; 
				}
			?>
		</div>
		<div class="row mt-5 wow fadeInUp">
			<div class="col-12 text-center">
				<?php if ( ! empty( $project_pg_load_more ) ) : ?>		
					<button class="btn btn-secondary st-load-btn"><?php echo wp_kses_post($project_pg_load_more); ?> <span class="st-load-spinner"></span></button>						
				<?php endif; ?>	
			</div>
		</div>
	</div>
	 <div class="shape3"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape3.png" alt="image"></div>
	<div class="shape6"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape6.png" alt="image"></div>
	<div class="shape7"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape7.png" alt="image"></div>
	<div class="shape8"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape8.png" alt="image"></div>
	<div class="shape9"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape6.png" alt="image"></div>
</section>
<?php get_footer(); ?>