<?php 
/**
Template Name: Service Page
*/

get_header();

	$service_pg_title				= get_theme_mod('service_pg_title','Explore');
	$service_pg_subtitle			= get_theme_mod('service_pg_subtitle','Our <span class="text-primary">Services</span>');
	$service_pg_description		= get_theme_mod('service_pg_description','Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
	$service_pg_contents			= get_theme_mod('service_pg_contents',spintech_get_pg_service_default());
	$service_pg_load_more			= get_theme_mod('service_pg_load_more','Load More');
?>
<section id="service-section" class="service-section service-page st-py-default service_pg-home">
	<div class="container">
		<div class="row">
			<div class="col-lg-7 col-12 mx-lg-auto mb-5 text-center">
				<div class="heading-default wow fadeInUp">
				   <?php if ( ! empty( $service_pg_title ) ) : ?>
						 <span class="badge bg-primary ttl"><?php echo wp_kses_post($service_pg_title); ?></span>
					<?php endif; ?>
					<?php if ( ! empty( $service_pg_subtitle ) ) : ?>		
						<h2><?php echo wp_kses_post($service_pg_subtitle); ?></h2>   		
					<?php endif; ?>	
					<?php if ( ! empty( $service_pg_description ) ) : ?>		
						<p><?php echo wp_kses_post($service_pg_description); ?></p>    
					<?php endif; ?>	
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-lg-10 col-12 mx-lg-auto">
				<div class="row row-cols-1 row-cols-md-3 g-4 wow fadeInUp hm-serv-content">
					<?php
						if ( ! empty( $service_pg_contents ) ) {
						$service_pg_contents = json_decode( $service_pg_contents );
						foreach ( $service_pg_contents as $service_pg_item ) {
							$spintech_service_pg_title = ! empty( $service_pg_item->title ) ? apply_filters( 'spintech_translate_single_string', $service_pg_item->title, 'service_pg section' ) : '';
							$text = ! empty( $service_pg_item->text ) ? apply_filters( 'spintech_translate_single_string', $service_pg_item->text, 'service_pg section' ) : '';
							$icon = ! empty( $service_pg_item->icon_value) ? apply_filters( 'spintech_translate_single_string', $service_pg_item->icon_value,'service_pg section' ) : '';
							$button = ! empty( $service_pg_item->text2) ? apply_filters( 'spintech_translate_single_string', $service_pg_item->text2,'service_pg section' ) : '';
							$spintech_serv_link = ! empty( $service_pg_item->link ) ? apply_filters( 'spintech_translate_single_string', $service_pg_item->link, 'service_pg section' ) : '';
							$image = ! empty( $service_pg_item->image_url ) ? apply_filters( 'spintech_translate_single_string', $service_pg_item->image_url, 'service_pg section' ) : '';
					?>
						<div class="col st-load-item">
							<div class="theme-item">
								<div class="theme-icon">
									<span class="theme-circle"></span>
									<div class="theme-corn">
										<!-- <i class="fas fa-chart-bar"></i> -->
										<?php if ( ! empty( $image )  &&  ! empty( $icon )){ ?>
											<img class="service_pgs_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_service_pg_title ) ) : ?> alt="<?php echo esc_attr( $spintech_service_pg_title ); ?>" title="<?php echo esc_attr( $spintech_service_pg_title ); ?>" <?php endif; ?> />
										<?php }elseif ( ! empty( $image ) ) { ?>
											<img class="service_pgs_cols_mn_icon" src="<?php echo esc_url( $image ); ?>" <?php if ( ! empty( $spintech_service_pg_title ) ) : ?> alt="<?php echo esc_attr( $spintech_service_pg_title ); ?>" title="<?php echo esc_attr( $spintech_service_pg_title ); ?>" <?php endif; ?> />
										<?php }elseif ( ! empty( $icon ) ) {?>
											<i class="fa <?php echo esc_html( $icon ); ?> txt-pink"></i>
										<?php } ?>
										<div class="circles-spin">
											<div class="circle-one"></div>
											<div class="circle-two"></div>
										</div>
									</div>
								</div>
								<div class="theme-content">
									<?php if ( ! empty( $spintech_service_pg_title ) ) : ?>
										<h5 class="theme-title"><a href="<?php echo esc_url( $spintech_serv_link ); ?>"><?php echo esc_html( $spintech_service_pg_title ); ?></a></h5>
									<?php endif; ?>
									<?php if ( ! empty( $text ) ) : ?>
										<p><?php echo esc_html( $text ); ?></p>
									<?php endif; ?>
									<?php if ( ! empty( $button ) ) : ?>	
										<div class="theme-link"><a href="<?php echo esc_url( $spintech_serv_link ); ?>" class="read-link"><?php echo esc_html( $button ); ?></a></div>
									<?php endif; ?>	
								</div>
							</div>
						</div>
					<?php }} ?>						
				</div>
				<div class="row mt-5 wow fadeInUp">
					<div class="col-12 text-center">
						<?php if ( ! empty( $service_pg_load_more ) ) : ?>		
							<button class="btn btn-secondary st-load-btn"><?php echo wp_kses_post($service_pg_load_more); ?> <span class="st-load-spinner"></span></button>				
						<?php endif; ?>	
					</div>
				</div>
			</div>
		</div>
	</div>
	 <div class="shape2"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape2.png" alt="image"></div>
	<div class="shape3"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape3.png" alt="image"></div>
	<div class="shape4"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape4.png" alt="image"></div>
	<div class="shape5"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/clipArt/shape5.png" alt="image"></div>
</section>
    <!-- End: Our Services
    =================================-->	
<?php get_footer(); ?>